(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     56367,       1371]
NotebookOptionsPosition[     27567,        716]
NotebookOutlinePosition[     54104,       1299]
CellTagsIndexPosition[     54025,       1294]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], " ", "of", " ", 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     ButtonFrame->"None"]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6\n",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " \:7b2c6\:7248"
}], "Title",
 CellChangeTimes->{{3.369316396920923*^9, 3.369316407087618*^9}, {
  3.387735114063143*^9, 3.387735120951954*^9}, {3.387987245706009*^9, 
  3.387987250643502*^9}, {3.413533979046351*^9, 3.413533979944693*^9}, {
  3.420141714703125*^9, 3.420141732265625*^9}}],

Cell["\<\
  Closing Address 
  \:7ed3\:675f\:8bed\
\>", "Subtitle",
 CellChangeTimes->{{3.3693164149304123`*^9, 3.369316437447082*^9}, {
  3.387987239501436*^9, 3.387987243098522*^9}, {3.41946008185425*^9, 
  3.419460083460505*^9}, {3.419619005364459*^9, 3.4196190086879177`*^9}, {
  3.419620387574424*^9, 3.419620387947453*^9}, {3.4201417108125*^9, 
  3.420141764546875*^9}}],

Cell["Theodore Gray", "Author",
 CellChangeTimes->{{3.3693164544653063`*^9, 3.369316455542132*^9}}],

Cell["Co-founder", "Author",
 CellChangeTimes->{{3.3693164544653063`*^9, 3.369316455542132*^9}, {
  3.419519706074897*^9, 3.419519708974427*^9}}],

Cell["Wolfram Research, Inc.", "Author",
 CellChangeTimes->{{3.3693164544653063`*^9, 3.369316455542132*^9}, {
  3.419519713138317*^9, 3.419519714104567*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], " ", "of", " ", 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     Appearance->{Automatic, None}]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Closing Address\n\:7ed3\:675f\:8bed",
 FontSlant->"Italic"]], "Section",
 CellChangeTimes->{{3.369316750380275*^9, 3.369316768063105*^9}, {
   3.3694651435055237`*^9, 3.369465148103112*^9}, {3.3694652419102373`*^9, 
   3.369465244578781*^9}, {3.369465321271537*^9, 3.369465324221334*^9}, {
   3.369643773644587*^9, 3.3696437793220463`*^9}, {3.3879886573137417`*^9, 
   3.387988666829693*^9}, {3.413122560519207*^9, 3.4131225614133863`*^9}, {
   3.418407735709187*^9, 3.4184077433249893`*^9}, 3.419438885379293*^9, {
   3.4196190164994802`*^9, 3.419619018360577*^9}, {3.420141781578125*^9, 
   3.42014178796875*^9}}],

Cell["\<\
I would like to thank all of you for coming here today and learning about the \
software I have been working on for the past 20 years.
\:8c22\:8c22\:5927\:5bb6\:4eca\:5929\:6765\:53c2\:52a0\:6211\:4eec\:7684\:6d3b\
\:52a8\:53ca\:4e86\:89e3\:6211\:5728\:8fc7\:53bb 20 \:5e74\:4e00\:76f4\:5f00\
\:53d1\:7684\:8f6f\:4ef6\:3002\
\>", "Text",
 CellChangeTimes->{{3.419620736365967*^9, 3.419620779676622*^9}, {
  3.42014179540625*^9, 3.4201418519375*^9}, {3.4201418885*^9, 
  3.42014190975*^9}, {3.420141975*^9, 3.420141976390625*^9}, {
  3.420260554359375*^9, 3.4202605630625*^9}}],

Cell["\<\
We have a saying, when all you have is a hammer, every problem looks like a \
nail.
\:6211\:4eec\:6709\:53e5\:4fd7\:8bed\:ff1a\[OpenCurlyDoubleQuote]when all you \
have is a hammer, every problem looks like a nail.\[CloseCurlyDoubleQuote]\
\>", "Text",
 CellChangeTimes->{{3.419619078176878*^9, 3.419619160883849*^9}, {
  3.4196194255652657`*^9, 3.4196194511952972`*^9}, {3.419619503884153*^9, 
  3.419619507213256*^9}, {3.419620395911263*^9, 3.4196203960272703`*^9}, {
  3.42014197990625*^9, 3.42014201915625*^9}}],

Cell["\<\
I'm told this saying is not used in China, so I will explain....
\:636e\:8bf4\:4e2d\:6587\:6ca1\:6709\:76f4\:63a5\:5bf9\:5e94\:7ffb\:8bd1\:ff0c\
\:6211\:5c06\:89e3\:91ca...\
\>", "Text",
 CellChangeTimes->{{3.419620197745356*^9, 3.41962021619759*^9}, {
  3.419620271626507*^9, 3.419620272143845*^9}, {3.4197161405043077`*^9, 
  3.4197161787563*^9}, {3.4197431698303747`*^9, 3.419743184850873*^9}, {
  3.420142023796875*^9, 3.420142076515625*^9}}],

Cell["\<\
Suppose you have a screw that needs to be screwed into a piece of wood.
\:5047\:8bbe\:60a8\:6709\:4e00\:4e2a\:87ba\:4e1d\:9700\:8981\:88ab\:62e7\:8fdb\
\:4e00\:5757\:6728\:5934\:4e2d\:53bb...\
\>", "Text",
 CellChangeTimes->{{3.4197431856448402`*^9, 3.419743204595297*^9}, {
  3.420142078765625*^9, 3.42014211975*^9}}],

Cell["\<\
If the only tool you have is a hammer, you might be tempted to hammer the \
screw in, because, after all, what else are you going to do if you only have \
a hammer?
\:4f46\:662f\:60a8\:4ec5\:6709\:7684\:5de5\:5177\:53ea\:662f\:4e00\:4e2a\:9524\
\:5b50\:ff0c\:60a8\:5c06\:53ea\:80fd\:8bd5\:56fe\:5c06\:87ba\:4e1d\:6572\:5165\
\:6728\:5934\:4e2d\:3002\:56e0\:4e3a\:ff0c\:5982\:679c\:60a8\:53ea\:6709\:4e00\
\:4e2a\:9524\:5b50\:ff0c\:9664\:4e86\:6572\:51fb\:ff0c\:60a8\:8fd8\:80fd\:505a\
\:4ec0\:4e48\:5462\:ff1f\
\>", "Text",
 CellChangeTimes->{{3.419743205099353*^9, 3.419743233052154*^9}, {
  3.42014212209375*^9, 3.420142207953125*^9}, {3.42014225721875*^9, 
  3.42014227809375*^9}, {3.42014574015625*^9, 3.420145747015625*^9}}],

Cell["\<\
This is not a good thing.
\:8fd9\:662f\:4e00\:4ef6\:4e0d\:6b63\:786e\:7684\:4e8b\:3002\
\>", "Text",
 CellChangeTimes->{{3.41974323377945*^9, 3.4197432401718493`*^9}, {
  3.420142279953125*^9, 3.4201423275625*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], " ", "of", " ", 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     Appearance->{Automatic, None}]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Closing Address\n\:7ed3\:675f\:8bed",
 FontSlant->"Italic"]], "Section",
 CellChangeTimes->{{3.369316750380275*^9, 3.369316768063105*^9}, {
   3.3694651435055237`*^9, 3.369465148103112*^9}, {3.3694652419102373`*^9, 
   3.369465244578781*^9}, {3.369465321271537*^9, 3.369465324221334*^9}, {
   3.369643773644587*^9, 3.3696437793220463`*^9}, {3.3879886573137417`*^9, 
   3.387988666829693*^9}, {3.413122560519207*^9, 3.4131225614133863`*^9}, {
   3.418407735709187*^9, 3.4184077433249893`*^9}, 3.419438885379293*^9, {
   3.4196190164994802`*^9, 3.419619018360577*^9}, {3.420142361328125*^9, 
   3.42014236175*^9}}],

Cell["\<\
This applies to software too. 
\:8fd9\:540c\:6837\:9002\:7528\:4e8e\:8f6f\:4ef6\:3002 \
\>", "Text",
 CellChangeTimes->{{3.419743266706637*^9, 3.419743288812928*^9}, {
  3.4201425690625*^9, 3.4201425805625*^9}}],

Cell["\<\
If the tool you have is a spreadsheet, you might be tempted to write huge \
programs as large interconnected spreadsheets.
\:5982\:679c\:60a8\:7684\:5de5\:5177\:662fspreadsheet\:ff0c\:60a8\:53ef\:80fd\
\:9700\:8981\:5199\:5de8\:5927\:7684\:7a0b\:5e8f\:4f5c\:4e3a\:76f8\:4e92\:5173\
\:8054\:7684spreadsheets\:3002\
\>", "Text",
 CellChangeTimes->{{3.419743266706637*^9, 3.41974330222112*^9}, {
  3.4201425823125*^9, 3.42014260503125*^9}, {3.420144616640625*^9, 
  3.420144692890625*^9}}],

Cell["\<\
This happens, and it's not a good thing.
\:8fd9\:5e38\:5e38\:53d1\:751f\:ff0c\:4f46\:4e0d\:662f\:4e00\:4ef6\:6b63\:786e\
\:7684\:4e8b\:3002\
\>", "Text",
 CellChangeTimes->{{3.419743300373005*^9, 3.419743309989026*^9}, {
   3.42014471078125*^9, 3.420144743140625*^9}, 3.420261825203125*^9}],

Cell["\<\
Similarly, if the tool you have is a numerical matrix application, suddenly \
all problems may start to look a numerical matrix problem.
\:540c\:6837\:ff0c\:5982\:679c\:60a8\:7684\:5de5\:5177\:662f\:6570\:503c\:77e9\
\:9635\:5e94\:7528\:7a0b\:5e8f\:ff0c\:6240\:6709\:7684\:95ee\:9898\:90fd\:88ab\
\:770b\:4f5c\:4e86\:6570\:503c\:77e9\:9635\:95ee\:9898\:3002\
\>", "Text",
 CellChangeTimes->{{3.419743310965308*^9, 3.419743338941577*^9}, 
   3.41974343486003*^9, {3.420144744734375*^9, 3.420144783015625*^9}, {
   3.4201448138125*^9, 3.4201448435625*^9}}],

Cell["\<\
Even when another technique, perhaps a symbolic analysis, might be far more \
effective.
\:4f46\:662f\:53e6\:4e00\:79cd\:6280\:672f\:ff0c\:4f8b\:5982\:7b26\:53f7\:5206\
\:6790\:ff0c\:53ef\:80fd\:6709\:6548\:5f97\:591a\:3002\
\>", "Text",
 CellChangeTimes->{{3.419743339565792*^9, 3.419743355861903*^9}, {
   3.420144847*^9, 3.42014491953125*^9}, 3.4202618445625*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], " ", "of", " ", 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     Appearance->{Automatic, None}]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Closing Address\n\:7ed3\:675f\:8bed",
 FontSlant->"Italic"]], "Section",
 CellChangeTimes->{{3.369316750380275*^9, 3.369316768063105*^9}, {
   3.3694651435055237`*^9, 3.369465148103112*^9}, {3.3694652419102373`*^9, 
   3.369465244578781*^9}, {3.369465321271537*^9, 3.369465324221334*^9}, {
   3.369643773644587*^9, 3.3696437793220463`*^9}, {3.3879886573137417`*^9, 
   3.387988666829693*^9}, {3.413122560519207*^9, 3.4131225614133863`*^9}, {
   3.418407735709187*^9, 3.4184077433249893`*^9}, 3.419438885379293*^9, {
   3.4196190164994802`*^9, 3.419619018360577*^9}, {3.42014236428125*^9, 
   3.42014236459375*^9}}],

Cell["\<\
You are much better off having a wide range of tools, so you are able to pick \
the best one for the problem at hand.
\:5de5\:6b32\:5584\:5176\:4e8b\:ff0c\:5fc5\:5148\:5229\:5176\:5668\:3002\:5f53\
\:60a8\:89e3\:51b3\:95ee\:9898\:65f6\:ff0c\:60a8\:5e94\:8be5\:9009\:62e9\:624b\
\:8fb9\:6700\:9002\:5408\:89e3\:51b3\:95ee\:9898\:7684\:5de5\:5177\:3002\
\>", "Text",
 CellChangeTimes->{{3.41974338292175*^9, 3.4197434110066643`*^9}, {
  3.42014492765625*^9, 3.420144957890625*^9}, {3.420145022109375*^9, 
  3.420145055796875*^9}}],

Cell["\<\
A tool like this one I found recently at a shop near Tian`anmen square.
\:4f8b\:5982\:6211\:6700\:8fd1\:5728\:5929\:5b89\:95e8\:5e7f\:573a\:9644\:8fd1\
\:7684\:4e00\:4e2a\:5546\:5e97\:91cc\:53d1\:73b0\:7684\:8fd9\:4e2a\:5de5\:5177\
\:3002\
\>", "Text",
 CellChangeTimes->{{3.419743412030262*^9, 3.4197434271268663`*^9}, 
   3.42014505853125*^9, {3.420145666640625*^9, 3.42014570296875*^9}, {
   3.420261859328125*^9, 3.42026186046875*^9}}],

Cell["\<\
It's a hammer, but it's a lot more too.
\:8fd9\:662f\:4e00\:4e2a\:9524\:5b50\:ff0c\:4f46\:5b83\:8fd8\:6709\:8bb8\:591a\
\:5176\:5b83\:7684\:529f\:80fd\:3002\
\>", "Text",
 CellChangeTimes->{{3.419620222504096*^9, 3.419620229469935*^9}, {
  3.4201457045*^9, 3.420145732484375*^9}, {3.42014578146875*^9, 
  3.4201457944375*^9}}],

Cell[TextData[{
 "This is the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " of hammers.\n\:8fd9\:662f\:4e00\:4e2a ",
 StyleBox["Mathematica ",
  FontSlant->"Italic"],
 "\:9524\:5b50\:3002"
}], "Text",
 CellChangeTimes->{{3.419620230174944*^9, 3.419620235030829*^9}, {
  3.420145796109375*^9, 3.42014582071875*^9}}],

Cell["\<\
This is the tool you want if you don't want to spend your time just hammering \
nails.
\:5982\:679c\:60a8\:4e0d\:60f3\:82b1\:65f6\:95f4\:4ec5\:4ec5\:6572\:51fb\:9489\
\:5b50\:ff0c\:8fd9\:5c31\:662f\:60a8\:60f3\:8981\:7684\:5de5\:5177\:3002\
\>", "Text",
 CellChangeTimes->{{3.4196202397829943`*^9, 3.419620256471109*^9}, {
  3.42014582296875*^9, 3.420145884515625*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], " ", "of", " ", 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     Appearance->{Automatic, None}]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Closing Address\n\:7ed3\:675f\:8bed",
 FontSlant->"Italic"]], "Section",
 CellChangeTimes->{{3.369316750380275*^9, 3.369316768063105*^9}, {
   3.3694651435055237`*^9, 3.369465148103112*^9}, {3.3694652419102373`*^9, 
   3.369465244578781*^9}, {3.369465321271537*^9, 3.369465324221334*^9}, {
   3.369643773644587*^9, 3.3696437793220463`*^9}, {3.3879886573137417`*^9, 
   3.387988666829693*^9}, {3.413122560519207*^9, 3.4131225614133863`*^9}, {
   3.418407735709187*^9, 3.4184077433249893`*^9}, 3.419438885379293*^9, {
   3.4196190164994802`*^9, 3.419619018360577*^9}, {3.420142367015625*^9, 
   3.420142367265625*^9}}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is the tool you want if your scientific, technical, or educational \
problems are not just more nails to be hammered down.\n\:5982\:679c\:60a8\
\:7684\:79d1\:5b66\:3001\:6280\:672f\:6216\:6559\:80b2\:95ee\:9898\:4e0d\:4ec5\
\:4ec5\:662f\:6572\:51fb\:7684\:9489\:5b50\:ff0c",
 StyleBox["Mathematica ",
  FontSlant->"Italic"],
 "\:5c31\:662f\:60a8\:60f3\:8981\:7684\:5de5\:5177\:3002"
}], "Text",
 CellChangeTimes->{{3.41962029947252*^9, 3.419620367971045*^9}, 
   3.41962068211852*^9, {3.42014588903125*^9, 3.420145977890625*^9}}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is the tool that sets you free to invent and solve entirely new kinds of \
problems.\n",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " \:5c06\:5e2e\:52a9\:60a8\:83b7\:5f97\:521b\:65b0\:53d1\:660e\:7684\:81ea\
\:7531\:ff0c\:89e3\:51b3\:5404\:79cd\:65b0\:7684\:95ee\:9898\:3002"
}], "Text",
 CellChangeTimes->{{3.419620434245014*^9, 3.419620457899631*^9}, {
  3.42026058621875*^9, 3.42026058959375*^9}, {3.420260619953125*^9, 
  3.42026066909375*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], " ", "of", " ", 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     Appearance->{Automatic, None}]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Closing Address\n\:7ed3\:675f\:8bed",
 FontSlant->"Italic"]], "Section",
 CellChangeTimes->{{3.369316750380275*^9, 3.369316768063105*^9}, {
   3.3694651435055237`*^9, 3.369465148103112*^9}, {3.3694652419102373`*^9, 
   3.369465244578781*^9}, {3.369465321271537*^9, 3.369465324221334*^9}, {
   3.369643773644587*^9, 3.3696437793220463`*^9}, {3.3879886573137417`*^9, 
   3.387988666829693*^9}, {3.413122560519207*^9, 3.4131225614133863`*^9}, {
   3.418407735709187*^9, 3.4184077433249893`*^9}, 3.419438885379293*^9, {
   3.4196190164994802`*^9, 3.419619018360577*^9}, {3.4201423694375*^9, 
   3.42014236965625*^9}}],

Cell[TextData[{
 "When I see all the hard work that is going into preparing for the Olympics \
here it makes me think of how much work all of us at Wolfram Research have \
put into building ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ".\n\:5f53\:6211\:770b\:5230\:4e2d\:56fd\:4e3a\:51c6\:5907\:5965\:8fd0\:4f1a\
\:6240\:505a\:7684\:5404\:79cd\:52aa\:529b\:7684\:5de5\:4f5c\:ff0c\:8fd9\:4e9b\
\:90fd\:8ba9\:6211\:60f3\:5230\:6211\:4eec\:6c83\:5c14\:592b\:52d2\:59c6\:7814\
\:7a76\:5236\:4f5c ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " \:6240\:4ed8\:51fa\:7684\:5fc3\:8840\:3002 "
}], "Text",
 CellChangeTimes->{{3.419619078176878*^9, 3.419619160883849*^9}, 
   3.4197434442762613`*^9, {3.420260718078125*^9, 3.420260876625*^9}, 
   3.420261880171875*^9}],

Cell[TextData[{
 "Just as China is excited to show the world the great results of all this \
hard work, I hope you can see how excited I and my company are to be able to \
show you what ",
 StyleBox["we",
  FontSlant->"Italic"],
 " have been working on.\n\:6b63\:5982\:4e2d\:56fd\:5174\:594b\:5730\:5e0c\
\:671b\:5411\:4e16\:754c\:5c55\:793a\:6240\:6709\:8270\:82e6\:5de5\:4f5c\:6240\
\:83b7\:5f97\:7ed3\:679c\:4e00\:6837\:ff0c\:6211\:5e0c\:671b\:8ba9\:60a8\:4eec\
\:770b\:5230\:6211\:548c\:6211\:7684\:516c\:53f8\:662f\:591a\:4e48\:6fc0\:52a8\
\:5730\:60f3\:5411\:60a8\:5c55\:793a\:6211\:4eec\:7684\:5de5\:4f5c\:548c\:5fc3\
\:8840\:3002"
}], "Text",
 CellChangeTimes->{{3.419619164867529*^9, 3.4196192163413343`*^9}, {
  3.41961925355987*^9, 3.41961925387871*^9}, {3.419619321121592*^9, 
  3.419619323728593*^9}, {3.419620811013947*^9, 3.419620811317831*^9}, {
  3.420260879546875*^9, 3.420261070046875*^9}, {3.4202611283125*^9, 
  3.420261169625*^9}, {3.420261894546875*^9, 3.420261897171875*^9}}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is not like other software applications.  It's not just another tool, it's \
something we care deeply about and strive to make the best it can be.\n",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " \:4e0e\:5176\:5b83\:7684\:8f6f\:4ef6\:7a0b\:5e8f\:4e0d\:4e00\:6837\:3002\
\:5b83\:4e0d\:4ec5\:4ec5\:662f\:53e6\:4e00\:79cd\:5de5\:5177\:ff0c\:6211\:4eec\
\:6df1\:6df1\:5173\:6ce8\:7740\:5b83\:5e76\:52aa\:529b\:8ba9\:5b83\:8fbe\:5230\
\:6700\:597d\:3002"
}], "Text",
 CellChangeTimes->{{3.419619042128415*^9, 3.419619077096858*^9}, {
   3.4196192589826403`*^9, 3.4196192902472258`*^9}, {3.41962048683032*^9, 
   3.419620489133699*^9}, {3.4196208220939417`*^9, 3.419620822429709*^9}, {
   3.420261178453125*^9, 3.420261285015625*^9}, 3.420261367984375*^9, {
   3.4202613993125*^9, 3.420261421375*^9}}],

Cell[TextData[{
 "And for those who choose to master it, ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can bring great rewards.\n\:5bf9\:4e8e\:638c\:63e1\:548c\:7cbe\:901a\:5b83\
\:7684\:4eba\:ff0c",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " \:4f1a\:4e3a\:60a8\:5e26\:6765\:5de8\:5927\:7684\:56de\:62a5\:3002"
}], "Text",
 CellChangeTimes->{{3.419619290959279*^9, 3.419619305967702*^9}, {
  3.420261423671875*^9, 3.4202615245*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[GridBox[{
   {
    ButtonBox[
     StyleBox["\[FirstPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageFirst"]}],
     ButtonNote->"First Slide"], 
    ButtonBox[
     StyleBox["\[LeftPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPagePrevious"]}],
     ButtonNote->"Previous Slide"], 
    ButtonBox[
     StyleBox["\[RightPointer]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageNext"]}],
     ButtonNote->"Next Slide"], 
    ButtonBox[
     StyleBox["\[LastPage]", "SR"],
     BaseStyle->"SlideHyperlink",
     ButtonFunction:>FrontEndExecute[{
        FrontEndToken[
         FrontEnd`SelectedNotebook[], "ScrollPageLast"]}]], " ", 
    ButtonBox[
     StyleBox[
      RowBox[{
       CounterBox["SlideShowNavigationBar"], " ", "of", " ", 
       CounterBox["SlideShowNavigationBar", {None, "SlideShowHeader", -1}]}], 
      "SR"],
     Appearance->{Automatic, None}]}
  }]]]], "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Closing Address\n\:7ed3\:675f\:8bed",
 FontSlant->"Italic"]], "Section",
 CellChangeTimes->{{3.369316750380275*^9, 3.369316768063105*^9}, {
   3.3694651435055237`*^9, 3.369465148103112*^9}, {3.3694652419102373`*^9, 
   3.369465244578781*^9}, {3.369465321271537*^9, 3.369465324221334*^9}, {
   3.369643773644587*^9, 3.3696437793220463`*^9}, {3.3879886573137417`*^9, 
   3.387988666829693*^9}, {3.413122560519207*^9, 3.4131225614133863`*^9}, {
   3.418407735709187*^9, 3.4184077433249893`*^9}, 3.419438885379293*^9, {
   3.4196190164994802`*^9, 3.419619018360577*^9}, {3.420142372078125*^9, 
   3.42014237234375*^9}}],

Cell["\<\
Thank you again for coming, I hope you have seen something interesting today.
\:518d\:6b21\:8c22\:8c22\:60a8\:4eec\:53c2\:52a0\:6d3b\:52a8\:ff0c\:5e0c\:671b\
\:60a8\:4eec\:4eca\:5929\:770b\:5230\:4e86\:7cbe\:5f69\:7684\:5185\:5bb9\:3002\
\
\>", "Text",
 CellChangeTimes->{{3.419619078176878*^9, 3.419619160883849*^9}, {
  3.419620511431817*^9, 3.419620546501788*^9}, {3.419620621424368*^9, 
  3.419620629296921*^9}, {3.420261528875*^9, 3.420261612125*^9}}],

Cell[TextData[{
 "If you want to learn more, please talk to us, visit our website, talk to \
our resellers, we are here to make it possible for you to use and enjoy ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ".\n\:5982\:679c\:60a8\:5e0c\:671b\:4e86\:89e3\:66f4\:591a\:5185\:5bb9\:ff0c\
\:6b22\:8fce\:4e0e\:6211\:4eec\:4ea4\:6d41\:3001\:8bbf\:95ee\:6211\:4eec\:7684\
\:7f51\:7ad9\:6216\:4e0e\:6211\:4eec\:5728\:56fd\:5185\:4ee3\:7406\:5546\:4ea4\
\:6d41\:3002\:6211\:4eec\:5728\:6b64\:5e0c\:671b\:60a8\:4f7f\:7528\:548c\:4eab\
\:7528 ",
 StyleBox["Mathematica\:3002",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.419619078176878*^9, 3.419619160883849*^9}, {
  3.419620511431817*^9, 3.419620546501788*^9}, {3.419620621424368*^9, 
  3.419620647201333*^9}, {3.420261614171875*^9, 3.42026162725*^9}, {
  3.42026168178125*^9, 3.420261775828125*^9}}]
}, Open  ]]
}, Open  ]]
},
ScreenStyleEnvironment->"SlideShow",
PrintingStyleEnvironment->"Presentation",
WindowToolbars->{},
WindowSize->{1016, 700},
WindowMargins->{{10, Automatic}, {Automatic, 0}},
CellLabelAutoDelete->False,
SpellingDictionaries->{"CorrectWords"->{
 "twiki", "blog", "Urbana", "unreleased", "Faisal", "gamepads", "sysadmin", 
  "Theo", "checkboxes", "bi", "directionally", "expr", "var", "trackable", 
  "offscreen", "vs", "img", "Ramsden", "IKit", "UIs", "periodictable", "Sig", 
  "Yu", "Chang", "Wab"}},
Magnification->1,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (March 13, 2008)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Notebook"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.739193, 0.750317, 0.747173]}], 
      Cell[
       StyleData[All, "SlideShow"], PageWidth -> WindowWidth, DockedCells -> 
       FEPrivate`FrontEndResource["FEExpressions", "SlideshowToolbar"], 
       ScrollingOptions -> {
        "PagewiseDisplay" -> True, "VerticalScrollRange" -> Fit}, 
       ShowCellBracket -> False, ShowAutoStyles -> False, ScriptMinSize -> 9, 
       MenuPosition -> 1300, Magnification -> 1], 
      Cell[
       BoxData[
        RowBox[{
          RowBox[{"(*", 
            
            RowBox[{"Evaluate", " ", "the", " ", "following", " ", "to", " ", 
              "copy", " ", "the", " ", "style", " ", "of", " ", "the", " ", 
              "cell", " ", "above", " ", "into", " ", "\[IndentingNewLine]", 
              "the", " ", "docked", " ", "cell", " ", "style", " ", "of", " ",
               
              RowBox[{"the", " ", "'"}], 
              RowBox[{"Notebook", "'"}], " ", "definition", " ", 
              RowBox[{"(", 
                RowBox[{"2", " ", "cells", " ", "above"}], ")"}], " ", 
              "\[IndentingNewLine]", "These", " ", "two", " ", "cell", " ", 
              "can", " ", "be", " ", "removed", " ", "once", " ", "the", " ", 
              "docked", " ", "cell", " ", "is", " ", 
              RowBox[{"created", "."}]}], "\[IndentingNewLine]", "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
            RowBox[{
              RowBox[{"SelectionMove", "[", 
                RowBox[{
                  RowBox[{"SelectedNotebook", "[", "]"}], ",", "Previous", 
                  ",", "Cell", ",", "2"}], "]"}], ";"}], 
            "\[IndentingNewLine]", 
            RowBox[{
              RowBox[{"celldata", "=", 
                RowBox[{"NotebookRead", "[", 
                  RowBox[{"SelectedNotebook", "[", "]"}], "]"}]}], ";"}], 
            "\[IndentingNewLine]", 
            RowBox[{
              RowBox[{"SelectionMove", "[", 
                RowBox[{
                  RowBox[{"SelectedNotebook", "[", "]"}], ",", "Previous", 
                  ",", "Cell", ",", "1"}], "]"}], ";"}], 
            "\[IndentingNewLine]", 
            RowBox[{
              RowBox[{"SetOptions", "[", 
                RowBox[{
                  RowBox[{"NotebookSelection", "[", 
                    RowBox[{"SelectedNotebook", "[", "]"}], "]"}], ",", 
                  RowBox[{"DockedCells", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"FEPrivate`FrontEndResource", "[", 
                    
                    RowBox[{
                    "\"FEExpressions\"", ",", "\"SlideshowToolbar\""}], "]"}],
                     ",", "celldata"}], "}"}]}]}], "]"}], ";"}]}]}]], "Input",
        CellChangeTimes -> {{3.38831364079608*^9, 3.388313648848673*^9}, {
        3.388313705453738*^9, 3.388313712402935*^9}, {3.388313761332337*^9, 
        3.388313848299779*^9}, {3.388313886630456*^9, 3.388314048491518*^9}, {
        3.3883140891684637`*^9, 3.3883141188834057`*^9}, {
        3.388316871550132*^9, 3.388316908611515*^9}, {3.3883170423920717`*^9, 
        3.3883170826776247`*^9}, {3.388317794784313*^9, 
        3.388317972980825*^9}, {3.388318143311693*^9, 
        3.3883181457005157`*^9}, {3.38831883644632*^9, 
        3.3883188696857367`*^9}, {3.388318945630301*^9, 
        3.388318948563595*^9}, {3.388319004342214*^9, 3.38831900651579*^9}, {
        3.388319058805889*^9, 3.388319098014468*^9}, {3.388319134493579*^9, 
        3.388319170214745*^9}, {3.3883194184532957`*^9, 
        3.388319465324798*^9}, {3.388319542581661*^9, 
        3.3883195480769463`*^9}, {3.388319947903751*^9, 
        3.388319948372787*^9}, {3.388320318629324*^9, 3.388320350829337*^9}, {
        3.388830915896137*^9, 3.388830957727977*^9}, {3.388831030559073*^9, 
        3.388831031198735*^9}}, FontWeight -> "Bold"]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Title"], CellMargins -> {{27, Inherited}, {10, 30}}, 
       CellGroupingRules -> {"TitleGrouping", 0}, PageBreakBelow -> False, 
       DefaultNewInlineCellStyle -> "None", 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LineSpacing -> {1, 11}, LanguageCategory -> "NaturalLanguage", 
       CounterIncrements -> "Title", 
       CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
         "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontFamily -> 
       "Helvetica", FontSize -> 36, FontWeight -> "Bold", FontColor -> 
       RGBColor[0.796078, 0.0705882, 0]], 
      Cell[
       StyleData["Title", "Presentation"], 
       CellMargins -> {{72, 50}, {10, 80}}, LineSpacing -> {1, 0}, FontSize -> 
       45], 
      Cell[
       StyleData["Title", "SlideShow"], CellMargins -> {{72, 50}, {10, 80}}, 
       FontSize -> 45], 
      Cell[
       StyleData["Title", "Printout"], CellMargins -> {{2, 10}, {12, 30}}, 
       FontSize -> 24]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Subtitle"], CellMargins -> {{60, Inherited}, {20, 15}}, 
       CellGroupingRules -> {"TitleGrouping", 10}, PageBreakBelow -> False, 
       DefaultNewInlineCellStyle -> "None", 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LanguageCategory -> "NaturalLanguage", CounterIncrements -> "Subtitle",
        CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
         "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Helvetica", 
       FontSize -> 24], 
      Cell[
       StyleData["Subtitle", "Presentation"], LineSpacing -> {1, 0}, FontSize -> 
       30], 
      Cell[
       StyleData["Subtitle", "SlideShow"], FontSize -> 30], 
      Cell[
       StyleData["Subtitle", "Printout"], CellMargins -> {{2, 10}, {12, 8}}, 
       FontSize -> 18]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Subsubtitle"], CellMargins -> {{27, Inherited}, {8, 2}}, 
       CellGroupingRules -> {"TitleGrouping", 20}, PageBreakBelow -> False, 
       DefaultNewInlineCellStyle -> "None", 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
       "Subsubtitle", 
       CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
        StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 16], 
      
      Cell[
       StyleData["Subsubtitle", "Presentation"], 
       CellMargins -> {{54, 10}, {20, 20}}, LineSpacing -> {1, 0}, FontSize -> 
       24], 
      Cell[
       StyleData["Subsubtitle", "SlideShow"], 
       CellMargins -> {{72, 25}, {30, 10}}], 
      Cell[
       StyleData["Subsubtitle", "Printout"], 
       CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 14]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Section"], CellMargins -> {{27, Inherited}, {8, 34}}, 
       CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> False, 
       CellFrameMargins -> 4, DefaultNewInlineCellStyle -> "None", 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LineSpacing -> {1, 2}, LanguageCategory -> "NaturalLanguage", 
       CounterIncrements -> "Section", 
       CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
       FontFamily -> "Helvetica", FontSize -> 20, FontWeight -> "Bold", 
       FontColor -> RGBColor[0.811765, 0.117647, 0.145098]], 
      Cell[
       StyleData["Section", "Presentation"], CellFrame -> {{0, 0}, {0, 2}}, 
       ShowGroupOpener -> True, CellMargins -> {{72, 50}, {11, 30}}, 
       CellFrameColor -> RGBColor[1, 0.796078, 0.501961], FontSize -> 30], 
      Cell[
       StyleData["Section", "SlideShow"], CellMargins -> {{71, 50}, {11, 35}},
        FontSize -> 30], 
      Cell[
       StyleData["Section", "Printout"], CellMargins -> {{2, 0}, {7, 22}}, 
       FontSize -> 14]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Subsection"], CellMargins -> {{60, Inherited}, {8, 12}}, 
       CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> False, 
       DefaultNewInlineCellStyle -> "None", 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
       "Subsection", CounterAssignments -> {{"Subsubsection", 0}}, FontFamily -> 
       "Helvetica", FontSize -> 16, FontWeight -> "Bold", FontColor -> 
       RGBColor[0.9864194705119402, 0.3059128709849699, 0.09442282749675746]],
       
      Cell[
       StyleData["Subsection", "Presentation"], 
       CellMargins -> {{72, 50}, {6, 15}}, LineSpacing -> {1, 0}, FontSize -> 
       24], 
      Cell[
       StyleData["Subsection", "SlideShow"], 
       CellMargins -> {{99, 50}, {8, 12}}, LineSpacing -> {1, 0}, FontSize -> 
       24], 
      Cell[
       StyleData["Subsection", "Printout"], CellMargins -> {{21, 0}, {8, 22}},
        FontSize -> 12]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Subsubsection"], CellMargins -> {{60, Inherited}, {2, 12}}, 
       CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> False, 
       DefaultNewInlineCellStyle -> "None", 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
       "Subsubsection", FontFamily -> "Helvetica", FontWeight -> "Bold", 
       FontColor -> 
       RGBColor[
        0.9773708705271992, 0.48682383459220263`, 0.004547188525215534]], 
      Cell[
       StyleData["Subsubsection", "Presentation"], 
       CellMargins -> {{72, 50}, {6, 20}}, LineSpacing -> {1, 0}, FontSize -> 
       18], 
      Cell[
       StyleData["Subsubsection", "SlideShow"], 
       CellMargins -> {{99, 50}, {6, 20}}, FontSize -> 18], 
      Cell[
       StyleData["Subsubsection", "Printout"], 
       CellMargins -> {{2, 0}, {7, 14}}, FontSize -> 11]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Text"], CellMargins -> {{60, 10}, {7, 7}}, 
       InputAutoReplacements -> {"TeX" -> StyleBox[
           RowBox[{"T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "LaTeX" -> StyleBox[
           RowBox[{"L", 
             StyleBox[
              AdjustmentBox[
              "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
               BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
             AdjustmentBox[
             "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, BoxBaselineShift -> 
              0.5], "X"}]], "mma" -> "Mathematica", "Mma" -> "Mathematica", 
         "MMA" -> "Mathematica", "gridMathematica" -> FormBox[
           RowBox[{"grid", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
         "webMathematica" -> FormBox[
           RowBox[{"web", 
             AdjustmentBox[
              StyleBox["Mathematica", FontSlant -> "Italic"], 
              BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], Inherited}, 
       LineSpacing -> {1, 3}, CounterIncrements -> "Text", FontFamily -> 
       "Helvetica"], 
      Cell[
       StyleData["Text", "Presentation"], CellMargins -> {{72, 50}, {10, 10}},
        LineSpacing -> {1, 5}, FontSize -> 17], 
      Cell[
       StyleData["Text", "SlideShow"], CellMargins -> {{100, 50}, {10, 10}}, 
       FontSize -> 17], 
      Cell[
       StyleData["Text", "Printout"], CellMargins -> {{2, 2}, {6, 6}}, 
       TextJustification -> 0.5, Hyphenation -> True, FontSize -> 10]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["SmallText"], CellMargins -> {{60, 10}, {6, 6}}, 
       DefaultNewInlineCellStyle -> "None", LineSpacing -> {1, 3}, 
       LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
       "SmallText", FontFamily -> "Helvetica", FontSize -> 9], 
      Cell[
       StyleData["SmallText", "Presentation"], 
       CellMargins -> {{72, 50}, {8, 8}}, LineSpacing -> {1, 5}, FontSize -> 
       10], 
      Cell[
       StyleData["SmallText", "SlideShow"], 
       CellMargins -> {{100, 50}, {8, 8}}, LineSpacing -> {1, 5}, FontSize -> 
       10], 
      Cell[
       StyleData["SmallText", "Printout"], CellMargins -> {{2, 2}, {5, 5}}, 
       TextJustification -> 0.5, Hyphenation -> True, FontSize -> 7]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Author"], CellMargins -> {{90, 27}, {2, 20}}, FontFamily -> 
       "Times", FontSize -> 24, FontSlant -> "Italic"], 
      Cell[
       StyleData["Author", "Presentation"], FontSize -> 32], 
      Cell[
       StyleData["Author", "SlideShow"], FontSize -> 32], 
      Cell[
       StyleData["Author", "Printout"], CellMargins -> {{100, 27}, {2, 20}}, 
       FontSize -> 14]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Affiliation"], CellMargins -> {{90, 27}, {30, 12}}, 
       FontFamily -> "Times", FontSize -> 24, FontSlant -> "Italic"], 
      Cell[
       StyleData["Affiliation", "Presentation"], FontSize -> 32], 
      Cell[
       StyleData["Affiliation", "SlideShow"], FontSize -> 32], 
      Cell[
       StyleData["Affiliation", "Printout"], 
       CellMargins -> {{100, 27}, {2, 12}}, FontSize -> 14]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["ConferenceGraphicCell"], ShowCellBracket -> True, 
       CellMargins -> {{0, 0}, {0, 0}}, Evaluatable -> False, PageBreakBelow -> 
       False, ImageMargins -> {{0, 0}, {0, 0}}, 
       ImageRegion -> {{0, 1}, {0, 1}}, Magnification -> 1, Background -> 
       GrayLevel[1]], 
      Cell[
       StyleData["ConferenceGraphicCell", "Presentation"], ShowCellBracket -> 
       False], 
      Cell[
       StyleData["ConferenceGraphicCell", "SlideShow"], ShowCellBracket -> 
       False], 
      Cell[
       StyleData["ConferenceGraphicCell", "Printout"], FontSize -> 8, 
       Magnification -> 0.75]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["GraphicNoMagnification"], CellMargins -> {{60, 10}, {7, 7}},
        LineSpacing -> {1, 3}, CounterIncrements -> "Text", FontFamily -> 
       "Helvetica", Magnification -> 1], 
      Cell[
       StyleData["GraphicNoMagnification", "Presentation"], 
       CellMargins -> {{72, 50}, {10, 10}}, LineSpacing -> {1, 5}, FontSize -> 
       17], 
      Cell[
       StyleData["GraphicNoMagnification", "SlideShow"], 
       CellMargins -> {{100, 50}, {10, 10}}, FontSize -> 17], 
      Cell[
       StyleData["GraphicNoMagnification", "Printout"], 
       CellMargins -> {{2, 2}, {6, 6}}, FontSize -> 10]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Input"], ShowCellBracket -> True, 
       CellMargins -> {{66, 10}, {5, 7}}, 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, Evaluatable -> 
       True, CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
       True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
       DefaultFormatType -> DefaultInputFormatType, 
       "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       AutoItalicWords -> {}, LanguageCategory -> "Mathematica", FormatType -> 
       InputForm, ShowStringCharacters -> True, NumberMarks -> True, 
       LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, CounterIncrements -> 
       "Input", FontWeight -> "Bold"], 
      Cell[
       StyleData["Input", "Presentation"], CellMargins -> {{72, 50}, {8, 10}},
        LineSpacing -> {1, 0}, FontSize -> 18], 
      Cell[
       StyleData["Input", "SlideShow"], CellMargins -> {{100, 50}, {8, 10}}, 
       LineSpacing -> {1, 0}, FontSize -> 18], 
      Cell[
       StyleData["Input", "Printout"], CellMargins -> {{39, 0}, {4, 6}}, 
       LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["InputOnly"], ShowCellBracket -> True, 
       CellMargins -> {{66, 10}, {7, 7}}, 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, Evaluatable -> 
       True, CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
       True, DefaultFormatType -> DefaultInputFormatType, 
       "TwoByteSyntaxCharacterAutoReplacement" -> True, 
       HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"}, 
       AutoItalicWords -> {}, LanguageCategory -> "Mathematica", FormatType -> 
       InputForm, ShowStringCharacters -> True, NumberMarks -> True, 
       LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, CounterIncrements -> 
       "Input", StyleMenuListing -> None, FontWeight -> "Bold"], 
      Cell[
       StyleData["InputOnly", "Presentation"], 
       CellMargins -> {{72, Inherited}, {8, 10}}, LineSpacing -> {1, 0}, 
       FontSize -> 18], 
      Cell[
       StyleData["InputOnly", "SlideShow"], 
       CellMargins -> {{100, Inherited}, {8, 10}}, LineSpacing -> {1, 0}, 
       FontSize -> 18], 
      Cell[
       StyleData["InputOnly", "Printout"], CellMargins -> {{39, 0}, {4, 6}}, 
       LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
       StyleData["Output"], ShowCellBracket -> True, 
       CellMargins -> {{66, 10}, {7, 5}}, 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, CellEditDuplicate -> 
       True, CellGroupingRules -> "OutputGrouping", CellHorizontalScrolling -> 
       True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
       GeneratedCell -> True, CellAutoOverwrite -> True, DefaultFormatType -> 
       DefaultOutputFormatType, "TwoByteSyntaxCharacterAutoReplacement" -> 
       True, HyphenationOptions -> {
        "HyphenationCharacter" -> "\[Continuation]"}, AutoItalicWords -> {}, 
       LanguageCategory -> None, FormatType -> InputForm, CounterIncrements -> 
       "Output"], 
      Cell[
       StyleData["Output", "Presentation"], 
       CellMargins -> {{72, 50}, {10, 8}}, LineSpacing -> {1, 0}, FontSize -> 
       18], 
      Cell[
       StyleData["Output", "SlideShow"], CellMargins -> {{100, 50}, {10, 8}}, 
       LineSpacing -> {1, 0}, FontSize -> 18], 
      Cell[
       StyleData["Output", "Printout"], CellMargins -> {{39, 0}, {6, 4}}, 
       FontSize -> 9]}, Open]], 
   Cell[
    StyleData["ConferenceGraphicCell"], CellMargins -> 0]}, Visible -> False, 
  FrontEndVersion -> "6.0 for Mac OS X x86 (32-bit) (March 13, 2008)", 
  StyleDefinitions -> "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[590, 23, 1280, 37, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[3119, 99, 1290, 37, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[7998, 217, 1290, 37, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[11970, 319, 1290, 37, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[16012, 426, 1290, 37, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[19142, 510, 1290, 37, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[24248, 634, 1290, 37, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 53370, 1276}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 1280, 37, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[1873, 62, 420, 11, 193, "Title"],
Cell[2296, 75, 376, 8, 98, "Subtitle"],
Cell[2675, 85, 99, 1, 54, "Author"],
Cell[2777, 88, 145, 2, 54, "Author"],
Cell[2925, 92, 157, 2, 54, "Author"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3119, 99, 1290, 37, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[4434, 140, 639, 9, 115, "Section"],
Cell[5076, 151, 586, 10, 79, "Text"],
Cell[5665, 163, 525, 9, 58, "Text"],
Cell[6193, 174, 456, 8, 59, "Text"],
Cell[6652, 184, 328, 6, 59, "Text"],
Cell[6983, 192, 739, 12, 99, "Text"],
Cell[7725, 206, 224, 5, 58, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7998, 217, 1290, 37, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[9313, 258, 636, 9, 115, "Section"],
Cell[9952, 269, 221, 5, 59, "Text"],
Cell[10176, 276, 496, 9, 79, "Text"],
Cell[10675, 287, 300, 6, 58, "Text"],
Cell[10978, 295, 564, 9, 79, "Text"],
Cell[11545, 306, 376, 7, 59, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[11970, 319, 1290, 37, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[13285, 360, 638, 9, 115, "Section"],
Cell[13926, 371, 538, 9, 79, "Text"],
Cell[14467, 382, 449, 8, 59, "Text"],
Cell[14919, 392, 336, 7, 59, "Text"],
Cell[15258, 401, 323, 10, 59, "Text"],
Cell[15584, 413, 379, 7, 58, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16012, 426, 1290, 37, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[17327, 467, 640, 9, 115, "Section"],
Cell[17970, 478, 597, 12, 78, "Text"],
Cell[18570, 492, 523, 12, 59, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[19142, 510, 1290, 37, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[20457, 551, 637, 9, 115, "Section"],
Cell[21097, 562, 774, 16, 99, "Text"],
Cell[21874, 580, 999, 17, 100, "Text"],
Cell[22876, 599, 870, 16, 79, "Text"],
Cell[23749, 617, 450, 11, 58, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[24248, 634, 1290, 37, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[25563, 675, 639, 9, 115, "Section"],
Cell[26205, 686, 466, 8, 59, "Text"],
Cell[26674, 696, 865, 16, 100, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
