(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11548,        286]
NotebookOptionsPosition[     10609,        247]
NotebookOutlinePosition[     11511,        284]
CellTagsIndexPosition[     11468,        281]
WindowFrame->Palette*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ptctrl$$ = 1.51, $CellContext`showvalue$$ = 
    False, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`showvalue$$], False, "show value"}, {
      False, True}}, {{
       Hold[$CellContext`ptctrl$$], Rational[1, 6] Pi, "angle"}, 0, 2 Pi}}, 
    Typeset`size$$ = {360., {191., 211.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`showvalue$3716$$ = False, $CellContext`ptctrl$3717$$ = 
    0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ptctrl$$ = 
        Rational[1, 6] Pi, $CellContext`showvalue$$ = False}, 
      "ControllerVariables" :> {
        Hold[$CellContext`showvalue$$, $CellContext`showvalue$3716$$, False], 
        
        Hold[$CellContext`ptctrl$$, $CellContext`ptctrl$3717$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`anglegraph$, $CellContext`maingraph$}, \
$CellContext`anglegraph$[
           Pattern[$CellContext`th1, 
            Blank[]], 
           Pattern[$CellContext`showtext, 
            Blank[]]] := 
         Module[{$CellContext`th}, $CellContext`th = 
            Which[$CellContext`th1 == Pi/2, 3.14159/2, $CellContext`th1 == 
              3 (Pi/2), 3 (3.14159/2), True, $CellContext`th1]; Show[
             Graphics[{{Black, 
                Circle[{0, 0}, 1]}, {
                Darker[Green, 0.2], Thick, 
                Circle[{0, 0}, 1, {0, $CellContext`th}]}, {Black, 
                
                Line[{{(-6) Cos[$CellContext`th], (-6) 
                   Sin[$CellContext`th]}, {
                  6 Cos[$CellContext`th], 6 Sin[$CellContext`th]}}]}, {
               Red, Thick, 
                Line[{{1, 0}, {1, 
                   Tan[$CellContext`th]}}]}, 
               If[$CellContext`showtext, 
                Rotate[
                 Text[
                  Style[
                   N[
                    Tan[$CellContext`th]], 11], {1 + 0.25, 
                   Which[
                   Tan[$CellContext`th]/2 < -3, -3, Tan[$CellContext`th]/2 > 
                    3, 3, True, Tan[$CellContext`th]/2]}], 3 (Pi/2), {
                 1 + 0.25, 
                  Which[
                  Tan[$CellContext`th]/2 < -3, -3, Tan[$CellContext`th]/2 > 3,
                    3, True, Tan[$CellContext`th]/2]}], {}], {
                Lighter[Red, 0.3], 
                Dashing[Medium], 
                Line[{{1, 
                   Tan[$CellContext`th]}, {2, 
                   Tan[$CellContext`th]}}]}}], ImageSize -> {Automatic, 350}, 
             BaseStyle -> {12}, Axes -> True, Ticks -> {{-1, 1}, 
               Range[-5, 5]}, PlotRange -> {{-1, 1}, {-5, 5}}, 
             ImagePadding -> {{12, 12}, {0, 0}}, PlotRangeClipping -> False, 
             PlotRangePadding -> 0.25]]; $CellContext`maingraph$[
           Pattern[$CellContext`th1, 
            Blank[]], 
           Pattern[$CellContext`showtext, 
            Blank[]]] := 
         Module[{$CellContext`theta, $CellContext`labelpos}, \
$CellContext`theta = 
            Which[$CellContext`th1 == Pi/2, 3.14159/2, $CellContext`th1 == 
              3 (Pi/2), 3 (3.14159/2), 
              True, $CellContext`th1]; $CellContext`labelpos = 
            Which[Tan[$CellContext`theta]/2 < -3, -3, 
              Tan[$CellContext`theta]/2 > 3, 3, True, Tan[$CellContext`theta]/
              2]; Show[
             Plot[{
               Tan[$CellContext`x]}, {$CellContext`x, 
               0.0001, $CellContext`theta}, 
              Exclusions -> {$CellContext`x == Pi/2, $CellContext`x == 
                3 (Pi/2)}, PlotRange -> {{0, 2 Pi}, {-5, 5}}, 
              PlotRangePadding -> {0, 0.25}, 
              ImagePadding -> {{20, 12}, {0, 0}}, PlotRangeClipping -> False, 
              PlotStyle -> Black, ExclusionsStyle -> Directive[Gray, 
                Dashing[Small]], Ticks -> {
                Table[{$CellContext`n (Pi/4), $CellContext`n (Pi/
                   4)}, {$CellContext`n, 0, 8}], 
                Table[$CellContext`n, {$CellContext`n, -5, 5}]}, 
              GridLines -> {
                Table[{$CellContext`n (Pi/4), 
                  Lighter[Black, 0.7]}, {$CellContext`n, -2, 8}], 
                Table[{$CellContext`n, 
                  Lighter[Black, 0.7]}, {$CellContext`n, -5, 5, 1}]}, 
              ImageSize -> {Automatic, 350}, BaseStyle -> {12}], 
             Graphics[{
               If[$CellContext`showtext, 
                Rotate[
                 Text[
                  Style[
                   N[
                    Tan[$CellContext`theta]], 11], {$CellContext`theta + 
                   0.25, $CellContext`labelpos}], 
                 3 (Pi/2), {$CellContext`theta + 
                  0.25, $CellContext`labelpos}], {}], {
                Lighter[Red, 0.3], 
                Dashing[Medium], 
                Line[{{$CellContext`theta, 
                   Tan[$CellContext`theta]}, {-2, 
                   Tan[$CellContext`theta]}}]}, {
                Darker[Green, 0.2], Thick, 
                Line[{{0, 0}, {$CellContext`theta, 0}}]}, {Red, Thick, 
                Line[{{$CellContext`theta, 0}, {$CellContext`theta, 
                   Tan[$CellContext`theta]}}]}}], AspectRatio -> Automatic]]; 
        DynamicModule[{$CellContext`pt = {
             Cos[$CellContext`ptctrl$$], 
             
             Sin[$CellContext`ptctrl$$]}, $CellContext`pt2 = \
{$CellContext`ptctrl$$, 0}}, 
          Labeled[
           Grid[{{
              LocatorPane[
               Dynamic[$CellContext`pt, {($CellContext`pt = {
                   Cos[
                    Part[$CellContext`pt2, 1]], 
                   Sin[
                    Part[$CellContext`pt2, 1]]})& , ($CellContext`pt = 
                  Normalize[#]; $CellContext`pt2 = {
                    If[$CellContext`pt2 == {2 Pi, 0}, 2 Pi, 
                    Mod[
                    ArcTan[
                    Part[#, 1], 
                    Part[#, 2]], 2 Pi]], 0})& , ($CellContext`pt = 
                  Normalize[#]; $CellContext`ptctrl$$ = 
                  Part[$CellContext`pt2, 1])& }], 
               Dynamic[
                $CellContext`anglegraph$[
                 If[$CellContext`pt2 == {2 Pi, 0}, 2 Pi, 
                  Mod[
                   ArcTan[
                    Part[$CellContext`pt, 1], 
                    Part[$CellContext`pt, 2]], 2 
                   Pi]], $CellContext`showvalue$$]]], 
              LocatorPane[
               Dynamic[$CellContext`pt2, {($CellContext`pt2 = {
                   If[$CellContext`pt2 == {2 Pi, 0}, 2 Pi, 
                    Mod[
                    ArcTan[
                    Part[$CellContext`pt, 1], 
                    Part[$CellContext`pt, 2]], 2 Pi]], 
                   0})& , ($CellContext`pt2 = {
                    Part[#, 1], 0}; $CellContext`pt = {
                    Cos[
                    Part[#, 1]], 
                    Sin[
                    Part[#, 1]]})& , ($CellContext`pt2 = {
                    Part[#, 1], 0}; $CellContext`ptctrl$$ = Part[#, 1])& }], 
               Dynamic[
                $CellContext`maingraph$[
                 If[$CellContext`pt2 == {2 Pi, 0}, 2 Pi, 
                  Mod[
                   ArcTan[
                    Part[$CellContext`pt, 1], 
                    Part[$CellContext`pt, 2]], 2 
                   Pi]], $CellContext`showvalue$$]]]}}, Spacings -> 0], {
            Row[{
              Style["Illustrating ", "Label", Gray, 20], 
              Text[
               Style["tan(", Red, 24]], 
              Text[
               Style["x", Italic, Bold, 
                Darker[Green, 0.3], 24]], 
              Text[
               Style[")", Red, 24]]}], 
            Style["", 10, 
             Lighter[Gray, 0.7], "Label"]}, {{Top, Left}, {Bottom, Right}}]]],
       "Specifications" :> {{{$CellContext`showvalue$$, False, 
          "show value"}, {
         False, True}}, {{$CellContext`ptctrl$$, Rational[1, 6] Pi, "angle"}, 
         0, 2 Pi}}, 
      "Options" :> {
       TrackedSymbols :> {$CellContext`showvalue$$, $CellContext`ptctrl$$}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{403., {253.84375, 259.15625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], NotebookDefault,
 CellBracketOptions->{"Color"->RGBColor[0.269993, 0.308507, 0.6]},
 CellEditDuplicate->True,
 CellGroupingRules->"OutputGrouping",
 TextClipboardType->"InputText",
 StripStyleOnPaste->True,
 PageBreakAbove->True,
 PageBreakWithin->False,
 GroupPageBreakWithin->False,
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellLabelMargins->{{12, Inherited}, {Inherited, Inherited}},
 DefaultFormatType->DefaultOutputFormatType,
 InputAutoReplacements->{
  "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> "\[LessEqual]", ">=" -> 
   "\[GreaterEqual]", "!=" -> "\[NotEqual]", "==" -> "\[Equal]", ParentList},
 CellChangeTimes->{3.413624554880596*^9, 3.413624681241365*^9},
 ShowAutoStyles->False,
 "TwoByteSyntaxCharacterAutoReplacement"->True,
 HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
 LineSpacing->{1.25, 0, 2},
 AutoItalicWords->{},
 LanguageCategory->None,
 ScriptMinSize->9,
 ShowStringCharacters->False,
 SingleLetterItalics->False,
 CounterIncrements->"Output",
 MenuPosition->1550,
 StyleMenuListing->None,
 FontFamily->"Courier"]
},
ClosingAutoSave->True,
Editable->False,
ScreenStyleEnvironment->"Working",
WindowToolbars->{},
WindowSize->{Fit, Fit},
WindowMargins->{{251, Automatic}, {Automatic, 30}},
WindowFrame->"Palette",
WindowElements->{},
WindowFrameElements->{"CloseBox", "MinimizeBox"},
WindowClickSelect->False,
WindowTitle->"Illustrating Tangent with the Unit Circle - Source",
DockedCells->{},
ScrollingOptions->{"PagewiseScrolling"->True,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
CellMargins->0,
Active->True,
Deployed->True,
CellOpen->True,
CellContext->Notebook,
ShowCellLabel->False,
ShowCellTags->False,
ImageMargins->0,
Magnification->1.,
FrontEndVersion->"6.1 for Mac OS X x86 (32-bit) (January 25, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[546, 20, 10059, 225, 516, NotebookDefault,
 CellGroupingRules->"OutputGrouping",
 PageBreakAbove->True,
 PageBreakWithin->False,
 CounterIncrements->"Output"]
}
]
*)

(* End of internal cache information *)
