(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     30396,        752]
NotebookOptionsPosition[     28497,        689]
NotebookOutlinePosition[     29109,        713]
CellTagsIndexPosition[     29066,        710]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Lunar Calendar Maker", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"dayspermonth", "[", 
   RowBox[{"month_", ",", "year_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"days", "=", 
      RowBox[{"{", 
       RowBox[{
       "31", ",", "28", ",", "31", ",", "30", ",", "31", ",", "30", ",", "31",
         ",", "31", ",", "30", ",", "31", ",", "30", ",", "31"}], "}"}]}], 
     "}"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Mod", "[", 
         RowBox[{"year", ",", "4"}], "]"}], "\[Equal]", "0"}], " ", "&&", " ",
        
       RowBox[{"month", "\[Equal]", "2"}]}], ",", "29", ",", 
      RowBox[{"days", "[", 
       RowBox[{"[", "month", "]"}], "]"}]}], "]"}]}], "]"}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.37598853611378*^9, 3.375988547264573*^9}, {
   3.375988654339785*^9, 3.375988790075843*^9}, {3.375988859683076*^9, 
   3.375988981070902*^9}, {3.375989040401348*^9, 3.3759890440793*^9}, 
   3.387987019285124*^9},
 CellID->271412541],

Cell[BoxData[
 RowBox[{
  RowBox[{"monthstart", "[", 
   RowBox[{"month_", ",", "year_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"DateString", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"year", ",", "month", ",", "1", ",", "0", ",", "0", ",", "0"}], 
      "}"}], ",", "\"\<DayName\>\""}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\"\<Sunday\>\"", "\[Rule]", "1"}], ",", 
     RowBox[{"\"\<Monday\>\"", "\[Rule]", "2"}], ",", 
     RowBox[{"\"\<Tuesday\>\"", "\[Rule]", "3"}], ",", 
     RowBox[{"\"\<Wednesday\>\"", "\[Rule]", "4"}], ",", 
     RowBox[{"\"\<Thursday\>\"", "\[Rule]", "5"}], ",", 
     RowBox[{"\"\<Friday\>\"", "\[Rule]", "6"}], ",", 
     RowBox[{"\"\<Saturday\>\"", "\[Rule]", "7"}]}], "}"}]}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.375990390687414*^9, 3.3759904906004868`*^9}, {
   3.3759929441981487`*^9, 3.375992998016577*^9}, {3.375993031435286*^9, 
   3.3759930824212227`*^9}, 3.3879870192853394`*^9},
 CellID->375310359],

Cell[BoxData[
 RowBox[{
  RowBox[{"alldays", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<Sun\>\"", ",", "\"\<Mon\>\"", ",", "\"\<Tue\>\"", ",", "\"\<Wed\>\"",
      ",", "\"\<Thu\>\"", ",", "\"\<Fri\>\"", ",", "\"\<Sat\>\""}], "}"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.375908061909976*^9, 3.375908095999751*^9}, 
   3.3761365140946217`*^9, 3.387987019285507*^9},
 CellID->681732474],

Cell[BoxData[
 RowBox[{
  RowBox[{"allmonths", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<January\>\"", ",", "\"\<February\>\"", ",", "\"\<March\>\"", ",", 
     "\"\<April\>\"", ",", "\"\<May\>\"", ",", "\"\<June\>\"", ",", 
     "\"\<July\>\"", ",", "\"\<August\>\"", ",", "\"\<September\>\"", ",", 
     "\"\<October\>\"", ",", "\"\<November\>\"", ",", "\"\<December\>\""}], 
    "}"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.376004396934442*^9, 3.3760044116427927`*^9}, 
   3.376136519977607*^9, 3.387987019285671*^9},
 CellID->1052433773],

Cell[BoxData[
 RowBox[{
  RowBox[{"phase", "[", "day_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"u", "=", 
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{"day", ",", "29.53"}], "]"}], "  ", "2", 
       RowBox[{"\[Pi]", "/", "29.53"}]}]}], "}"}], ",", "\[IndentingNewLine]",
     
    RowBox[{"Graphics3D", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Sphere", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "1"}], "]"}], "}"}], 
      ",", 
      RowBox[{"Lighting", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{"\"\<Directional\>\"", ",", "White", ",", 
          RowBox[{"ImageScaled", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Sin", "[", "u", "]"}], ",", "0", ",", 
             RowBox[{"-", 
              RowBox[{"Cos", "[", "u", "]"}]}]}], "}"}], "]"}]}], "}"}], 
        "}"}]}], ",", 
      RowBox[{"ViewPoint", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "40"}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
      RowBox[{"Background", "\[Rule]", "Black"}], ",", 
      RowBox[{"SphericalRegion", "\[Rule]", "True"}], ",", 
      RowBox[{"ViewAngle", "\[Rule]", 
       RowBox[{"\[Pi]", "/", "3"}]}]}], "]"}]}], "]"}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.35696210375764*^9, {3.3761810305044575`*^9, 3.3761811580982075`*^9}, {
   3.3761811914575825`*^9, 3.3761812315669575`*^9}, {3.3761813340357075`*^9, 
   3.3761813610825825`*^9}, {3.3761814594263325`*^9, 
   3.3761815274107075`*^9}, {3.3761816756294575`*^9, 
   3.3761816757232075`*^9}, {3.380394691203125*^9, 3.380394694265625*^9}, 
   3.3879870192858143`*^9},
 CellID->236862704],

Cell[BoxData[
 RowBox[{
  RowBox[{"monthlayout", "[", 
   RowBox[{"month_", ",", "year_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"header", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"StringJoin", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"allmonths", "[", 
               RowBox[{"[", "month", "]"}], "]"}], ",", "\"\< \>\"", ",", 
              RowBox[{"ToString", "[", "year", "]"}]}], "}"}], "]"}], ",", 
           "SpanFromLeft", ",", "SpanFromLeft", ",", "SpanFromLeft", ",", 
           "SpanFromLeft", ",", "SpanFromLeft", ",", "SpanFromLeft"}], "}"}], 
         ",", "alldays"}], "}"}]}], ",", 
      RowBox[{"lunarstart", "=", 
       RowBox[{"Mod", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"AbsoluteTime", "[", 
             RowBox[{"{", 
              RowBox[{
              "year", ",", "month", ",", "1", ",", "0", ",", "0", ",", "0"}], 
              "}"}], "]"}], "-", 
            RowBox[{"AbsoluteTime", "[", 
             RowBox[{"{", 
              RowBox[{
              "2000", ",", "1", ",", "6", ",", "18", ",", "14", ",", "0"}], 
              "}"}], "]"}]}], ")"}], "/", "86400."}], ",", "29.53"}], 
        "]"}]}]}], "}"}], ",", 
    RowBox[{"Grid", "[", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"header", ",", 
          RowBox[{"Partition", "[", 
           RowBox[{
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Grid", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Grid", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", "i", "]"}], ",", "White", ",", 
                    "\"\<Label\>\"", ",", "12"}], "]"}], "}"}], ",", 
                    RowBox[{"{", "\"\< \>\"", "}"}]}], "}"}], "]"}], ",", 
                   RowBox[{"phase", "[", 
                    RowBox[{"lunarstart", "+", "i", "-", "0.5"}], "]"}]}], 
                  "}"}], "}"}], ",", 
                RowBox[{"Spacings", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"0.2", ",", "0.2"}], "}"}]}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", 
                RowBox[{"dayspermonth", "[", 
                 RowBox[{"month", ",", "year"}], "]"}]}], "}"}]}], "]"}], ",",
             "7", ",", "7", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"monthstart", "[", 
               RowBox[{"month", ",", "year"}], "]"}], ",", "1"}], "}"}], ",", 
            "\"\< \>\""}], "]"}]}], "}"}], ",", "1"}], "]"}], ",", 
      RowBox[{"Frame", "\[Rule]", "All"}], ",", 
      RowBox[{"FrameStyle", "\[Rule]", "White"}], ",", 
      RowBox[{"ItemStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", "Automatic", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1", ",", "1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "7"}], "}"}]}], "}"}], "\[Rule]", 
            RowBox[{"Directive", "[", 
             RowBox[{"White", ",", "\"\<Label\>\"", ",", "Bold", ",", "14"}], 
             "]"}]}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"2", ",", "2"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "7"}], "}"}]}], "}"}], "\[Rule]", 
            RowBox[{"Directive", "[", 
             RowBox[{"White", ",", "\"\<Label\>\"", ",", "Bold", ",", "12"}], 
             "]"}]}]}], "}"}]}], "}"}]}], ",", 
      RowBox[{"Spacings", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", 
         RowBox[{"{", 
          RowBox[{"2", ",", "2", ",", "1", ",", 
           RowBox[{"{", "}"}]}], "}"}]}], "}"}]}], ",", 
      RowBox[{"Background", "\[Rule]", "Black"}]}], "]"}]}], "]"}]}]], "Input",\

 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.375991911552999*^9, 3.3759919241719923`*^9}, {
   3.3759919815483923`*^9, 3.37599200782145*^9}, {3.3759921508156347`*^9, 
   3.375992175166641*^9}, {3.375992405409803*^9, 3.375992426798318*^9}, {
   3.3759925095950127`*^9, 3.3759925371671352`*^9}, {3.375992608887888*^9, 
   3.3759926398566008`*^9}, 3.375992714971068*^9, {3.375992876610187*^9, 
   3.375992884961608*^9}, {3.375998922599074*^9, 3.3759989566227417`*^9}, {
   3.3760010845739393`*^9, 3.376001122101143*^9}, {3.376001173141994*^9, 
   3.376001177386526*^9}, {3.3760013188294077`*^9, 3.376001371940915*^9}, 
   3.376002308079002*^9, 3.3760033556294403`*^9, 3.3760036947316217`*^9, {
   3.37600400750751*^9, 3.3760040082717113`*^9}, {3.3760041037623997`*^9, 
   3.376004160263318*^9}, {3.3760846313778677`*^9, 3.3760846899655867`*^9}, {
   3.37608561107193*^9, 3.376085630153228*^9}, {3.376085671614397*^9, 
   3.3760857804287977`*^9}, {3.3760858914124203`*^9, 3.376085910828623*^9}, {
   3.376086042847205*^9, 3.376086061305591*^9}, {3.376086161026197*^9, 
   3.376086203671843*^9}, {3.376086551165926*^9, 3.376086578978405*^9}, {
   3.3760866177798023`*^9, 3.3760866337995453`*^9}, 3.376086731221946*^9, {
   3.3760869373685217`*^9, 3.376086941458197*^9}, {3.376087365520947*^9, 
   3.376087368091947*^9}, {3.376087408477909*^9, 3.376087456782915*^9}, {
   3.376087504769155*^9, 3.37608753524444*^9}, 3.376087622534091*^9, {
   3.376087954339633*^9, 3.376087998081954*^9}, {3.376088037596446*^9, 
   3.376088041285788*^9}, 3.376088093795599*^9, {3.376088128496333*^9, 
   3.37608814868143*^9}, {3.37608822187827*^9, 3.376088226249591*^9}, {
   3.3760884506928473`*^9, 3.376088470402849*^9}, {3.376088513668891*^9, 
   3.376088574072899*^9}, {3.376088613691268*^9, 3.376088626898931*^9}, {
   3.3760886878009157`*^9, 3.3760887865077057`*^9}, {3.376088872297821*^9, 
   3.3760888810545177`*^9}, {3.376088965162039*^9, 3.376089030030102*^9}, {
   3.3760890978809633`*^9, 3.376089120911515*^9}, {3.376089174962291*^9, 
   3.376089187191578*^9}, 3.376089263716474*^9, {3.3760893518973913`*^9, 
   3.376089373039968*^9}, {3.3760898929054823`*^9, 3.3760899977728977`*^9}, {
   3.3760900526165047`*^9, 3.376090062517578*^9}, {3.376090114785804*^9, 
   3.3760901149758587`*^9}, {3.376090158431669*^9, 3.376090195543535*^9}, {
   3.3760907896718616`*^9, 3.376090894699543*^9}, {3.376090953652569*^9, 
   3.376090954049973*^9}, {3.376091045596431*^9, 3.3760910865809193`*^9}, {
   3.3760911770810957`*^9, 3.3760912304018106`*^9}, 3.3760912786217337`*^9, {
   3.376164460328125*^9, 3.3761644711875*^9}, {3.37616940575*^9, 
   3.376169446484375*^9}, {3.3761816061919575`*^9, 3.3761816530200825`*^9}, 
   3.385818593572535*^9, 3.387987019285961*^9},
 CellID->1433632407],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"monthlayout", "[", 
    RowBox[{"month", ",", "year"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"month", ",", "1", ",", "\"\<Month\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "->", "\"\<January\>\""}], ",", 
       RowBox[{"2", "->", "\"\<February\>\""}], ",", 
       RowBox[{"3", "->", "\"\<March\>\""}], ",", 
       RowBox[{"4", "->", "\"\<April\>\""}], ",", 
       RowBox[{"5", "->", "\"\<May\>\""}], ",", 
       RowBox[{"6", "->", "\"\<June\>\""}], ",", 
       RowBox[{"7", "->", "\"\<July\>\""}], ",", 
       RowBox[{"8", "->", "\"\<August\>\""}], ",", 
       RowBox[{"9", "->", "\"\<September\>\""}], ",", 
       RowBox[{"10", "->", "\"\<October\>\""}], ",", 
       RowBox[{"11", "->", "\"\<November\>\""}], ",", 
       RowBox[{"12", "->", "\"\<December\>\""}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"year", ",", "2006", ",", "\"\<Year\>\""}], "}"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{"i", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "2006", ",", "2030"}], "}"}]}], "]"}]}], "}"}], ",",
    
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", "1", "}"}]}]}], "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.376092749863164*^9, 3.376092914942271*^9}, {
   3.376093412960134*^9, 3.376093523438861*^9}, {3.376093855904752*^9, 
   3.376093863110532*^9}, {3.37609410662337*^9, 3.376094112975842*^9}, {
   3.376094189230267*^9, 3.376094211913583*^9}, {3.376094320719119*^9, 
   3.376094368964108*^9}, {3.3761371828747*^9, 3.376137193826185*^9}, {
   3.37616450165625*^9, 3.376164506140625*^9}, {3.3761695120625*^9, 
   3.376169516171875*^9}, {3.3761819652700825`*^9, 3.3761819677544575`*^9}, {
   3.3803947081875*^9, 3.380394708359375*^9}, 3.38798701928612*^9},
 CellID->293345109],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`month$$ = 1, $CellContext`year$$ = 2006, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`month$$], 1, "Month"}, {
      1 -> "January", 2 -> "February", 3 -> "March", 4 -> "April", 5 -> "May",
        6 -> "June", 7 -> "July", 8 -> "August", 9 -> "September", 10 -> 
       "October", 11 -> "November", 12 -> "December"}}, {{
       Hold[$CellContext`year$$], 2006, "Year"}, {2006, 2007, 2008, 2009, 
      2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020, 2021, 
      2022, 2023, 2024, 2025, 2026, 2027, 2028, 2029, 2030}}}, 
    Typeset`size$$ = {470., {151.375, 156.625}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`month$37674$$ = False, $CellContext`year$37675$$ = 0},
     
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`month$$ = 1, $CellContext`year$$ = 2006}, 
      "ControllerVariables" :> {
        Hold[$CellContext`month$$, $CellContext`month$37674$$, False], 
        Hold[$CellContext`year$$, $CellContext`year$37675$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`monthlayout[$CellContext`month$$, \
$CellContext`year$$], 
      "Specifications" :> {{{$CellContext`month$$, 1, "Month"}, {
         1 -> "January", 2 -> "February", 3 -> "March", 4 -> "April", 5 -> 
          "May", 6 -> "June", 7 -> "July", 8 -> "August", 9 -> "September", 
          10 -> "October", 11 -> "November", 12 -> 
          "December"}}, {{$CellContext`year$$, 2006, "Year"}, {2006, 2007, 
         2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 
         2019, 2020, 2021, 2022, 2023, 2024, 2025, 2026, 2027, 2028, 2029, 
         2030}}}, "Options" :> {AutorunSequencing -> {1}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{512., {207.375, 212.625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`monthlayout[
          Pattern[$CellContext`month, 
           Blank[]], 
          Pattern[$CellContext`year, 
           Blank[]]] := Module[{$CellContext`header = {{
              StringJoin[{
                Part[$CellContext`allmonths, $CellContext`month], " ", 
                ToString[$CellContext`year]}], SpanFromLeft, SpanFromLeft, 
              SpanFromLeft, SpanFromLeft, SpanFromLeft, 
              SpanFromLeft}, $CellContext`alldays}, $CellContext`lunarstart = 
           Mod[(AbsoluteTime[{$CellContext`year, $CellContext`month, 1, 0, 0, 
                 0}] - AbsoluteTime[{2000, 1, 6, 18, 14, 0}])/86400., 29.53]},
           
          Grid[
           Flatten[{$CellContext`header, 
             Partition[
              Table[
               Grid[{{
                  Grid[{{
                    Style[
                    ToString[$CellContext`i], White, "Label", 12]}, {" "}}], 
                  $CellContext`phase[$CellContext`lunarstart + $CellContext`i - 
                   0.5]}}, Spacings -> {0.2, 0.2}], {$CellContext`i, 1, 
                $CellContext`dayspermonth[$CellContext`month, \
$CellContext`year]}], 7, 7, {
               $CellContext`monthstart[$CellContext`month, $CellContext`year],
                1}, " "]}, 1], Frame -> All, FrameStyle -> White, 
           ItemStyle -> {
            Automatic, 
             Automatic, {{{1, 1}, {1, 7}} -> 
              Directive[White, "Label", Bold, 14], {{2, 2}, {1, 7}} -> 
              Directive[White, "Label", Bold, 12]}}, 
           Spacings -> {Automatic, {2, 2, 1, {}}}, Background -> 
           Black]], $CellContext`allmonths = {
         "January", "February", "March", "April", "May", "June", "July", 
          "August", "September", "October", "November", 
          "December"}, $CellContext`alldays = {
         "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"}, $CellContext`phase[
         
          Pattern[$CellContext`day, 
           Blank[]]] := 
        Module[{$CellContext`u = (Mod[$CellContext`day, 29.53] 2) (Pi/29.53)},
           
          Graphics3D[{
            Sphere[{0, 0, 0}, 1]}, Lighting -> {{"Directional", White, 
              ImageScaled[{
                Sin[$CellContext`u], 0, -Cos[$CellContext`u]}]}}, 
           ViewPoint -> {0, 0, 1}, ImageSize -> 40, Boxed -> False, 
           Background -> Black, SphericalRegion -> True, ViewAngle -> 
           Pi/3]], $CellContext`dayspermonth[
          Pattern[$CellContext`month, 
           Blank[]], 
          Pattern[$CellContext`year, 
           Blank[]]] := 
        Module[{$CellContext`days = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 
            30, 31}}, 
          If[
           And[Mod[$CellContext`year, 4] == 0, $CellContext`month == 2], 29, 
           
           Part[$CellContext`days, $CellContext`month]]], \
$CellContext`monthstart[
          Pattern[$CellContext`month, 
           Blank[]], 
          Pattern[$CellContext`year, 
           Blank[]]] := ReplaceAll[
          
          DateString[{$CellContext`year, $CellContext`month, 1, 0, 0, 0}, 
           "DayName"], {
          "Sunday" -> 1, "Monday" -> 2, "Tuesday" -> 3, "Wednesday" -> 4, 
           "Thursday" -> 5, "Friday" -> 6, "Saturday" -> 7}]}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`dayspermonth[
           Pattern[$CellContext`month, 
            Blank[]], 
           Pattern[$CellContext`year, 
            Blank[]]] := 
         Module[{$CellContext`days = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 
             30, 31}}, 
           If[
            And[Mod[$CellContext`year, 4] == 0, $CellContext`month == 2], 29, 
            
            
            Part[$CellContext`days, $CellContext`month]]], \
$CellContext`monthstart[
           Pattern[$CellContext`month, 
            Blank[]], 
           Pattern[$CellContext`year, 
            Blank[]]] := ReplaceAll[
           
           DateString[{$CellContext`year, $CellContext`month, 1, 0, 0, 0}, 
            "DayName"], {
           "Sunday" -> 1, "Monday" -> 2, "Tuesday" -> 3, "Wednesday" -> 4, 
            "Thursday" -> 5, "Friday" -> 6, "Saturday" -> 
            7}], $CellContext`alldays = {
           "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"}; 
         Null, $CellContext`allmonths = {
           "January", "February", "March", "April", "May", "June", "July", 
            "August", "September", "October", "November", "December"}; 
         Null, $CellContext`phase[
           Pattern[$CellContext`day, 
            Blank[]]] := 
         Module[{$CellContext`u = (Mod[$CellContext`day, 29.53] 2) (Pi/
              29.53)}, 
           Graphics3D[{
             Sphere[{0, 0, 0}, 1]}, Lighting -> {{"Directional", White, 
               ImageScaled[{
                 Sin[$CellContext`u], 0, -Cos[$CellContext`u]}]}}, 
            ViewPoint -> {0, 0, 1}, ImageSize -> 40, Boxed -> False, 
            Background -> Black, SphericalRegion -> True, ViewAngle -> 
            Pi/3]], $CellContext`monthlayout[
           Pattern[$CellContext`month, 
            Blank[]], 
           Pattern[$CellContext`year, 
            Blank[]]] := Module[{$CellContext`header = {{
               StringJoin[{
                 Part[$CellContext`allmonths, $CellContext`month], " ", 
                 ToString[$CellContext`year]}], SpanFromLeft, SpanFromLeft, 
               SpanFromLeft, SpanFromLeft, SpanFromLeft, 
               SpanFromLeft}, $CellContext`alldays}, $CellContext`lunarstart = 
            Mod[(AbsoluteTime[{$CellContext`year, $CellContext`month, 1, 0, 0,
                   0}] - AbsoluteTime[{2000, 1, 6, 18, 14, 0}])/86400., 
              29.53]}, 
           Grid[
            Flatten[{$CellContext`header, 
              Partition[
               Table[
                Grid[{{
                   Grid[{{
                    Style[
                    ToString[$CellContext`i], White, "Label", 12]}, {" "}}], 
                   $CellContext`phase[$CellContext`lunarstart + \
$CellContext`i - 0.5]}}, Spacings -> {0.2, 0.2}], {$CellContext`i, 1, 
                 $CellContext`dayspermonth[$CellContext`month, \
$CellContext`year]}], 7, 7, {
                $CellContext`monthstart[$CellContext`month, \
$CellContext`year], 1}, " "]}, 1], Frame -> All, FrameStyle -> White, 
            ItemStyle -> {
             Automatic, 
              Automatic, {{{1, 1}, {1, 7}} -> 
               Directive[White, "Label", Bold, 14], {{2, 2}, {1, 7}} -> 
               Directive[White, "Label", Bold, 12]}}, 
            Spacings -> {Automatic, {2, 2, 1, {}}}, Background -> Black]]}]]),
    
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{3.3879870192862453`*^9},
 CellID->114393087]
}, {8}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Lunar Calendar Maker",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LunarCalendarMaker/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LunarCalendarMaker/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/LunarCalendarMaker/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LunarCalendarMaker/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LunarCalendarMaker/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Bruce Atwood", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->602709941],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LunarCalendarMaker"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
ClosingSaveDialog->False,
Editable->True,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Lunar Calendar Maker - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (May 22, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 212, 4, 67, "Section"],
Cell[CellGroupData[{
Cell[827, 31, 1055, 28, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->271412541],
Cell[1885, 61, 1019, 23, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->375310359],
Cell[2907, 86, 445, 11, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->681732474],
Cell[3355, 99, 600, 13, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->1052433773],
Cell[3958, 114, 1875, 48, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->236862704],
Cell[5836, 164, 7151, 152, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->1433632407],
Cell[12990, 318, 2007, 44, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->293345109],
Cell[15000, 364, 9425, 195, 438, "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->114393087]
}, {8}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[24471, 565, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[24847, 576, 887, 24, 34, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25771, 605, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26111, 616, 203, 6, 18, "Text",
 CellID->602709941],
Cell[26317, 624, 967, 27, 114, "Text"],
Cell[27287, 653, 1194, 33, 70, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

