(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     46999,       1007]
NotebookOptionsPosition[     45665,        959]
NotebookOutlinePosition[     46274,        983]
CellTagsIndexPosition[     46231,        980]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Polyhedral Koalas", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"koala", "[", 
   RowBox[{"r_", ",", "b_", ",", "p_", ",", "sc_", ",", "name_"}], "]"}], ":=",
   
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"ph", ",", 
      RowBox[{"f", "=", 
       RowBox[{"PolyhedronData", "[", 
        RowBox[{"name", ",", "\"\<Faces\>\""}], "]"}]}], ",", "f1", ",", 
      "sf"}], "}"}], ",", 
    RowBox[{
     RowBox[{"f1", "=", 
      RowBox[{
       RowBox[{"Function", "[", 
        RowBox[{"u", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"#", "-", 
             RowBox[{"Mean", "[", "u", "]"}]}], ")"}], "&"}], "/@", "u"}]}], 
        "]"}], "[", 
       RowBox[{"N", "[", 
        RowBox[{"f", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "]"}], "]"}]}], ";", 
     RowBox[{"sf", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Head", "[", "#", "]"}], "===", "Missing"}], ",", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"2", 
            RowBox[{"Mean", "[", 
             RowBox[{"f1", "^", "2"}], "]"}]}], "]"}], ",", "#"}], "]"}], 
        "&"}], "[", 
       RowBox[{"PolyhedronData", "[", 
        RowBox[{"name", ",", "\"\<Midradius\>\""}], "]"}], "]"}]}], ";", 
     RowBox[{
      RowBox[{"ph", "[", 
       RowBox[{"rr_", ",", "sz_"}], "]"}], ":=", 
      RowBox[{"GraphicsComplex", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"sc", "/", "sf"}], " ", "sz", " ", "#"}], "+", "rr"}], 
           ")"}], "&"}], "/@", "f1"}], ",", 
        RowBox[{"f", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ";", 
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{"ph", "[", 
        RowBox[{"r", ",", "1"}], "]"}], ",", 
       RowBox[{"ph", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "1.4"}], "}"}], "+", "r"}], ",", 
         ".7"}], "]"}], ",", "White", ",", 
       RowBox[{"ph", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".5"}], ",", "0", ",", "1.6"}], "}"}], "+", "r"}], 
         ",", ".4"}], "]"}], ",", 
       RowBox[{"ph", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"+", ".5"}], ",", "0", ",", "1.6"}], "}"}], "+", "r"}], 
         ",", ".4"}], "]"}], ",", "Black", ",", 
       RowBox[{"ph", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".3"}], ",", ".6", ",", "1.5"}], "}"}], "+", "r"}], 
         ",", ".1"}], "]"}], ",", 
       RowBox[{"ph", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"+", ".3"}], ",", ".6", ",", "1.5"}], "}"}], "+", "r"}], 
         ",", ".1"}], "]"}], ",", "Brown", ",", 
       RowBox[{"ph", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", ".6", ",", "1.4"}], "}"}], "+", "r"}], ",", 
         ".2"}], "]"}], ",", "p", ",", 
       RowBox[{"ph", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".8"}], ",", "0", ",", ".5"}], "}"}], "+", "r"}], 
         ",", ".4"}], "]"}], ",", 
       RowBox[{"ph", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"+", ".8"}], ",", "0", ",", ".5"}], "}"}], "+", "r"}], 
         ",", ".4"}], "]"}], ",", 
       RowBox[{"ph", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".8"}], ",", "0", ",", 
            RowBox[{"-", ".5"}]}], "}"}], "+", "r"}], ",", ".4"}], "]"}], ",",
        
       RowBox[{"ph", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"+", ".8"}], ",", "0", ",", 
            RowBox[{"-", ".5"}]}], "}"}], "+", "r"}], ",", ".4"}], "]"}]}], 
      "}"}]}]}], "]"}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.3715027167687254`*^9, 3.3715027327377825`*^9}, {
   3.371502787098201*^9, 3.3715027884263515`*^9}, {3.3715028442711735`*^9, 
   3.3715028460368323`*^9}, {3.3715029591952553`*^9, 
   3.3715029897739673`*^9}, {3.371503100385466*^9, 3.371503103354273*^9}, {
   3.37150315137082*^9, 3.37150315163645*^9}, {3.3716938955451803`*^9, 
   3.3716938965451994`*^9}, {3.3718464808138113`*^9, 
   3.3718467057941895`*^9}, {3.3718470157483225`*^9, 3.371847021107766*^9}, {
   3.371847225438507*^9, 3.371847235048005*^9}, 3.3718473202527533`*^9, {
   3.374179271460354*^9, 3.374179414868439*^9}, {3.3741795220885615`*^9, 
   3.3741795499795437`*^9}, {3.3741796723873606`*^9, 
   3.3741797048721514`*^9}, {3.374179843530176*^9, 3.37417985201466*^9}, {
   3.3741800664549046`*^9, 3.3741800747987614`*^9}, {3.3777379897312727`*^9, 
   3.3777380362943687`*^9}, {3.3777381057171326`*^9, 3.377738170639838*^9}, {
   3.3777382683754644`*^9, 3.3777382700161104`*^9}, {3.377738311547892*^9, 
   3.377738327251218*^9}, {3.3777383917676687`*^9, 3.377738450768424*^9}, {
   3.377738552254098*^9, 3.377738555457264*^9}, {3.3777386318957424`*^9, 
   3.377738677818205*^9}, 3.387986936645987*^9},
 CellID->444337643],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Opacity", "[", 
        RowBox[{"1", "-", "tr"}], "]"}], ",", 
       RowBox[{"koala", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"Hue", "[", 
          RowBox[{"hb", ",", "sb", ",", "1"}], "]"}], ",", 
         RowBox[{"Hue", "[", 
          RowBox[{"hp", ",", "sp", ",", "1"}], "]"}], ",", "sc", ",", 
         "poly"}], "]"}]}], "}"}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
     RowBox[{"ViewAngle", "\[Rule]", "0.4"}], ",", 
     RowBox[{"ViewPoint", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0.64", ",", "3.27", ",", "0.537"}], "}"}]}], ",", 
     RowBox[{"ViewVertical", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"-", "0.03"}], ",", "1"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"350", ",", "350"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"poly", ",", "\"\<Icosahedron\>\"", ",", "\"\<polyhedron\>\""}],
       "}"}], ",", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Riffle", "[", 
       RowBox[{
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"#", "->", 
             RowBox[{"PolyhedronData", "[", 
              RowBox[{"#", ",", "\"\<Name\>\""}], "]"}]}], ")"}], "&"}], ",", 
          
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"PolyhedronData", "/@", 
             RowBox[{"{", 
              RowBox[{
              "\"\<Platonic\>\"", ",", "\"\<Archimedean\>\"", ",", 
               "\"\<ArchimedeanDual\>\"", ",", "\"\<KeplerPoinsot\>\"", ",", 
               "\"\<Pyramid\>\"", ",", "\"\<Dipyramid\>\"", ",", 
               "\"\<Prism\>\"", ",", "\"\<Antiprism\>\"", ",", 
               "\"\<Johnson\>\""}], "}"}]}], ",", 
            RowBox[{"{", 
             RowBox[{
             "\"\<CsaszarPolyhedron\>\"", ",", "\"\<DuerersSolid\>\"", ",", 
              "\"\<EschersSolid\>\"", ",", 
              "\"\<JessensOrthogonalIcosahedron\>\"", ",", 
              "\"\<MathematicaPolyhedron\>\"", ",", 
              "\"\<SzilassiPolyhedron\>\""}], "}"}]}], "]"}], ",", 
          RowBox[{"{", "2", "}"}]}], "]"}], ",", "Delimiter"}], "]"}], "]"}], 
     ",", 
     RowBox[{"ControlType", "\[Rule]", "PopupMenu"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sc", ",", "1", ",", "\"\<scaling\>\""}], "}"}], ",", "0.5", 
     ",", "1.5", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", "Delimiter", 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hb", ",", ".1", ",", "\"\<body color\>\""}], "}"}], ",", "0", 
     ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sb", ",", "1", ",", "\"\<body brightness\>\""}], "}"}], ",", 
     "0", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hp", ",", ".1", ",", "\"\<paw color\>\""}], "}"}], ",", "0", 
     ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sp", ",", "1", ",", "\"\<paw brightness\>\""}], "}"}], ",", 
     "0", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", "Delimiter", 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"tr", ",", "0", ",", "\"\<transparency\>\""}], "}"}], ",", "0", 
     ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.35696210375764*^9, 3.378092329205244*^9, {3.385307369480173*^9, 
   3.385307413585807*^9}, {3.3853074675125732`*^9, 3.385307467722628*^9}, {
   3.385307499711607*^9, 3.385307499862151*^9}, {3.385307536982696*^9, 
   3.385307537364943*^9}, 3.385592581850079*^9, {3.385593390808381*^9, 
   3.3855934056366014`*^9}, {3.385593950483838*^9, 3.385593960702654*^9}, 
   3.385593996374757*^9, 3.385595360477237*^9, 3.3879869366461697`*^9},
 CellID->377545130],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`hb$$ = 0.1, $CellContext`hp$$ = 
    0.1, $CellContext`poly$$ = "Icosahedron", $CellContext`sb$$ = 
    1, $CellContext`sc$$ = 1, $CellContext`sp$$ = 1, $CellContext`tr$$ = 0, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`poly$$], "Icosahedron", "polyhedron"}, {
      "Cube" -> "cube", "Dodecahedron" -> "dodecahedron", "Icosahedron" -> 
       "icosahedron", "Octahedron" -> "octahedron", "Tetrahedron" -> 
       "tetrahedron", Delimiter, "Cuboctahedron" -> "cuboctahedron", 
       "GreatRhombicosidodecahedron" -> "great rhombicosidodecahedron", 
       "GreatRhombicuboctahedron" -> "great rhombicuboctahedron", 
       "Icosidodecahedron" -> "icosidodecahedron", 
       "SmallRhombicosidodecahedron" -> "small rhombicosidodecahedron", 
       "SmallRhombicuboctahedron" -> "small rhombicuboctahedron", "SnubCube" -> 
       "snub cube", "SnubDodecahedron" -> "snub dodecahedron", 
       "TruncatedCube" -> "truncated cube", "TruncatedDodecahedron" -> 
       "truncated dodecahedron", "TruncatedIcosahedron" -> 
       "truncated icosahedron", "TruncatedOctahedron" -> 
       "truncated octahedron", "TruncatedTetrahedron" -> 
       "truncated tetrahedron", Delimiter, "DeltoidalHexecontahedron" -> 
       "deltoidal hexecontahedron", "DeltoidalIcositetrahedron" -> 
       "deltoidal icositetrahedron", "DisdyakisDodecahedron" -> 
       "disdyakis dodecahedron", "DisdyakisTriacontahedron" -> 
       "disdyakis triacontahedron", "PentagonalHexecontahedron" -> 
       "pentagonal hexecontahedron", "PentagonalIcositetrahedron" -> 
       "pentagonal icositetrahedron", "PentakisDodecahedron" -> 
       "pentakis dodecahedron", "RhombicDodecahedron" -> 
       "rhombic dodecahedron", "RhombicTriacontahedron" -> 
       "rhombic triacontahedron", "SmallTriakisOctahedron" -> 
       "small triakis octahedron", "TetrakisHexahedron" -> 
       "tetrakis hexahedron", "TriakisIcosahedron" -> "triakis icosahedron", 
       "TriakisTetrahedron" -> "triakis tetrahedron", Delimiter, 
       "GreatDodecahedron" -> "great dodecahedron", "GreatIcosahedron" -> 
       "great icosahedron", "GreatStellatedDodecahedron" -> 
       "great stellated dodecahedron", "SmallStellatedDodecahedron" -> 
       "small stellated dodecahedron", Delimiter, {"Pyramid", 4} -> 
       "square pyramid", {"Pyramid", 5} -> "pentagonal pyramid", 
       "Tetrahedron" -> "tetrahedron", Delimiter, {"Dipyramid", 3} -> 
       "triangular dipyramid", {"Dipyramid", 5} -> "pentagonal dipyramid", 
       "Octahedron" -> "octahedron", Delimiter, "Cube" -> 
       "cube", {"Prism", 3} -> "triangular prism", {"Prism", 5} -> 
       "pentagonal prism", {"Prism", 6} -> "hexagonal prism", {"Prism", 7} -> 
       "heptagonal prism", {"Prism", 8} -> "octagonal prism", {"Prism", 9} -> 
       "nonagonal prism", {"Prism", 10} -> "decagonal prism", 
       Delimiter, {"Antiprism", 4} -> "square antiprism", {"Antiprism", 5} -> 
       "pentagonal antiprism", {"Antiprism", 6} -> 
       "hexagonal antiprism", {"Antiprism", 7} -> 
       "heptagonal antiprism", {"Antiprism", 8} -> 
       "octagonal antiprism", {"Antiprism", 9} -> 
       "nonagonal antiprism", {"Antiprism", 10} -> "decagonal antiprism", 
       "Octahedron" -> "octahedron", Delimiter, "AugmentedDodecahedron" -> 
       "augmented dodecahedron", "AugmentedHexagonalPrism" -> 
       "augmented hexagonal prism", "AugmentedPentagonalPrism" -> 
       "augmented pentagonal prism", "AugmentedSphenocorona" -> 
       "augmented sphenocorona", "AugmentedTriangularPrism" -> 
       "augmented triangular prism", "AugmentedTridiminishedIcosahedron" -> 
       "augmented tridiminished icosahedron", "AugmentedTruncatedCube" -> 
       "augmented truncated cube", "AugmentedTruncatedDodecahedron" -> 
       "augmented truncated dodecahedron", "AugmentedTruncatedTetrahedron" -> 
       "augmented truncated tetrahedron", "BiaugmentedPentagonalPrism" -> 
       "biaugmented pentagonal prism", "BiaugmentedTriangularPrism" -> 
       "biaugmented triangular prism", "BiaugmentedTruncatedCube" -> 
       "biaugmented truncated cube", 
       "BigyrateDiminishedRhombicosidodecahedron" -> 
       "bigyrate diminished rhombicosidodecahedron", "Bilunabirotunda" -> 
       "bilunabirotunda", "DiminishedRhombicosidodecahedron" -> 
       "diminished rhombicosidodecahedron", {"Dipyramid", 3} -> 
       "triangular dipyramid", {"Dipyramid", 5} -> "pentagonal dipyramid", 
       "Disphenocingulum" -> "disphenocingulum", "ElongatedPentagonalCupola" -> 
       "elongated pentagonal cupola", "ElongatedPentagonalDipyramid" -> 
       "elongated pentagonal dipyramid", "ElongatedPentagonalGyrobicupola" -> 
       "elongated pentagonal gyrobicupola", 
       "ElongatedPentagonalGyrobirotunda" -> 
       "elongated pentagonal gyrobirotunda", 
       "ElongatedPentagonalGyrocupolarotunda" -> 
       "elongated pentagonal gyrocupolarotunda", 
       "ElongatedPentagonalOrthobicupola" -> 
       "elongated pentagonal orthobicupola", 
       "ElongatedPentagonalOrthobirotunda" -> 
       "elongated pentagonal orthobirotunda", 
       "ElongatedPentagonalOrthocupolarotunda" -> 
       "elongated pentagonal orthocupolarotunda", 
       "ElongatedPentagonalPyramid" -> "elongated pentagonal pyramid", 
       "ElongatedPentagonalRotunda" -> "elongated pentagonal rotunda", 
       "ElongatedSquareCupola" -> "elongated square cupola", 
       "ElongatedSquareDipyramid" -> "elongated square dipyramid", 
       "ElongatedSquareGyrobicupola" -> "elongated square gyrobicupola", 
       "ElongatedSquarePyramid" -> "elongated square pyramid", 
       "ElongatedTriangularCupola" -> "elongated triangular cupola", 
       "ElongatedTriangularDipyramid" -> "elongated triangular dipyramid", 
       "ElongatedTriangularGyrobicupola" -> 
       "elongated triangular gyrobicupola", 
       "ElongatedTriangularOrthobicupola" -> 
       "elongated triangular orthobicupola", "ElongatedTriangularPyramid" -> 
       "elongated triangular pyramid", 
       "GyrateBidiminishedRhombicosidodecahedron" -> 
       "gyrate bidiminished rhombicosidodecahedron", 
       "GyrateRhombicosidodecahedron" -> "gyrate rhombicosidodecahedron", 
       "Gyrobifastigium" -> "gyrobifastigium", 
       "GyroelongatedPentagonalBicupola" -> 
       "gyroelongated pentagonal bicupola", 
       "GyroelongatedPentagonalBirotunda" -> 
       "gyroelongated pentagonal birotunda", "GyroelongatedPentagonalCupola" -> 
       "gyroelongated pentagonal cupola", 
       "GyroelongatedPentagonalCupolarotunda" -> 
       "gyroelongated pentagonal cupolarotunda", 
       "GyroelongatedPentagonalPyramid" -> "gyroelongated pentagonal pyramid",
        "GyroelongatedPentagonalRotunda" -> 
       "gyroelongated pentagonal rotunda", "GyroelongatedSquareBicupola" -> 
       "gyroelongated square bicupola", "GyroelongatedSquareCupola" -> 
       "gyroelongated square cupola", "GyroelongatedSquareDipyramid" -> 
       "gyroelongated square dipyramid", "GyroelongatedSquarePyramid" -> 
       "gyroelongated square pyramid", "GyroelongatedTriangularBicupola" -> 
       "gyroelongated triangular bicupola", "GyroelongatedTriangularCupola" -> 
       "gyroelongated triangular cupola", "Hebesphenomegacorona" -> 
       "hebesphenomegacorona", "MetabiaugmentedDodecahedron" -> 
       "metabiaugmented dodecahedron", "MetabiaugmentedHexagonalPrism" -> 
       "metabiaugmented hexagonal prism", 
       "MetabiaugmentedTruncatedDodecahedron" -> 
       "metabiaugmented truncated dodecahedron", 
       "MetabidiminishedIcosahedron" -> "metabidiminished icosahedron", 
       "MetabidiminishedRhombicosidodecahedron" -> 
       "metabidiminished rhombicosidodecahedron", 
       "MetabigyrateRhombicosidodecahedron" -> 
       "metabigyrate rhombicosidodecahedron", 
       "MetagyrateDiminishedRhombicosidodecahedron" -> 
       "metagyrate diminished rhombicosidodecahedron", 
       "ParabiaugmentedDodecahedron" -> "parabiaugmented dodecahedron", 
       "ParabiaugmentedHexagonalPrism" -> "parabiaugmented hexagonal prism", 
       "ParabiaugmentedTruncatedDodecahedron" -> 
       "parabiaugmented truncated dodecahedron", 
       "ParabidiminishedRhombicosidodecahedron" -> 
       "parabidiminished rhombicosidodecahedron", 
       "ParabigyrateRhombicosidodecahedron" -> 
       "parabigyrate rhombicosidodecahedron", 
       "ParagyrateDiminishedRhombicosidodecahedron" -> 
       "paragyrate diminished rhombicosidodecahedron", "PentagonalCupola" -> 
       "pentagonal cupola", "PentagonalGyrobicupola" -> 
       "pentagonal gyrobicupola", "PentagonalGyrocupolarotunda" -> 
       "pentagonal gyrocupolarotunda", "PentagonalOrthobicupola" -> 
       "pentagonal orthobicupola", "PentagonalOrthobirotunda" -> 
       "pentagonal orthobirotunda", "PentagonalOrthocupolarotunda" -> 
       "pentagonal orthocupolarotunda", "PentagonalRotunda" -> 
       "pentagonal rotunda", {"Pyramid", 4} -> 
       "square pyramid", {"Pyramid", 5} -> "pentagonal pyramid", 
       "SnubDisphenoid" -> "snub disphenoid", "SnubSquareAntiprism" -> 
       "snub square antiprism", "Sphenocorona" -> "sphenocorona", 
       "Sphenomegacorona" -> "sphenomegacorona", "SquareCupola" -> 
       "square cupola", "SquareGyrobicupola" -> "square gyrobicupola", 
       "SquareOrthobicupola" -> "square orthobicupola", "TriangularCupola" -> 
       "triangular cupola", "TriangularHebesphenorotunda" -> 
       "triangular hebesphenorotunda", "TriangularOrthobicupola" -> 
       "triangular orthobicupola", "TriaugmentedDodecahedron" -> 
       "triaugmented dodecahedron", "TriaugmentedHexagonalPrism" -> 
       "triaugmented hexagonal prism", "TriaugmentedTriangularPrism" -> 
       "triaugmented triangular prism", "TriaugmentedTruncatedDodecahedron" -> 
       "triaugmented truncated dodecahedron", "TridiminishedIcosahedron" -> 
       "tridiminished icosahedron", "TridiminishedRhombicosidodecahedron" -> 
       "tridiminished rhombicosidodecahedron", 
       "TrigyrateRhombicosidodecahedron" -> 
       "trigyrate rhombicosidodecahedron", Delimiter, "CsaszarPolyhedron" -> 
       "Cs\[AAcute]sz\[AAcute]r polyhedron", "DuerersSolid" -> 
       "D\[UDoubleDot]rer's solid", "EschersSolid" -> "Escher's solid", 
       "JessensOrthogonalIcosahedron" -> "Jessen's orthogonal icosahedron", 
       "MathematicaPolyhedron" -> "Mathematica polyhedron", 
       "SzilassiPolyhedron" -> "Szilassi polyhedron"}}, {{
       Hold[$CellContext`sc$$], 1, "scaling"}, 0.5, 1.5}, {{
       Hold[$CellContext`hb$$], 0.1, "body color"}, 0, 1}, {{
       Hold[$CellContext`sb$$], 1, "body brightness"}, 0, 1}, {{
       Hold[$CellContext`hp$$], 0.1, "paw color"}, 0, 1}, {{
       Hold[$CellContext`sp$$], 1, "paw brightness"}, 0, 1}, {{
       Hold[$CellContext`tr$$], 0, "transparency"}, 0, 1}}, Typeset`size$$ = {
    350., {173., 177.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`poly$81140$$ = 
    False, $CellContext`sc$81141$$ = 0, $CellContext`hb$81142$$ = 
    0, $CellContext`sb$81143$$ = 0, $CellContext`hp$81144$$ = 
    0, $CellContext`sp$81145$$ = 0, $CellContext`tr$81146$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`hb$$ = 0.1, $CellContext`hp$$ = 
        0.1, $CellContext`poly$$ = "Icosahedron", $CellContext`sb$$ = 
        1, $CellContext`sc$$ = 1, $CellContext`sp$$ = 1, $CellContext`tr$$ = 
        0}, "ControllerVariables" :> {
        Hold[$CellContext`poly$$, $CellContext`poly$81140$$, False], 
        Hold[$CellContext`sc$$, $CellContext`sc$81141$$, 0], 
        Hold[$CellContext`hb$$, $CellContext`hb$81142$$, 0], 
        Hold[$CellContext`sb$$, $CellContext`sb$81143$$, 0], 
        Hold[$CellContext`hp$$, $CellContext`hp$81144$$, 0], 
        Hold[$CellContext`sp$$, $CellContext`sp$81145$$, 0], 
        Hold[$CellContext`tr$$, $CellContext`tr$81146$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics3D[{
         Opacity[1 - $CellContext`tr$$], 
         $CellContext`koala[{0, 0, 0}, 
          Hue[$CellContext`hb$$, $CellContext`sb$$, 1], 
          
          Hue[$CellContext`hp$$, $CellContext`sp$$, 
           1], $CellContext`sc$$, $CellContext`poly$$]}, Boxed -> False, 
        ViewAngle -> 0.4, ViewPoint -> {0.64, 3.27, 0.537}, 
        ViewVertical -> {0, -0.03, 1}, ImageSize -> {350, 350}], 
      "Specifications" :> {{{$CellContext`poly$$, "Icosahedron", 
          "polyhedron"}, {
         "Cube" -> "cube", "Dodecahedron" -> "dodecahedron", "Icosahedron" -> 
          "icosahedron", "Octahedron" -> "octahedron", "Tetrahedron" -> 
          "tetrahedron", Delimiter, "Cuboctahedron" -> "cuboctahedron", 
          "GreatRhombicosidodecahedron" -> "great rhombicosidodecahedron", 
          "GreatRhombicuboctahedron" -> "great rhombicuboctahedron", 
          "Icosidodecahedron" -> "icosidodecahedron", 
          "SmallRhombicosidodecahedron" -> "small rhombicosidodecahedron", 
          "SmallRhombicuboctahedron" -> "small rhombicuboctahedron", 
          "SnubCube" -> "snub cube", "SnubDodecahedron" -> 
          "snub dodecahedron", "TruncatedCube" -> "truncated cube", 
          "TruncatedDodecahedron" -> "truncated dodecahedron", 
          "TruncatedIcosahedron" -> "truncated icosahedron", 
          "TruncatedOctahedron" -> "truncated octahedron", 
          "TruncatedTetrahedron" -> "truncated tetrahedron", Delimiter, 
          "DeltoidalHexecontahedron" -> "deltoidal hexecontahedron", 
          "DeltoidalIcositetrahedron" -> "deltoidal icositetrahedron", 
          "DisdyakisDodecahedron" -> "disdyakis dodecahedron", 
          "DisdyakisTriacontahedron" -> "disdyakis triacontahedron", 
          "PentagonalHexecontahedron" -> "pentagonal hexecontahedron", 
          "PentagonalIcositetrahedron" -> "pentagonal icositetrahedron", 
          "PentakisDodecahedron" -> "pentakis dodecahedron", 
          "RhombicDodecahedron" -> "rhombic dodecahedron", 
          "RhombicTriacontahedron" -> "rhombic triacontahedron", 
          "SmallTriakisOctahedron" -> "small triakis octahedron", 
          "TetrakisHexahedron" -> "tetrakis hexahedron", "TriakisIcosahedron" -> 
          "triakis icosahedron", "TriakisTetrahedron" -> 
          "triakis tetrahedron", Delimiter, "GreatDodecahedron" -> 
          "great dodecahedron", "GreatIcosahedron" -> "great icosahedron", 
          "GreatStellatedDodecahedron" -> "great stellated dodecahedron", 
          "SmallStellatedDodecahedron" -> "small stellated dodecahedron", 
          Delimiter, {"Pyramid", 4} -> "square pyramid", {"Pyramid", 5} -> 
          "pentagonal pyramid", "Tetrahedron" -> "tetrahedron", 
          Delimiter, {"Dipyramid", 3} -> 
          "triangular dipyramid", {"Dipyramid", 5} -> "pentagonal dipyramid", 
          "Octahedron" -> "octahedron", Delimiter, "Cube" -> 
          "cube", {"Prism", 3} -> "triangular prism", {"Prism", 5} -> 
          "pentagonal prism", {"Prism", 6} -> "hexagonal prism", {"Prism", 7} -> 
          "heptagonal prism", {"Prism", 8} -> "octagonal prism", {"Prism", 9} -> 
          "nonagonal prism", {"Prism", 10} -> "decagonal prism", 
          Delimiter, {"Antiprism", 4} -> "square antiprism", {"Antiprism", 5} -> 
          "pentagonal antiprism", {"Antiprism", 6} -> 
          "hexagonal antiprism", {"Antiprism", 7} -> 
          "heptagonal antiprism", {"Antiprism", 8} -> 
          "octagonal antiprism", {"Antiprism", 9} -> 
          "nonagonal antiprism", {"Antiprism", 10} -> "decagonal antiprism", 
          "Octahedron" -> "octahedron", Delimiter, "AugmentedDodecahedron" -> 
          "augmented dodecahedron", "AugmentedHexagonalPrism" -> 
          "augmented hexagonal prism", "AugmentedPentagonalPrism" -> 
          "augmented pentagonal prism", "AugmentedSphenocorona" -> 
          "augmented sphenocorona", "AugmentedTriangularPrism" -> 
          "augmented triangular prism", "AugmentedTridiminishedIcosahedron" -> 
          "augmented tridiminished icosahedron", "AugmentedTruncatedCube" -> 
          "augmented truncated cube", "AugmentedTruncatedDodecahedron" -> 
          "augmented truncated dodecahedron", "AugmentedTruncatedTetrahedron" -> 
          "augmented truncated tetrahedron", "BiaugmentedPentagonalPrism" -> 
          "biaugmented pentagonal prism", "BiaugmentedTriangularPrism" -> 
          "biaugmented triangular prism", "BiaugmentedTruncatedCube" -> 
          "biaugmented truncated cube", 
          "BigyrateDiminishedRhombicosidodecahedron" -> 
          "bigyrate diminished rhombicosidodecahedron", "Bilunabirotunda" -> 
          "bilunabirotunda", "DiminishedRhombicosidodecahedron" -> 
          "diminished rhombicosidodecahedron", {"Dipyramid", 3} -> 
          "triangular dipyramid", {"Dipyramid", 5} -> "pentagonal dipyramid", 
          "Disphenocingulum" -> "disphenocingulum", 
          "ElongatedPentagonalCupola" -> "elongated pentagonal cupola", 
          "ElongatedPentagonalDipyramid" -> "elongated pentagonal dipyramid", 
          "ElongatedPentagonalGyrobicupola" -> 
          "elongated pentagonal gyrobicupola", 
          "ElongatedPentagonalGyrobirotunda" -> 
          "elongated pentagonal gyrobirotunda", 
          "ElongatedPentagonalGyrocupolarotunda" -> 
          "elongated pentagonal gyrocupolarotunda", 
          "ElongatedPentagonalOrthobicupola" -> 
          "elongated pentagonal orthobicupola", 
          "ElongatedPentagonalOrthobirotunda" -> 
          "elongated pentagonal orthobirotunda", 
          "ElongatedPentagonalOrthocupolarotunda" -> 
          "elongated pentagonal orthocupolarotunda", 
          "ElongatedPentagonalPyramid" -> "elongated pentagonal pyramid", 
          "ElongatedPentagonalRotunda" -> "elongated pentagonal rotunda", 
          "ElongatedSquareCupola" -> "elongated square cupola", 
          "ElongatedSquareDipyramid" -> "elongated square dipyramid", 
          "ElongatedSquareGyrobicupola" -> "elongated square gyrobicupola", 
          "ElongatedSquarePyramid" -> "elongated square pyramid", 
          "ElongatedTriangularCupola" -> "elongated triangular cupola", 
          "ElongatedTriangularDipyramid" -> "elongated triangular dipyramid", 
          "ElongatedTriangularGyrobicupola" -> 
          "elongated triangular gyrobicupola", 
          "ElongatedTriangularOrthobicupola" -> 
          "elongated triangular orthobicupola", "ElongatedTriangularPyramid" -> 
          "elongated triangular pyramid", 
          "GyrateBidiminishedRhombicosidodecahedron" -> 
          "gyrate bidiminished rhombicosidodecahedron", 
          "GyrateRhombicosidodecahedron" -> "gyrate rhombicosidodecahedron", 
          "Gyrobifastigium" -> "gyrobifastigium", 
          "GyroelongatedPentagonalBicupola" -> 
          "gyroelongated pentagonal bicupola", 
          "GyroelongatedPentagonalBirotunda" -> 
          "gyroelongated pentagonal birotunda", 
          "GyroelongatedPentagonalCupola" -> 
          "gyroelongated pentagonal cupola", 
          "GyroelongatedPentagonalCupolarotunda" -> 
          "gyroelongated pentagonal cupolarotunda", 
          "GyroelongatedPentagonalPyramid" -> 
          "gyroelongated pentagonal pyramid", 
          "GyroelongatedPentagonalRotunda" -> 
          "gyroelongated pentagonal rotunda", "GyroelongatedSquareBicupola" -> 
          "gyroelongated square bicupola", "GyroelongatedSquareCupola" -> 
          "gyroelongated square cupola", "GyroelongatedSquareDipyramid" -> 
          "gyroelongated square dipyramid", "GyroelongatedSquarePyramid" -> 
          "gyroelongated square pyramid", "GyroelongatedTriangularBicupola" -> 
          "gyroelongated triangular bicupola", 
          "GyroelongatedTriangularCupola" -> 
          "gyroelongated triangular cupola", "Hebesphenomegacorona" -> 
          "hebesphenomegacorona", "MetabiaugmentedDodecahedron" -> 
          "metabiaugmented dodecahedron", "MetabiaugmentedHexagonalPrism" -> 
          "metabiaugmented hexagonal prism", 
          "MetabiaugmentedTruncatedDodecahedron" -> 
          "metabiaugmented truncated dodecahedron", 
          "MetabidiminishedIcosahedron" -> "metabidiminished icosahedron", 
          "MetabidiminishedRhombicosidodecahedron" -> 
          "metabidiminished rhombicosidodecahedron", 
          "MetabigyrateRhombicosidodecahedron" -> 
          "metabigyrate rhombicosidodecahedron", 
          "MetagyrateDiminishedRhombicosidodecahedron" -> 
          "metagyrate diminished rhombicosidodecahedron", 
          "ParabiaugmentedDodecahedron" -> "parabiaugmented dodecahedron", 
          "ParabiaugmentedHexagonalPrism" -> 
          "parabiaugmented hexagonal prism", 
          "ParabiaugmentedTruncatedDodecahedron" -> 
          "parabiaugmented truncated dodecahedron", 
          "ParabidiminishedRhombicosidodecahedron" -> 
          "parabidiminished rhombicosidodecahedron", 
          "ParabigyrateRhombicosidodecahedron" -> 
          "parabigyrate rhombicosidodecahedron", 
          "ParagyrateDiminishedRhombicosidodecahedron" -> 
          "paragyrate diminished rhombicosidodecahedron", "PentagonalCupola" -> 
          "pentagonal cupola", "PentagonalGyrobicupola" -> 
          "pentagonal gyrobicupola", "PentagonalGyrocupolarotunda" -> 
          "pentagonal gyrocupolarotunda", "PentagonalOrthobicupola" -> 
          "pentagonal orthobicupola", "PentagonalOrthobirotunda" -> 
          "pentagonal orthobirotunda", "PentagonalOrthocupolarotunda" -> 
          "pentagonal orthocupolarotunda", "PentagonalRotunda" -> 
          "pentagonal rotunda", {"Pyramid", 4} -> 
          "square pyramid", {"Pyramid", 5} -> "pentagonal pyramid", 
          "SnubDisphenoid" -> "snub disphenoid", "SnubSquareAntiprism" -> 
          "snub square antiprism", "Sphenocorona" -> "sphenocorona", 
          "Sphenomegacorona" -> "sphenomegacorona", "SquareCupola" -> 
          "square cupola", "SquareGyrobicupola" -> "square gyrobicupola", 
          "SquareOrthobicupola" -> "square orthobicupola", "TriangularCupola" -> 
          "triangular cupola", "TriangularHebesphenorotunda" -> 
          "triangular hebesphenorotunda", "TriangularOrthobicupola" -> 
          "triangular orthobicupola", "TriaugmentedDodecahedron" -> 
          "triaugmented dodecahedron", "TriaugmentedHexagonalPrism" -> 
          "triaugmented hexagonal prism", "TriaugmentedTriangularPrism" -> 
          "triaugmented triangular prism", 
          "TriaugmentedTruncatedDodecahedron" -> 
          "triaugmented truncated dodecahedron", "TridiminishedIcosahedron" -> 
          "tridiminished icosahedron", "TridiminishedRhombicosidodecahedron" -> 
          "tridiminished rhombicosidodecahedron", 
          "TrigyrateRhombicosidodecahedron" -> 
          "trigyrate rhombicosidodecahedron", Delimiter, "CsaszarPolyhedron" -> 
          "Cs\[AAcute]sz\[AAcute]r polyhedron", "DuerersSolid" -> 
          "D\[UDoubleDot]rer's solid", "EschersSolid" -> "Escher's solid", 
          "JessensOrthogonalIcosahedron" -> "Jessen's orthogonal icosahedron",
           "MathematicaPolyhedron" -> "Mathematica polyhedron", 
          "SzilassiPolyhedron" -> "Szilassi polyhedron"}, ControlType -> 
         PopupMenu, ControlPlacement -> 
         Top}, {{$CellContext`sc$$, 1, "scaling"}, 0.5, 1.5, ImageSize -> 
         Small}, Delimiter, {{$CellContext`hb$$, 0.1, "body color"}, 0, 1, 
         ImageSize -> Small}, {{$CellContext`sb$$, 1, "body brightness"}, 0, 
         1, ImageSize -> Small}, {{$CellContext`hp$$, 0.1, "paw color"}, 0, 1,
          ImageSize -> Small}, {{$CellContext`sp$$, 1, "paw brightness"}, 0, 
         1, ImageSize -> Small}, 
        Delimiter, {{$CellContext`tr$$, 0, "transparency"}, 0, 1, ImageSize -> 
         Small}}, 
      "Options" :> {ControlPlacement -> Left, AutorunSequencing -> {1, 2, 3}},
       "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{583., {213.875, 219.125}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`koala[
          Pattern[$CellContext`r, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`p, 
           Blank[]], 
          Pattern[$CellContext`sc, 
           Blank[]], 
          Pattern[$CellContext`name, 
           Blank[]]] := 
        Module[{$CellContext`ph, $CellContext`f = 
           PolyhedronData[$CellContext`name, 
             "Faces"], $CellContext`f1, $CellContext`sf}, $CellContext`f1 = 
           Function[$CellContext`u, 
             Map[# - Mean[$CellContext`u]& , $CellContext`u]][
             N[
              Part[$CellContext`f, 1]]]; $CellContext`sf = (If[
            Head[#] === Missing, 
             Sqrt[2 Mean[$CellContext`f1^2]], #]& )[
             PolyhedronData[$CellContext`name, "Midradius"]]; $CellContext`ph[
            
             Pattern[$CellContext`rr, 
              Blank[]], 
             Pattern[$CellContext`sz, 
              Blank[]]] := GraphicsComplex[
             
             Map[(($CellContext`sc/$CellContext`sf) $CellContext`sz) # + \
$CellContext`rr& , $CellContext`f1], 
             Part[$CellContext`f, 2]]; {$CellContext`b, 
            $CellContext`ph[$CellContext`r, 1], 
            $CellContext`ph[{0, 0, 1.4} + $CellContext`r, 0.7], White, 
            $CellContext`ph[{-0.5, 0, 1.6} + $CellContext`r, 0.4], 
            $CellContext`ph[{
               Plus[0.5], 0, 1.6} + $CellContext`r, 0.4], Black, 
            $CellContext`ph[{-0.3, 0.6, 1.5} + $CellContext`r, 0.1], 
            $CellContext`ph[{
               Plus[0.3], 0.6, 1.5} + $CellContext`r, 0.1], Brown, 
            $CellContext`ph[{0, 0.6, 1.4} + $CellContext`r, 
             0.2], $CellContext`p, 
            $CellContext`ph[{-0.8, 0, 0.5} + $CellContext`r, 0.4], 
            $CellContext`ph[{
               Plus[0.8], 0, 0.5} + $CellContext`r, 0.4], 
            $CellContext`ph[{-0.8, 0, -0.5} + $CellContext`r, 0.4], 
            $CellContext`ph[{
               Plus[0.8], 0, -0.5} + $CellContext`r, 
             0.4]}], $CellContext`koala[
          Pattern[$CellContext`r, 
           Blank[]], 
          Pattern[$CellContext`b, 
           Blank[]], 
          Pattern[$CellContext`p, 
           Blank[]], 
          Pattern[$CellContext`name, 
           Blank[]]] := Module[{$CellContext`ph}, $CellContext`ph[
             Pattern[$CellContext`rr, 
              Blank[]], 
             Pattern[$CellContext`sz, 
              Blank[]]] := 
           With[{$CellContext`f = PolyhedronData[$CellContext`name, "Faces"]},
              
             GraphicsComplex[
              Map[$CellContext`sz # + $CellContext`rr& , 
               Part[$CellContext`f, 1]], 
              Part[$CellContext`f, 2]]]; {$CellContext`b, 
            $CellContext`ph[$CellContext`r, 1], 
            $CellContext`ph[{0, 0, 1.4} + $CellContext`r, 0.7], White, 
            $CellContext`ph[{-0.5, 0, 1.6} + $CellContext`r, 0.4], 
            $CellContext`ph[{
               Plus[0.5], 0, 1.6} + $CellContext`r, 0.4], Black, 
            $CellContext`ph[{-0.3, 0.6, 1.5} + $CellContext`r, 0.1], 
            $CellContext`ph[{
               Plus[0.3], 0.6, 1.5} + $CellContext`r, 0.1], Brown, 
            $CellContext`ph[{0, 0.6, 1.4} + $CellContext`r, 
             0.2], $CellContext`p, 
            $CellContext`ph[{-0.8, 0, 0.5} + $CellContext`r, 0.4], 
            $CellContext`ph[{
               Plus[0.8], 0, 0.5} + $CellContext`r, 0.4], 
            $CellContext`ph[{-0.8, 0, -0.5} + $CellContext`r, 0.4], 
            $CellContext`ph[{
               Plus[0.8], 0, -0.5} + $CellContext`r, 0.4]}]}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`koala[
           Pattern[$CellContext`r, 
            Blank[]], 
           Pattern[$CellContext`b, 
            Blank[]], 
           Pattern[$CellContext`p, 
            Blank[]], 
           Pattern[$CellContext`sc, 
            Blank[]], 
           Pattern[$CellContext`name, 
            Blank[]]] := 
         Module[{$CellContext`ph, $CellContext`f = 
            PolyhedronData[$CellContext`name, 
              "Faces"], $CellContext`f1, $CellContext`sf}, $CellContext`f1 = 
            Function[$CellContext`u, 
              Map[# - Mean[$CellContext`u]& , $CellContext`u]][
              N[
               Part[$CellContext`f, 1]]]; $CellContext`sf = (If[
             Head[#] === Missing, 
              Sqrt[2 Mean[$CellContext`f1^2]], #]& )[
              
              PolyhedronData[$CellContext`name, 
               "Midradius"]]; $CellContext`ph[
              Pattern[$CellContext`rr, 
               Blank[]], 
              Pattern[$CellContext`sz, 
               Blank[]]] := GraphicsComplex[
              
              Map[(($CellContext`sc/$CellContext`sf) $CellContext`sz) # + \
$CellContext`rr& , $CellContext`f1], 
              Part[$CellContext`f, 2]]; {$CellContext`b, 
             $CellContext`ph[$CellContext`r, 1], 
             $CellContext`ph[{0, 0, 1.4} + $CellContext`r, 0.7], White, 
             $CellContext`ph[{-0.5, 0, 1.6} + $CellContext`r, 0.4], 
             $CellContext`ph[{
                Plus[0.5], 0, 1.6} + $CellContext`r, 0.4], Black, 
             $CellContext`ph[{-0.3, 0.6, 1.5} + $CellContext`r, 0.1], 
             $CellContext`ph[{
                Plus[0.3], 0.6, 1.5} + $CellContext`r, 0.1], Brown, 
             $CellContext`ph[{0, 0.6, 1.4} + $CellContext`r, 
              0.2], $CellContext`p, 
             $CellContext`ph[{-0.8, 0, 0.5} + $CellContext`r, 0.4], 
             $CellContext`ph[{
                Plus[0.8], 0, 0.5} + $CellContext`r, 0.4], 
             $CellContext`ph[{-0.8, 0, -0.5} + $CellContext`r, 0.4], 
             $CellContext`ph[{
                Plus[0.8], 0, -0.5} + $CellContext`r, 0.4]}]}]]),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{3.3879869366462727`*^9},
 CellID->760276689]
}, {3}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Polyhedral Koalas",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolyhedralKoalas/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PolyhedralKoalas/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PolyhedralKoalas/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PolyhedralKoalas/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PolyhedralKoalas/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Catherine Wolfram", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->603419905],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PolyhedralKoalas"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
ClosingSaveDialog->False,
Editable->True,
ScreenStyleEnvironment->"Working",
WindowSize->{768, 580},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Polyhedral Koalas - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (May 22, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 209, 4, 67, "Section"],
Cell[CellGroupData[{
Cell[824, 31, 5371, 147, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->444337643],
Cell[6198, 180, 4704, 119, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->377545130],
Cell[10905, 301, 30698, 528, 451, "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->760276689]
}, {3}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[41649, 835, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[42025, 846, 874, 24, 34, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42936, 875, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[43276, 886, 208, 6, 70, "Text",
 CellID->603419905],
Cell[43487, 894, 967, 27, 70, "Text"],
Cell[44457, 923, 1192, 33, 70, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

