(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     58816,       1367]
NotebookOptionsPosition[     56931,       1305]
NotebookOutlinePosition[     57541,       1329]
CellTagsIndexPosition[     57498,       1326]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["The Duty to Settle", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SeedRandom", "[", "041407", "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.35696210375764*^9, {3.385477353006379*^9, 3.385477357319704*^9}, {
   3.385557730393952*^9, 3.385557730533372*^9}, 3.387986621251833*^9},
 CellID->1299111428],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"insurerValue", "[", 
    RowBox[{"dist_", ",", "\[ScriptL]_", ",", "c_", ",", "litcosts_"}], "]"}],
    ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"probs", "=", 
        RowBox[{"First", "/@", "dist"}]}], ",", 
       RowBox[{"judgments", "=", 
        RowBox[{"Last", "/@", "dist"}]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", "probs", ")"}], ".", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Min", "[", 
            RowBox[{"\[ScriptL]", ",", 
             RowBox[{"c", "*", "#"}]}], "]"}], "&"}], ",", "judgments"}], 
         "]"}]}], ")"}], "+", "0", " ", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "c"}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", "probs", ")"}], ".", 
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Min", "[", 
              RowBox[{"0", ",", "#"}], "]"}], "&"}], ",", "judgments"}], 
           "]"}]}], ")"}]}], "*)"}], "+", "litcosts"}]}], "]"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.385403787297578*^9, 3.385403950263836*^9}, 
   3.38540399550284*^9, {3.3854049010572233`*^9, 3.385404933204145*^9}, {
   3.385406735367385*^9, 3.385406809738976*^9}, {3.385559712219633*^9, 
   3.385559715053533*^9}, {3.385559774386133*^9, 3.385559778519257*^9}, 
   3.38563584546875*^9, 3.3879866212520313`*^9},
 CellID->1137336900],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"plaintiffValue", "[", 
    RowBox[{
    "dist_", ",", "\[ScriptL]_", ",", "a_", ",", "c_", ",", "litcosts_"}], 
    "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"probs", "=", 
        RowBox[{"First", "/@", "dist"}]}], ",", 
       RowBox[{"judgments", "=", 
        RowBox[{"Last", "/@", "dist"}]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"c", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", "probs", ")"}], ".", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{
              RowBox[{"\[ScriptL]", "+", "a"}], ",", "#"}], "]"}], "&"}], ",",
            "judgments"}], "]"}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "c"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", "probs", ")"}], ".", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Min", "[", 
             RowBox[{"a", ",", "#"}], "]"}], "&"}], ",", "judgments"}], 
          "]"}]}], ")"}]}], "-", "litcosts"}]}], "]"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.38540405402565*^9, 3.3854040854235287`*^9}, {
   3.385404922761176*^9, 3.385404940234106*^9}, {3.385406871819099*^9, 
   3.385406893899087*^9}, 3.385635844671875*^9, 3.3879866212522078`*^9},
 CellID->469336353],

Cell[BoxData[
 RowBox[{
  RowBox[{"dist", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sort", "[", 
       RowBox[{"#", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"#1", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "<", 
          RowBox[{"#2", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "&"}]}], "]"}], "&"}], ",", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{"Tally", ",", 
        RowBox[{"Take", "[", 
         RowBox[{
          RowBox[{"DeleteCases", "[", 
           RowBox[{
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"With", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"rr", "=", 
                  RowBox[{"RandomReal", "[", 
                   RowBox[{
                    RowBox[{"ParetoDistribution", "[", 
                    RowBox[{"100", ",", "0.4"}], "]"}], ",", "10"}], "]"}]}], 
                 "}"}], ",", 
                RowBox[{"Map", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"clipped", "=", 
                    RowBox[{"Clip", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "2000000"}], "}"}]}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"clipped", "<", "20000"}], ",", "0", ",", 
                    "clipped"}], "]"}]}], "]"}], "&"}], ",", 
                  RowBox[{"Accumulate", "[", 
                   RowBox[{"rr", "-", 
                    RowBox[{"Mean", "[", "rr", "]"}]}], "]"}]}], "]"}]}], 
               "]"}], ",", 
              RowBox[{"{", "100", "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ".."}], "}"}]}], "]"}], ",", "20"}], "]"}]}], "]"}],
       "/.", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a_", ",", "b_Integer"}], "}"}], "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"b", "/", "10."}], ",", "a"}], "}"}]}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.35696210375764*^9, {3.385459366144228*^9, 3.3854594858839397`*^9}, {
   3.385459519522944*^9, 3.385459557845487*^9}, {3.3854596214337597`*^9, 
   3.385459769443144*^9}, {3.385459833331388*^9, 3.385459854904293*^9}, {
   3.385459884930827*^9, 3.385459888403284*^9}, {3.385460137925655*^9, 
   3.385460138040797*^9}, {3.385460332760133*^9, 3.385460405914751*^9}, {
   3.385460444560907*^9, 3.385460447836664*^9}, {3.385460492180052*^9, 
   3.385460559442903*^9}, {3.385557701817072*^9, 3.385557705332911*^9}, 
   3.385635830984375*^9, 3.3879866212523813`*^9},
 CellID->1232349066],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"dashboard", "[", 
    RowBox[{
    "limit_", ",", "coverage_", ",", "plaintiffcosts_", ",", "defensecosts_", 
     ",", "reasonableness_", ",", "punishment_", ",", "discount_"}], "]"}], ":=",
    
   RowBox[{"Text", "@", 
    RowBox[{"Grid", "[", 
     RowBox[{
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<policy limit\>\"", ",", "\"\<coverage probability\>\"", ",", 
           "\"\<plantiff litigation costs\>\"", ",", 
           "\"\<insurer litigation costs\>\"", ",", 
           "\"\<determine reasonableness as if limits were\[Ellipsis]\>\"", 
           ",", "\"\<policy limit if reasonable settlement offer refused\>\"",
            ",", "\"\<discount for coverage issues\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "limit", ",", "coverage", ",", "plaintiffcosts", ",", 
           "defensecosts", ",", "reasonableness", ",", "punishment", ",", 
           "discount"}], "}"}]}], "}"}], "]"}], ",", 
      RowBox[{"Alignment", "\[Rule]", "Left"}], ",", 
      RowBox[{"Dividers", "\[Rule]", "All"}], ",", 
      RowBox[{"Background", "\[Rule]", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"ColorData", "[", "1", "]"}], "[", "8", "]"}], ",", "0.5"}],
         "]"}]}]}], "]"}]}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.35696210375764*^9, {3.38555636205462*^9, 3.385556657948206*^9}, {
   3.385558140320715*^9, 3.385558163142281*^9}, {3.385558289867536*^9, 
   3.385558295548905*^9}, 3.385635839296875*^9, {3.3859184627798696`*^9, 
   3.3859184642643113`*^9}, 3.3879866212525663`*^9},
 CellID->118554687],

Cell[BoxData[
 RowBox[{
  RowBox[{"veryworstcase", "=", 
   RowBox[{"Max", "@", 
    RowBox[{"Flatten", "@", 
     RowBox[{"Map", "[", 
      RowBox[{"Last", ",", "dist", ",", 
       RowBox[{"{", "2", "}"}]}], "]"}]}]}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.35696210375764*^9, {3.385458693795904*^9, 3.385458741541031*^9}, 
   3.385635836765625*^9, 3.3879866212527227`*^9},
 CellID->762796872],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rsWithCoverageDiscount", ",", "rsWithoutCoverageDiscount", " ", ",", 
       "iv", ",", "pv", ",", "reasonableOfferQ", ",", "rs", ",", 
       "litigationCosts", ",", "litigationCostsPlaintiff", ",", 
       "litigationCostsInsurer", ",", "reasonablenessAddition", ",", 
       "punishmentAddition", ",", "biggestJudgment", ",", "\[ScriptL]", ",", 
       "distribution", ",", "coverageProbability", ",", "theplot", ",", 
       RowBox[{"controlSize", "=", "50"}], ",", 
       RowBox[{"cp", "=", "Left"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"SeedRandom", "[", "041407", "]"}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"distribution", "=", 
       RowBox[{"dist", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"biggestJudgment", "=", 
       RowBox[{"Max", "[", 
        RowBox[{"Last", "/@", 
         RowBox[{"dist", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[ScriptL]", "=", 
       RowBox[{"Rescale", "[", 
        RowBox[{
         RowBox[{"\[ScriptL]fraction", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "biggestJudgment"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"coverageProbability", "=", 
       RowBox[{"\[ScriptL]fraction", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"litigationCosts", "=", 
       RowBox[{"Rescale", "[", 
        RowBox[{"litigationCostsFraction", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "biggestJudgment"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"a", "=", 
       RowBox[{"Rescale", "[", 
        RowBox[{"aFraction", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "biggestJudgment"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"litigationCostsPlaintiff", "=", 
       RowBox[{"First", "@", "litigationCosts"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"litigationCostsInsurer", "=", 
       RowBox[{"Last", "@", "litigationCosts"}]}], ";", "\[IndentingNewLine]",
       
      RowBox[{"reasonablenessAddition", "=", 
       RowBox[{"Rescale", "[", 
        RowBox[{
         RowBox[{"First", "@", "reasonablenessFraction"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "biggestJudgment"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"punishmentAddition", "=", 
       RowBox[{"Rescale", "[", 
        RowBox[{
         RowBox[{"Last", "@", "reasonablenessFraction"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "biggestJudgment"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"rsWithCoverageDiscount", "=", 
       RowBox[{"Min", "[", 
        RowBox[{"\[ScriptL]", ",", 
         RowBox[{"insurerValue", "[", 
          RowBox[{"distribution", ",", 
           RowBox[{"reasonablenessAddition", "+", "\[ScriptL]"}], ",", 
           "coverageProbability", ",", "litigationCostsInsurer"}], "]"}]}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rsWithoutCoverageDiscount", "=", 
       RowBox[{"Min", "[", 
        RowBox[{"\[ScriptL]", ",", 
         RowBox[{"insurerValue", "[", 
          RowBox[{"distribution", ",", 
           RowBox[{"reasonablenessAddition", "+", "\[ScriptL]"}], ",", "1", 
           ",", "litigationCostsInsurer"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"rs", "=", 
       RowBox[{"If", "[", 
        RowBox[{
        "coverageDiscount", ",", "rsWithCoverageDiscount", ",", 
         "rsWithoutCoverageDiscount"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"reasonableOfferQ", "[", "s_", "]"}], "=", 
       RowBox[{"s", "<", 
        RowBox[{"Min", "[", 
         RowBox[{"\[ScriptL]", ",", "rs"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"iv", "[", "s_", "]"}], "=", 
       RowBox[{"insurerValue", "[", 
        RowBox[{"distribution", ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"reasonableOfferQ", "[", "s", "]"}], ",", 
           RowBox[{"\[ScriptL]", "+", "punishmentAddition"}], ",", 
           "\[ScriptL]"}], "]"}], ",", "coverageProbability", ",", 
         "litigationCostsInsurer"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"pv", "[", "s_", "]"}], "=", 
       RowBox[{"plaintiffValue", "[", 
        RowBox[{"distribution", ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"reasonableOfferQ", "[", "s", "]"}], ",", 
           RowBox[{"\[ScriptL]", "+", "punishmentAddition"}], ",", 
           "\[ScriptL]"}], "]"}], ",", "a", ",", "coverageProbability", ",", 
         "litigationCostsPlaintiff"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"theplot", "=", 
       RowBox[{
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"s", "<", 
             RowBox[{"iv", "[", "s", "]"}]}], " ", ",", "s", ",", 
            RowBox[{"pv", "[", "s", "]"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"s", ",", "0", ",", "biggestJudgment"}], "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{"Thickness", "[", "0.01", "]"}], "}"}], "}"}]}], ",", 
          RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
          RowBox[{"Method", " ", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<PiecewiseTimeConstraint\>\"", " ", "->", " ", "1"}], 
            "}"}]}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Grid", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{"Graphics", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"theplot", ",", "\[IndentingNewLine]", 
              RowBox[{"(*", "baseline", "*)"}], "\[IndentingNewLine]", 
              RowBox[{"Dashing", "[", 
               RowBox[{"{", 
                RowBox[{"0.02", ",", "0.02"}], "}"}], "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"biggestJudgment", ",", "0"}], "}"}]}], "}"}], 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"superimposed", " ", "frequencies"}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Opacity", "[", "0.7", "]"}], ",", 
                   RowBox[{
                    RowBox[{"ColorData", "[", "1", "]"}], "[", "5", "]"}], 
                   ",", 
                   RowBox[{"Rectangle", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Reverse", "[", "#", "]"}], "*", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "-", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"0.02", " ", "biggestJudgment"}], ",", "0"}], 
                    "}"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Reverse", "[", "#", "]"}], "*", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "biggestJudgment"}], "}"}]}], "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"0.02", " ", "biggestJudgment"}], ",", "0"}], 
                    "}"}]}]}], "]"}], ",", 
                   RowBox[{
                    RowBox[{"ColorData", "[", "1", "]"}], "[", "6", "]"}], 
                   ",", 
                   RowBox[{"Text", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "7"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"Reverse", "[", "#", "]"}], "*", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "biggestJudgment"}], "}"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "]"}]}], "}"}], "&"}], ",",
                 "distribution"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{
               "policy", " ", "limit", " ", "line", " ", "and", " ", "text"}],
                "*)"}], "\[IndentingNewLine]", 
              RowBox[{"Dashing", "[", 
               RowBox[{"{", 
                RowBox[{"0.01", ",", "0.01"}], "}"}], "]"}], ",", 
              RowBox[{
               RowBox[{"ColorData", "[", "1", "]"}], "[", "3", "]"}], ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"\[ScriptL]", ",", 
                   RowBox[{"-", "litigationCostsPlaintiff"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"\[ScriptL]", ",", "biggestJudgment"}], "}"}]}], 
                "}"}], "]"}], ",", 
              RowBox[{"Text", "[", 
               RowBox[{"\"\<policy limit\>\"", ",", 
                RowBox[{"{", 
                 RowBox[{"\[ScriptL]", ",", 
                  RowBox[{"Mean", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "litigationCostsPlaintiff"}], ",", 
                    "biggestJudgment"}], "}"}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", "1"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", "1"}]}], "}"}]}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"reasonable", " ", "settlement", " ", "zone"}], "*)"}],
               "\[IndentingNewLine]", "Black", ",", 
              RowBox[{"Text", "[", 
               RowBox[{"\"\<reasonable\\nsettlement\\nzone\>\"", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"rs", "/", "2"}], ",", 
                  RowBox[{"0.6", "*", "biggestJudgment"}]}], "}"}]}], "]"}], 
              ",", 
              RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
              RowBox[{
               RowBox[{"ColorData", "[", "1", "]"}], "[", "2", "]"}], ",", 
              RowBox[{"Rectangle", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", 
                  RowBox[{"-", "litigationCostsPlaintiff"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"rs", ",", "biggestJudgment"}], "}"}]}], "]"}]}], 
             "}"}], ",", 
            RowBox[{"FrameLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
              "\"\<settlement offer\>\"", ",", 
               "\"\<plaintiff's expected position\>\""}], "}"}]}], ",", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "0.05"}], " ", "biggestJudgment"}], ",", 
                 RowBox[{"1.1", "biggestJudgment"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", " ", "litigationCostsPlaintiff"}], ",", 
                 "biggestJudgment"}], "}"}]}], "}"}]}], ",", 
            RowBox[{"Axes", "\[Rule]", "False"}], ",", 
            RowBox[{"Frame", "\[Rule]", "True"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "320"}], ",", 
            RowBox[{"AspectRatio", "\[Rule]", "0.8"}], ",", 
            RowBox[{"ImagePadding", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"60", ",", "10"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"60", ",", "10"}], "}"}]}], "}"}]}]}], " ", "]"}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"dashboard", "[", 
           RowBox[{
            RowBox[{"Round", "@", "\[ScriptL]"}], ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{"coverageProbability", ",", 
              RowBox[{"{", 
               RowBox[{"4", ",", "3"}], "}"}]}], "]"}], ",", 
            RowBox[{"Round", "@", "litigationCostsPlaintiff"}], ",", 
            RowBox[{"Round", "@", "litigationCostsInsurer"}], ",", 
            RowBox[{"Round", "[", 
             RowBox[{"\[ScriptL]", "+", "reasonablenessAddition"}], "]"}], 
            ",", 
            RowBox[{"Round", "[", 
             RowBox[{"\[ScriptL]", "+", "punishmentAddition"}], "]"}], ",", 
            "coverageDiscount"}], "]"}], "}"}]}], "}"}], "]"}]}]}], "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "\"\<lawsuit index\>\""}], "}"}], ",", "1", 
     ",", 
     RowBox[{"Length", "[", "dist", "]"}], ",", "1", ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<policy limit and coverage fractions\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ScriptL]fraction", ",", 
       RowBox[{"{", 
        RowBox[{"0.5", ",", "0.5"}], "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "50"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<litigation costs fraction\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"litigationCostsFraction", ",", 
       RowBox[{"{", 
        RowBox[{"0.25", ",", "0.25"}], "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "50"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<insured's attachable assets fraction\>\"", ",",
    "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aFraction", ",", "0", ",", "\"\<\>\""}], "}"}], ",", "0", ",", 
     "1", ",", ".001", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   "\"\<strength of duty to settle\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"reasonablenessFraction", ",", " ", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "50"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<discount for coverage issues\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"coverageDiscount", ",", "False", ",", "\"\<\>\""}], "}"}], ",",
      
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "i", ",", "\[ScriptL]fraction", ",", "litigationCostsFraction", ",", 
      "reasonablenessFraction", ",", "aFraction", ",", "coverageDiscount"}], 
     "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "4", ",", "5", ",", "6"}], "}"}]}]}], 
  "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.3854052746433496`*^9, 3.385405436103487*^9}, {
   3.385405503424816*^9, 3.38540551033609*^9}, {3.385405557561459*^9, 
   3.385405570046232*^9}, {3.385405617475429*^9, 3.385405617549124*^9}, {
   3.385405697671404*^9, 3.385405746654372*^9}, {3.38540578478196*^9, 
   3.385405785167821*^9}, {3.385405834268499*^9, 3.3854058357403507`*^9}, {
   3.385405879492885*^9, 3.385405908506415*^9}, {3.385406133400804*^9, 
   3.38540613657257*^9}, {3.385406191761228*^9, 3.38540622993115*^9}, {
   3.3854062853577957`*^9, 3.385406298226943*^9}, {3.385406386349291*^9, 
   3.385406387125394*^9}, {3.385406427020033*^9, 3.385406430690373*^9}, {
   3.385406488617261*^9, 3.385406498002246*^9}, {3.3854065317411623`*^9, 
   3.385406545900272*^9}, {3.385406925220364*^9, 3.385407273562698*^9}, {
   3.385407307487458*^9, 3.385407309869308*^9}, {3.3854074156999817`*^9, 
   3.385407587654271*^9}, {3.385407623918788*^9, 3.385407716129037*^9}, {
   3.3854078457801657`*^9, 3.3854078481161003`*^9}, {3.385407911099681*^9, 
   3.3854079579476337`*^9}, {3.385408012722147*^9, 3.38540813038129*^9}, {
   3.385408178660342*^9, 3.385408219996244*^9}, {3.38540827137999*^9, 
   3.3854082794780416`*^9}, {3.385408460137772*^9, 3.385408697544685*^9}, {
   3.38545660157329*^9, 3.385456619742038*^9}, {3.385456684581697*^9, 
   3.385456701181039*^9}, {3.385456735106731*^9, 3.385456762480091*^9}, {
   3.385457137288157*^9, 3.385457242830546*^9}, {3.385457273531621*^9, 
   3.3854572851953287`*^9}, {3.385457315555908*^9, 3.385457725735723*^9}, {
   3.38545775960402*^9, 3.385457806576428*^9}, {3.385457864728488*^9, 
   3.385457866642544*^9}, {3.3854581116864767`*^9, 3.385458132571937*^9}, {
   3.3854582599261703`*^9, 3.385458434933813*^9}, {3.385458480230544*^9, 
   3.3854584942278347`*^9}, {3.3854585646542053`*^9, 3.385458678973522*^9}, {
   3.385458721998988*^9, 3.385458777433715*^9}, {3.385459216390788*^9, 
   3.385459220714801*^9}, {3.385459926872321*^9, 3.3854599961174088`*^9}, {
   3.385460032592964*^9, 3.385460057304283*^9}, {3.385460102568952*^9, 
   3.385460125059545*^9}, {3.38547744303433*^9, 3.385477510952058*^9}, {
   3.385477541380767*^9, 3.3854775667027407`*^9}, {3.3854776262300386`*^9, 
   3.385477799610573*^9}, {3.385477851148761*^9, 3.385477857911498*^9}, {
   3.3854779021972733`*^9, 3.385478210760726*^9}, {3.38547825241571*^9, 
   3.385478325992782*^9}, {3.385478363588406*^9, 3.385478484510302*^9}, {
   3.385478531998344*^9, 3.3854786365092897`*^9}, {3.385479033987958*^9, 
   3.3854790777550898`*^9}, {3.385479145861648*^9, 3.385479376813093*^9}, {
   3.385479423697097*^9, 3.3854795853276453`*^9}, {3.385479641419299*^9, 
   3.385479797213168*^9}, {3.385479832423256*^9, 3.385479857092163*^9}, {
   3.385480030173503*^9, 3.3854800640957108`*^9}, {3.385480110048893*^9, 
   3.385480118944951*^9}, {3.3854801641954203`*^9, 3.385480173579515*^9}, {
   3.385480216961648*^9, 3.385480247740121*^9}, {3.385480287414311*^9, 
   3.38548030870089*^9}, {3.385480460606124*^9, 3.385480484366033*^9}, {
   3.385480582282943*^9, 3.385480583205843*^9}, {3.385480630579904*^9, 
   3.385480760089911*^9}, {3.385480839775605*^9, 3.385480866797895*^9}, {
   3.385480907595728*^9, 3.3854810444043713`*^9}, 3.385481087729582*^9, {
   3.3854811706652*^9, 3.385481231157195*^9}, {3.3854813002501383`*^9, 
   3.38548139401299*^9}, {3.385481474972353*^9, 3.385481509749177*^9}, {
   3.385481552805573*^9, 3.385481629993186*^9}, {3.38555439306758*^9, 
   3.385554393342692*^9}, {3.385554505304946*^9, 3.3855545635586157`*^9}, {
   3.385554598471623*^9, 3.385554711694372*^9}, {3.385554753993692*^9, 
   3.385554822601369*^9}, {3.385554857146137*^9, 3.38555491337182*^9}, {
   3.385554947157205*^9, 3.385555098871449*^9}, {3.385555184085445*^9, 
   3.385555283308874*^9}, {3.385555323071402*^9, 3.385555497605771*^9}, {
   3.3855555300738583`*^9, 3.385555535997511*^9}, {3.3855555844530773`*^9, 
   3.385555587564749*^9}, {3.385555622227016*^9, 3.3855556783699217`*^9}, {
   3.38555583067165*^9, 3.385555835563218*^9}, {3.385556010846203*^9, 
   3.385556099100131*^9}, {3.385556180899129*^9, 3.385556182853402*^9}, {
   3.385556253138523*^9, 3.3855563558130817`*^9}, {3.3855566728575163`*^9, 
   3.385556770240575*^9}, {3.385556819565078*^9, 3.38555704688833*^9}, {
   3.3855571032358007`*^9, 3.38555734241441*^9}, {3.385557380252215*^9, 
   3.385557380885178*^9}, {3.3855574110895567`*^9, 3.385557491584118*^9}, {
   3.385557533688127*^9, 3.3855576143255987`*^9}, {3.385557748424715*^9, 
   3.385557751756715*^9}, {3.385557847387588*^9, 3.385557857980646*^9}, {
   3.38555817541397*^9, 3.385558194461747*^9}, {3.3855598950392513`*^9, 
   3.385559909997612*^9}, {3.385560100829117*^9, 3.385560158960578*^9}, {
   3.385560189221355*^9, 3.3855601981370583`*^9}, {3.385560263388391*^9, 
   3.385560269903768*^9}, {3.3855604154903727`*^9, 3.385560426864377*^9}, {
   3.385594379273883*^9, 3.385594407966137*^9}, {3.385635854125*^9, 
   3.385635979203125*^9}, {3.38563604984375*^9, 3.385636058796875*^9}, 
   3.3860733889560194`*^9, 3.387986621252882*^9},
 CellID->1650986042],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aFraction$$ = 
    0, $CellContext`coverageDiscount$$ = False, $CellContext`i$$ = 
    1, $CellContext`litigationCostsFraction$$ = {0.25, 
    0.25}, $CellContext`reasonablenessFraction$$ = {0, 
    0}, $CellContext`\[ScriptL]fraction$$ = {0.5, 0.5}, Typeset`show$$ = True,
     Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`i$$], 1, "lawsuit index"}, 1, 20, 1}, {
      Hold["policy limit and coverage fractions"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[ScriptL]fraction$$], {0.5, 0.5}, ""}, {0, 0}, {1, 
      1}}, {
      Hold["litigation costs fraction"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`litigationCostsFraction$$], {0.25, 0.25}, ""}, {0, 
      0}, {1, 1}}, {
      Hold["insured's attachable assets fraction"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`aFraction$$], 0, ""}, 0, 1, 0.001}, {
      Hold["strength of duty to settle"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`reasonablenessFraction$$], {0, 0}, ""}, {0, 0}, {1, 
      1}}, {
      Hold["discount for coverage issues"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`coverageDiscount$$], False, ""}, {True, False}}}, 
    Typeset`size$$ = {320., {199.375, 204.625}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`i$4231$$ = 
    0, $CellContext`\[ScriptL]fraction$4232$$ = {0, 
    0}, $CellContext`litigationCostsFraction$4233$$ = {0, 
    0}, $CellContext`aFraction$4234$$ = 
    0, $CellContext`reasonablenessFraction$4235$$ = {0, 
    0}, $CellContext`coverageDiscount$4236$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aFraction$$ = 
        0, $CellContext`coverageDiscount$$ = False, $CellContext`i$$ = 
        1, $CellContext`litigationCostsFraction$$ = {0.25, 
         0.25}, $CellContext`reasonablenessFraction$$ = {0, 
         0}, $CellContext`\[ScriptL]fraction$$ = {0.5, 0.5}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`i$$, $CellContext`i$4231$$, 0], 
        Hold[$CellContext`\[ScriptL]fraction$$, \
$CellContext`\[ScriptL]fraction$4232$$, {0, 0}], 
        Hold[$CellContext`litigationCostsFraction$$, \
$CellContext`litigationCostsFraction$4233$$, {0, 0}], 
        Hold[$CellContext`aFraction$$, $CellContext`aFraction$4234$$, 0], 
        Hold[$CellContext`reasonablenessFraction$$, \
$CellContext`reasonablenessFraction$4235$$, {0, 0}], 
        Hold[$CellContext`coverageDiscount$$, \
$CellContext`coverageDiscount$4236$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`rsWithCoverageDiscount$, \
$CellContext`rsWithoutCoverageDiscount$, $CellContext`iv$, $CellContext`pv$, \
$CellContext`reasonableOfferQ$, $CellContext`rs$, \
$CellContext`litigationCosts$, $CellContext`litigationCostsPlaintiff$, \
$CellContext`litigationCostsInsurer$, $CellContext`reasonablenessAddition$, \
$CellContext`punishmentAddition$, $CellContext`biggestJudgment$, \
$CellContext`\[ScriptL]$, $CellContext`distribution$, \
$CellContext`coverageProbability$, $CellContext`theplot$, \
$CellContext`controlSize$ = 50, $CellContext`cp$ = Left}, 
        SeedRandom[41407]; $CellContext`distribution$ = 
         Part[$CellContext`dist, $CellContext`i$$]; \
$CellContext`biggestJudgment$ = Max[
           Map[Last, 
            
            Part[$CellContext`dist, $CellContext`i$$]]]; $CellContext`\
\[ScriptL]$ = Rescale[
           Part[$CellContext`\[ScriptL]fraction$$, 1], {0, 1}, {
           
           0, $CellContext`biggestJudgment$}]; \
$CellContext`coverageProbability$ = 
         Part[$CellContext`\[ScriptL]fraction$$, 
           2]; $CellContext`litigationCosts$ = 
         Rescale[$CellContext`litigationCostsFraction$$, {0, 1}, {
           0, $CellContext`biggestJudgment$}]; $CellContext`a = 
         Rescale[$CellContext`aFraction$$, {0, 1}, {
           0, $CellContext`biggestJudgment$}]; \
$CellContext`litigationCostsPlaintiff$ = 
         First[$CellContext`litigationCosts$]; \
$CellContext`litigationCostsInsurer$ = 
         Last[$CellContext`litigationCosts$]; \
$CellContext`reasonablenessAddition$ = Rescale[
           First[$CellContext`reasonablenessFraction$$], {0, 1}, {
           0, $CellContext`biggestJudgment$}]; \
$CellContext`punishmentAddition$ = Rescale[
           Last[$CellContext`reasonablenessFraction$$], {0, 1}, {
           0, $CellContext`biggestJudgment$}]; \
$CellContext`rsWithCoverageDiscount$ = Min[$CellContext`\[ScriptL]$, 
           $CellContext`insurerValue[$CellContext`distribution$, \
$CellContext`reasonablenessAddition$ + $CellContext`\[ScriptL]$, \
$CellContext`coverageProbability$, $CellContext`litigationCostsInsurer$]]; \
$CellContext`rsWithoutCoverageDiscount$ = Min[$CellContext`\[ScriptL]$, 
           $CellContext`insurerValue[$CellContext`distribution$, \
$CellContext`reasonablenessAddition$ + $CellContext`\[ScriptL]$, 
            1, $CellContext`litigationCostsInsurer$]]; $CellContext`rs$ = 
         If[$CellContext`coverageDiscount$$, \
$CellContext`rsWithCoverageDiscount$, \
$CellContext`rsWithoutCoverageDiscount$]; $CellContext`reasonableOfferQ$[
           Pattern[$CellContext`s$, 
            Blank[]]] = $CellContext`s$ < 
          Min[$CellContext`\[ScriptL]$, $CellContext`rs$]; $CellContext`iv$[
           Pattern[$CellContext`s$, 
            Blank[]]] = $CellContext`insurerValue[$CellContext`distribution$, 
           
           If[
            $CellContext`reasonableOfferQ$[$CellContext`s$], $CellContext`\
\[ScriptL]$ + $CellContext`punishmentAddition$, $CellContext`\[ScriptL]$], \
$CellContext`coverageProbability$, $CellContext`litigationCostsInsurer$]; \
$CellContext`pv$[
           Pattern[$CellContext`s$, 
            
            Blank[]]] = \
$CellContext`plaintiffValue[$CellContext`distribution$, 
           If[
            $CellContext`reasonableOfferQ$[$CellContext`s$], $CellContext`\
\[ScriptL]$ + $CellContext`punishmentAddition$, $CellContext`\[ScriptL]$], \
$CellContext`a, $CellContext`coverageProbability$, \
$CellContext`litigationCostsPlaintiff$]; $CellContext`theplot$ = Part[
           Plot[
            
            If[$CellContext`s < $CellContext`iv$[$CellContext`s], \
$CellContext`s, 
             $CellContext`pv$[$CellContext`s]], {$CellContext`s, 
             0, $CellContext`biggestJudgment$}, PlotStyle -> {{
               Thickness[0.01]}}, Exclusions -> None, 
            Method -> {"PiecewiseTimeConstraint" -> 1}], 1]; Grid[{{
            Graphics[{$CellContext`theplot$, 
              Dashing[{0.02, 0.02}], 
              Line[{{0, 0}, {$CellContext`biggestJudgment$, 0}}], 
              Map[{
                Opacity[0.7], 
                ColorData[1][5], 
                Rectangle[
                Reverse[#] {1, 0} - {0.02 $CellContext`biggestJudgment$, 0}, 
                 Reverse[#] {1, $CellContext`biggestJudgment$} + {
                  0.02 $CellContext`biggestJudgment$, 0}], 
                ColorData[1][6], 
                Text[
                 Style[
                  Part[#, 1], 7], 
                 Reverse[#] {1, $CellContext`biggestJudgment$}, {
                 0, -1}]}& , $CellContext`distribution$], 
              Dashing[{0.01, 0.01}], 
              ColorData[1][3], 
              
              Line[{{$CellContext`\[ScriptL]$, \
-$CellContext`litigationCostsPlaintiff$}, {$CellContext`\[ScriptL]$, \
$CellContext`biggestJudgment$}}], 
              Text["policy limit", {$CellContext`\[ScriptL]$, 
                
                Mean[{-$CellContext`litigationCostsPlaintiff$, \
$CellContext`biggestJudgment$}]}, {0, -1}, {0, -1}], Black, 
              Text[
              "reasonable\nsettlement\nzone", {$CellContext`rs$/2, 
                0.6 $CellContext`biggestJudgment$}], 
              Opacity[0.2], 
              ColorData[1][2], 
              
              Rectangle[{
               0, -$CellContext`litigationCostsPlaintiff$}, \
{$CellContext`rs$, $CellContext`biggestJudgment$}]}, 
             FrameLabel -> {
              "settlement offer", "plaintiff's expected position"}, 
             PlotRange -> {{(-0.05) $CellContext`biggestJudgment$, 
                1.1 $CellContext`biggestJudgment$}, \
{-$CellContext`litigationCostsPlaintiff$, $CellContext`biggestJudgment$}}, 
             Axes -> False, Frame -> True, ImageSize -> 320, AspectRatio -> 
             0.8, ImagePadding -> {{60, 10}, {60, 10}}]}, {
            $CellContext`dashboard[
             Round[$CellContext`\[ScriptL]$], 
             NumberForm[$CellContext`coverageProbability$, {4, 3}], 
             Round[$CellContext`litigationCostsPlaintiff$], 
             Round[$CellContext`litigationCostsInsurer$], 
             
             Round[$CellContext`\[ScriptL]$ + \
$CellContext`reasonablenessAddition$], 
             
             Round[$CellContext`\[ScriptL]$ + \
$CellContext`punishmentAddition$], $CellContext`coverageDiscount$$]}}]], 
      "Specifications" :> {{{$CellContext`i$$, 1, "lawsuit index"}, 1, 20, 1, 
         ControlType -> SetterBar, ControlPlacement -> Top}, 
        "policy limit and coverage fractions", \
{{$CellContext`\[ScriptL]fraction$$, {0.5, 0.5}, ""}, {0, 0}, {1, 1}, 
         ImageSize -> 50}, 
        "litigation costs fraction", \
{{$CellContext`litigationCostsFraction$$, {0.25, 0.25}, ""}, {0, 0}, {1, 1}, 
         ImageSize -> 50}, 
        "insured's attachable assets fraction", {{$CellContext`aFraction$$, 0,
           ""}, 0, 1, 0.001, Appearance -> "Labeled", ImageSize -> Tiny}, 
        Delimiter, 
        "strength of duty to settle", \
{{$CellContext`reasonablenessFraction$$, {0, 0}, ""}, {0, 0}, {1, 1}, 
         ControlPlacement -> Left, ImageSize -> 50}, 
        "discount for coverage issues", {{$CellContext`coverageDiscount$$, 
          False, ""}, {True, False}}}, 
      "Options" :> {
       ControlPlacement -> Left, 
        TrackedSymbols -> {$CellContext`i$$, \
$CellContext`\[ScriptL]fraction$$, $CellContext`litigationCostsFraction$$, \
$CellContext`reasonablenessFraction$$, $CellContext`aFraction$$, \
$CellContext`coverageDiscount$$}, AutorunSequencing -> {2, 3, 4, 5, 6}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{518., {242.375, 247.625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`dist = {{{0.5, 0}, {0.1, 
           712989.9358579378}, {0.1, 1.4398157837102977`*^6}, {
           0.30000000000000004`, 2000000}}, {{0.7000000000000001, 0}, {0.1, 
           192597.24479319368`}, {0.1, 385656.5039496152}, {0.1, 
           578701.4707009123}}, {{0.30000000000000004`, 0}, {0.1, 
           22148.908410097974`}, {0.1, 24777.74116754202}, {0.1, 
           34430.34782911251}, {0.1, 45747.95815685355}, {0.1, 
           54026.94570262997}, {0.1, 65605.31093032722}, {0.1, 
           70703.50266242973}}, {{0.6000000000000001, 0}, {0.1, 
           22731.92081046749}, {0.1, 30076.231378401313`}, {0.1, 
           38173.29492961269}, {0.1, 45832.76387781609}}, {{0.9, 0}, {0.1, 
           25967.53598807067}}, {{0.9, 0}, {0.1, 22375.55030299202}}, {{
           0.7000000000000001, 0}, {0.1, 25602.47506544023}, {0.1, 
           32588.53933565601}, {0.1, 36929.44855447694}}, {{0.9, 0}, {0.1, 
           95419.609252729}}, {{0.8, 0}, {0.1, 23931.158635764812`}, {0.1, 
           44858.1640179339}}, {{0.8, 0}, {0.2, 2000000}}, {{
           0.6000000000000001, 0}, {0.1, 1.8160143018162046`*^6}, {
           0.30000000000000004`, 2000000}}, {{0.5, 0}, {0.1, 
           20301.42108772149}, {0.1, 40575.49038267275}, {0.1, 
           44366.314574934324`}, {0.1, 61107.431799254}, {0.1, 
           81351.47376818066}}, {{0.6000000000000001, 0}, {0.1, 
           92944.45834014856}, {0.1, 185300.08052954695`}, {0.1, 
           276325.3087682087}, {0.1, 369446.5951619379}}, {{0.2, 0}, {0.1, 
           44201.8130989996}, {0.1, 89964.11229620947}, {0.1, 
           135798.53787771935`}, {0.1, 176034.61425403086`}, {0.1, 
           221873.153512078}, {0.1, 267503.32829704334`}, {0.1, 
           308554.55338813417`}, {0.1, 352117.91575779696`}}, {{0.2, 0}, {0.1,
            22147.165840966634`}, {0.1, 61931.143328519975`}, {0.1, 
           84872.49971492356}, {0.1, 124635.11312291134`}, {0.1, 
           147219.79944561498`}, {0.1, 186499.13131479706`}, {0.1, 
           207174.4661098227}, {0.1, 269899.15055621194`}}, {{0.2, 0}, {0.1, 
           35876.66993171538}, {0.1, 53588.23746362205}, {0.1, 
           71509.57334996367}, {0.1, 88640.34497335763}, {0.1, 
           106526.08164253563`}, {0.1, 124358.35233306713`}, {0.1, 
           142287.32136090074`}, {0.1, 159808.151258976}}, {{0.2, 0}, {0.1, 
           415101.3807711569}, {0.1, 844727.8094152698}, {0.1, 
           1.2530873998267376`*^6}, {0.1, 1.683403548781305*^6}, {
           0.4, 2000000}}, {{0.6000000000000001, 0}, {0.1, 
           333073.710394004}, {0.1, 665384.0347828909}, {0.1, 
           1.0003590312557248`*^6}, {0.1, 1.3351213742227147`*^6}}, {{
           0.7000000000000001, 0}, {0.1, 83296.85732840073}, {0.1, 
           156326.8233050917}, {0.1, 239864.303681548}}, {{
           0.6000000000000001, 0}, {0.1, 29252.714401239948`}, {0.1, 
           44081.347848015896`}, {0.1, 58677.75047057372}, {0.1, 
           73625.84871360098}}}, $CellContext`a = 
        0, $CellContext`insurerValue[
          Pattern[$CellContext`dist, 
           Blank[]], 
          Pattern[$CellContext`\[ScriptL], 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`litcosts, 
           Blank[]]] := 
        With[{$CellContext`probs = 
           Map[First, $CellContext`dist], $CellContext`judgments = 
           Map[Last, $CellContext`dist]}, Dot[$CellContext`probs, 
            Map[
            Min[$CellContext`\[ScriptL], $CellContext`c #]& , \
$CellContext`judgments]] + 
          0 + $CellContext`litcosts], $CellContext`plaintiffValue[
          Pattern[$CellContext`dist, 
           Blank[]], 
          Pattern[$CellContext`\[ScriptL], 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`litcosts, 
           Blank[]]] := 
        With[{$CellContext`probs = 
           Map[First, $CellContext`dist], $CellContext`judgments = 
           Map[Last, $CellContext`dist]}, $CellContext`c 
           Dot[$CellContext`probs, 
             Map[
             Min[$CellContext`\[ScriptL] + $CellContext`a, #]& , \
$CellContext`judgments]] + (1 - $CellContext`c) Dot[$CellContext`probs, 
             Map[
             Min[$CellContext`a, #]& , $CellContext`judgments]] - \
$CellContext`litcosts], 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`dashboard[
          Pattern[$CellContext`limit, 
           Blank[]], 
          Pattern[$CellContext`coverage, 
           Blank[]], 
          Pattern[$CellContext`plaintiffcosts, 
           Blank[]], 
          Pattern[$CellContext`defensecosts, 
           Blank[]], 
          Pattern[$CellContext`reasonableness, 
           Blank[]], 
          Pattern[$CellContext`punishment, 
           Blank[]]] := Text[
          Grid[
           
           Transpose[{{
             "policy limit", "coverage probability", 
              "plantiff litigation costs", "insurer litigation costs", 
              "determine reasonableness as if limits were ...", 
              "policy limit if reasonable settlement offer refused"}, \
{$CellContext`limit, $CellContext`coverage, $CellContext`plaintiffcosts, \
$CellContext`defensecosts, $CellContext`reasonableness, \
$CellContext`punishment}}], Dividers -> All, Background -> Append[
             ColorData[1][8], 0.5]]], $CellContext`dashboard[
          Pattern[$CellContext`limit, 
           Blank[]], 
          Pattern[$CellContext`coverage, 
           Blank[]], 
          Pattern[$CellContext`plaintiffcosts, 
           Blank[]], 
          Pattern[$CellContext`defensecosts, 
           Blank[]], 
          Pattern[$CellContext`reasonableness, 
           Blank[]], 
          Pattern[$CellContext`punishment, 
           Blank[]], 
          Pattern[$CellContext`discount, 
           Blank[]]] := Text[
          Grid[
           
           Transpose[{{
             "policy limit", "coverage probability", 
              "plantiff litigation costs", "insurer litigation costs", 
              "determine reasonableness as if limits were\[Ellipsis]", 
              "policy limit if reasonable settlement offer refused", 
              "discount for coverage issues"}, {$CellContext`limit, \
$CellContext`coverage, $CellContext`plaintiffcosts, \
$CellContext`defensecosts, $CellContext`reasonableness, \
$CellContext`punishment, $CellContext`discount}}], Alignment -> Left, 
           Dividers -> All, Background -> Append[
             ColorData[1][8], 0.5]]]}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{
         SeedRandom[41407], $CellContext`insurerValue[
            Pattern[$CellContext`dist, 
             Blank[]], 
            Pattern[$CellContext`\[ScriptL], 
             Blank[]], 
            Pattern[$CellContext`c, 
             Blank[]], 
            Pattern[$CellContext`litcosts, 
             Blank[]]] := 
          With[{$CellContext`probs = 
             Map[First, $CellContext`dist], $CellContext`judgments = 
             Map[Last, $CellContext`dist]}, Dot[$CellContext`probs, 
              Map[
              Min[$CellContext`\[ScriptL], $CellContext`c #]& , \
$CellContext`judgments]] + 0 + $CellContext`litcosts]; 
         Null, $CellContext`plaintiffValue[
            Pattern[$CellContext`dist, 
             Blank[]], 
            Pattern[$CellContext`\[ScriptL], 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`c, 
             Blank[]], 
            Pattern[$CellContext`litcosts, 
             Blank[]]] := 
          With[{$CellContext`probs = 
             Map[First, $CellContext`dist], $CellContext`judgments = 
             Map[Last, $CellContext`dist]}, $CellContext`c 
             Dot[$CellContext`probs, 
               Map[
               Min[$CellContext`\[ScriptL] + $CellContext`a, #]& , \
$CellContext`judgments]] + (1 - $CellContext`c) Dot[$CellContext`probs, 
               Map[
               Min[$CellContext`a, #]& , $CellContext`judgments]] - \
$CellContext`litcosts]; 
         Null, $CellContext`dist = 
          Map[Sort[#, Part[#, 2] < Part[#2, 2]& ]& , 
            ReplaceAll[
             Map[Tally, 
              Take[
               DeleteCases[
                Table[
                 With[{$CellContext`rr = RandomReal[
                    ParetoDistribution[100, 0.4], 10]}, 
                  Map[With[{$CellContext`clipped = Clip[#, {0, 2000000}]}, 
                    
                    If[$CellContext`clipped < 20000, 
                    0, $CellContext`clipped]]& , 
                   Accumulate[$CellContext`rr - Mean[$CellContext`rr]]]], {
                 100}], {
                 Repeated[0]}], 20]], {
               Pattern[$CellContext`a, 
                Blank[]], 
               Pattern[$CellContext`b, 
                Blank[Integer]]} :> {$CellContext`b/10., $CellContext`a}]]; 
         Null, $CellContext`dashboard[
            Pattern[$CellContext`limit, 
             Blank[]], 
            Pattern[$CellContext`coverage, 
             Blank[]], 
            Pattern[$CellContext`plaintiffcosts, 
             Blank[]], 
            Pattern[$CellContext`defensecosts, 
             Blank[]], 
            Pattern[$CellContext`reasonableness, 
             Blank[]], 
            Pattern[$CellContext`punishment, 
             Blank[]], 
            Pattern[$CellContext`discount, 
             Blank[]]] := Text[
            Grid[
             
             Transpose[{{
               "policy limit", "coverage probability", 
                "plantiff litigation costs", "insurer litigation costs", 
                "determine reasonableness as if limits were\[Ellipsis]", 
                "policy limit if reasonable settlement offer refused", 
                "discount for coverage issues"}, {$CellContext`limit, \
$CellContext`coverage, $CellContext`plaintiffcosts, \
$CellContext`defensecosts, $CellContext`reasonableness, \
$CellContext`punishment, $CellContext`discount}}], Alignment -> Left, 
             Dividers -> All, Background -> Append[
               ColorData[1][8], 0.5]]]; 
         Null, $CellContext`veryworstcase = Max[
            Flatten[
             Map[Last, $CellContext`dist, {2}]]]; Null}]]),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{3.387986621253098*^9},
 CellID->545105432]
}, {8}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["The Duty to Settle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheDutyToSettle/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheDutyToSettle/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TheDutyToSettle/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TheDutyToSettle/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TheDutyToSettle/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Seth J. Chandler", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TheDutyToSettle"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
ClosingSaveDialog->False,
Editable->True,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"The Duty to Settle - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (May 22, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 210, 4, 67, "Section"],
Cell[CellGroupData[{
Cell[825, 31, 304, 6, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->1299111428],
Cell[1132, 39, 1607, 45, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->1137336900],
Cell[2742, 86, 1483, 43, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->469336353],
Cell[4228, 131, 2881, 73, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->1232349066],
Cell[7112, 206, 1770, 41, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->118554687],
Cell[8885, 249, 453, 12, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->762796872],
Cell[9341, 263, 21920, 466, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->1650986042],
Cell[31264, 731, 21631, 445, 508, "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->545105432]
}, {8}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[52941, 1182, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[53317, 1193, 870, 24, 34, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54224, 1222, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[54564, 1233, 187, 5, 70, "Text"],
Cell[54754, 1240, 967, 27, 70, "Text"],
Cell[55724, 1269, 1191, 33, 70, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

