(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     24020,        531]
NotebookOptionsPosition[     23191,        495]
NotebookOutlinePosition[     23948,        528]
CellTagsIndexPosition[     23905,        525]
WindowFrame->Palette
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aFraction$$ = 
    0., $CellContext`coverageDiscount$$ = False, $CellContext`i$$ = 
    1, $CellContext`litigationCostsFraction$$ = {0.31, 
    0.48}, $CellContext`reasonablenessFraction$$ = {
    0, 0.48}, $CellContext`\[ScriptL]fraction$$ = {0.6900000000000001, 0.27}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`i$$], 1, "lawsuit index"}, 1, 20, 1}, {
      Hold["policy limit and coverage fractions"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[ScriptL]fraction$$], {0.5, 0.5}, ""}, {0, 0}, {1, 
      1}}, {
      Hold["litigation costs fraction"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`litigationCostsFraction$$], {0.25, 0.25}, ""}, {0, 
      0}, {1, 1}}, {
      Hold["insured's attachable assets fraction"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`aFraction$$], 0, ""}, 0, 1, 0.001}, {
      Hold["strength of duty to settle"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`reasonablenessFraction$$], {0, 0}, ""}, {0, 0}, {1, 
      1}}, {
      Hold["discount for coverage issues"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`coverageDiscount$$], False, ""}, {True, False}}}, 
    Typeset`size$$ = {320., {199.375, 204.625}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`i$4231$$ = 
    0, $CellContext`\[ScriptL]fraction$4232$$ = {0, 
    0}, $CellContext`litigationCostsFraction$4233$$ = {0, 
    0}, $CellContext`aFraction$4234$$ = 
    0, $CellContext`reasonablenessFraction$4235$$ = {0, 
    0}, $CellContext`coverageDiscount$4236$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aFraction$$ = 
        0, $CellContext`coverageDiscount$$ = False, $CellContext`i$$ = 
        1, $CellContext`litigationCostsFraction$$ = {0.25, 
         0.25}, $CellContext`reasonablenessFraction$$ = {0, 
         0}, $CellContext`\[ScriptL]fraction$$ = {0.5, 0.5}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`i$$, $CellContext`i$4231$$, 0], 
        Hold[$CellContext`\[ScriptL]fraction$$, \
$CellContext`\[ScriptL]fraction$4232$$, {0, 0}], 
        Hold[$CellContext`litigationCostsFraction$$, \
$CellContext`litigationCostsFraction$4233$$, {0, 0}], 
        Hold[$CellContext`aFraction$$, $CellContext`aFraction$4234$$, 0], 
        Hold[$CellContext`reasonablenessFraction$$, \
$CellContext`reasonablenessFraction$4235$$, {0, 0}], 
        Hold[$CellContext`coverageDiscount$$, \
$CellContext`coverageDiscount$4236$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`rsWithCoverageDiscount$, \
$CellContext`rsWithoutCoverageDiscount$, $CellContext`iv$, $CellContext`pv$, \
$CellContext`reasonableOfferQ$, $CellContext`rs$, \
$CellContext`litigationCosts$, $CellContext`litigationCostsPlaintiff$, \
$CellContext`litigationCostsInsurer$, $CellContext`reasonablenessAddition$, \
$CellContext`punishmentAddition$, $CellContext`biggestJudgment$, \
$CellContext`\[ScriptL]$, $CellContext`distribution$, \
$CellContext`coverageProbability$, $CellContext`theplot$, \
$CellContext`controlSize$ = 50, $CellContext`cp$ = Left}, 
        SeedRandom[41407]; $CellContext`distribution$ = 
         Part[$CellContext`dist, $CellContext`i$$]; \
$CellContext`biggestJudgment$ = Max[
           Map[Last, 
            
            Part[$CellContext`dist, $CellContext`i$$]]]; $CellContext`\
\[ScriptL]$ = Rescale[
           Part[$CellContext`\[ScriptL]fraction$$, 1], {0, 1}, {
           
           0, $CellContext`biggestJudgment$}]; \
$CellContext`coverageProbability$ = 
         Part[$CellContext`\[ScriptL]fraction$$, 
           2]; $CellContext`litigationCosts$ = 
         Rescale[$CellContext`litigationCostsFraction$$, {0, 1}, {
           0, $CellContext`biggestJudgment$}]; $CellContext`a = 
         Rescale[$CellContext`aFraction$$, {0, 1}, {
           0, $CellContext`biggestJudgment$}]; \
$CellContext`litigationCostsPlaintiff$ = 
         First[$CellContext`litigationCosts$]; \
$CellContext`litigationCostsInsurer$ = 
         Last[$CellContext`litigationCosts$]; \
$CellContext`reasonablenessAddition$ = Rescale[
           First[$CellContext`reasonablenessFraction$$], {0, 1}, {
           0, $CellContext`biggestJudgment$}]; \
$CellContext`punishmentAddition$ = Rescale[
           Last[$CellContext`reasonablenessFraction$$], {0, 1}, {
           0, $CellContext`biggestJudgment$}]; \
$CellContext`rsWithCoverageDiscount$ = Min[$CellContext`\[ScriptL]$, 
           $CellContext`insurerValue[$CellContext`distribution$, \
$CellContext`reasonablenessAddition$ + $CellContext`\[ScriptL]$, \
$CellContext`coverageProbability$, $CellContext`litigationCostsInsurer$]]; \
$CellContext`rsWithoutCoverageDiscount$ = Min[$CellContext`\[ScriptL]$, 
           $CellContext`insurerValue[$CellContext`distribution$, \
$CellContext`reasonablenessAddition$ + $CellContext`\[ScriptL]$, 
            1, $CellContext`litigationCostsInsurer$]]; $CellContext`rs$ = 
         If[$CellContext`coverageDiscount$$, \
$CellContext`rsWithCoverageDiscount$, \
$CellContext`rsWithoutCoverageDiscount$]; $CellContext`reasonableOfferQ$[
           Pattern[$CellContext`s$, 
            Blank[]]] = $CellContext`s$ < 
          Min[$CellContext`\[ScriptL]$, $CellContext`rs$]; $CellContext`iv$[
           Pattern[$CellContext`s$, 
            Blank[]]] = $CellContext`insurerValue[$CellContext`distribution$, 
           
           If[
            $CellContext`reasonableOfferQ$[$CellContext`s$], $CellContext`\
\[ScriptL]$ + $CellContext`punishmentAddition$, $CellContext`\[ScriptL]$], \
$CellContext`coverageProbability$, $CellContext`litigationCostsInsurer$]; \
$CellContext`pv$[
           Pattern[$CellContext`s$, 
            
            Blank[]]] = \
$CellContext`plaintiffValue[$CellContext`distribution$, 
           If[
            $CellContext`reasonableOfferQ$[$CellContext`s$], $CellContext`\
\[ScriptL]$ + $CellContext`punishmentAddition$, $CellContext`\[ScriptL]$], \
$CellContext`a, $CellContext`coverageProbability$, \
$CellContext`litigationCostsPlaintiff$]; $CellContext`theplot$ = Part[
           Plot[
            
            If[$CellContext`s < $CellContext`iv$[$CellContext`s], \
$CellContext`s, 
             $CellContext`pv$[$CellContext`s]], {$CellContext`s, 
             0, $CellContext`biggestJudgment$}, PlotStyle -> {{
               Thickness[0.01]}}, Exclusions -> None, 
            Method -> {"PiecewiseTimeConstraint" -> 1}], 1]; Grid[{{
            Graphics[{$CellContext`theplot$, 
              Dashing[{0.02, 0.02}], 
              Line[{{0, 0}, {$CellContext`biggestJudgment$, 0}}], 
              Map[{
                Opacity[0.7], 
                ColorData[1][5], 
                Rectangle[
                Reverse[#] {1, 0} - {0.02 $CellContext`biggestJudgment$, 0}, 
                 Reverse[#] {1, $CellContext`biggestJudgment$} + {
                  0.02 $CellContext`biggestJudgment$, 0}], 
                ColorData[1][6], 
                Text[
                 Style[
                  Part[#, 1], 7], 
                 Reverse[#] {1, $CellContext`biggestJudgment$}, {
                 0, -1}]}& , $CellContext`distribution$], 
              Dashing[{0.01, 0.01}], 
              ColorData[1][3], 
              
              Line[{{$CellContext`\[ScriptL]$, \
-$CellContext`litigationCostsPlaintiff$}, {$CellContext`\[ScriptL]$, \
$CellContext`biggestJudgment$}}], 
              Text["policy limit", {$CellContext`\[ScriptL]$, 
                
                Mean[{-$CellContext`litigationCostsPlaintiff$, \
$CellContext`biggestJudgment$}]}, {0, -1}, {0, -1}], Black, 
              Text[
              "reasonable\nsettlement\nzone", {$CellContext`rs$/2, 
                0.6 $CellContext`biggestJudgment$}], 
              Opacity[0.2], 
              ColorData[1][2], 
              
              Rectangle[{
               0, -$CellContext`litigationCostsPlaintiff$}, \
{$CellContext`rs$, $CellContext`biggestJudgment$}]}, 
             FrameLabel -> {
              "settlement offer", "plaintiff's expected position"}, 
             PlotRange -> {{(-0.05) $CellContext`biggestJudgment$, 
                1.1 $CellContext`biggestJudgment$}, \
{-$CellContext`litigationCostsPlaintiff$, $CellContext`biggestJudgment$}}, 
             Axes -> False, Frame -> True, ImageSize -> 320, AspectRatio -> 
             0.8, ImagePadding -> {{60, 10}, {60, 10}}]}, {
            $CellContext`dashboard[
             Round[$CellContext`\[ScriptL]$], 
             NumberForm[$CellContext`coverageProbability$, {4, 3}], 
             Round[$CellContext`litigationCostsPlaintiff$], 
             Round[$CellContext`litigationCostsInsurer$], 
             
             Round[$CellContext`\[ScriptL]$ + \
$CellContext`reasonablenessAddition$], 
             
             Round[$CellContext`\[ScriptL]$ + \
$CellContext`punishmentAddition$], $CellContext`coverageDiscount$$]}}]], 
      "Specifications" :> {{{$CellContext`i$$, 1, "lawsuit index"}, 1, 20, 1, 
         ControlType -> SetterBar, ControlPlacement -> Top}, 
        "policy limit and coverage fractions", \
{{$CellContext`\[ScriptL]fraction$$, {0.5, 0.5}, ""}, {0, 0}, {1, 1}, 
         ImageSize -> 50}, 
        "litigation costs fraction", \
{{$CellContext`litigationCostsFraction$$, {0.25, 0.25}, ""}, {0, 0}, {1, 1}, 
         ImageSize -> 50}, 
        "insured's attachable assets fraction", {{$CellContext`aFraction$$, 0,
           ""}, 0, 1, 0.001, Appearance -> "Labeled", ImageSize -> Tiny}, 
        Delimiter, 
        "strength of duty to settle", \
{{$CellContext`reasonablenessFraction$$, {0, 0}, ""}, {0, 0}, {1, 1}, 
         ControlPlacement -> Left, ImageSize -> 50}, 
        "discount for coverage issues", {{$CellContext`coverageDiscount$$, 
          False, ""}, {True, False}}}, 
      "Options" :> {
       ControlPlacement -> Left, 
        TrackedSymbols -> {$CellContext`i$$, \
$CellContext`\[ScriptL]fraction$$, $CellContext`litigationCostsFraction$$, \
$CellContext`reasonablenessFraction$$, $CellContext`aFraction$$, \
$CellContext`coverageDiscount$$}, AutorunSequencing -> {2, 3, 4, 5, 6}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{518., {242.375, 247.625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`dist = {{{0.5, 0}, {0.1, 
           712989.9358579378}, {0.1, 1.4398157837102977`*^6}, {
           0.30000000000000004`, 2000000}}, {{0.7000000000000001, 0}, {0.1, 
           192597.24479319368`}, {0.1, 385656.5039496152}, {0.1, 
           578701.4707009123}}, {{0.30000000000000004`, 0}, {0.1, 
           22148.908410097974`}, {0.1, 24777.74116754202}, {0.1, 
           34430.34782911251}, {0.1, 45747.95815685355}, {0.1, 
           54026.94570262997}, {0.1, 65605.31093032722}, {0.1, 
           70703.50266242973}}, {{0.6000000000000001, 0}, {0.1, 
           22731.92081046749}, {0.1, 30076.231378401313`}, {0.1, 
           38173.29492961269}, {0.1, 45832.76387781609}}, {{0.9, 0}, {0.1, 
           25967.53598807067}}, {{0.9, 0}, {0.1, 22375.55030299202}}, {{
           0.7000000000000001, 0}, {0.1, 25602.47506544023}, {0.1, 
           32588.53933565601}, {0.1, 36929.44855447694}}, {{0.9, 0}, {0.1, 
           95419.609252729}}, {{0.8, 0}, {0.1, 23931.158635764812`}, {0.1, 
           44858.1640179339}}, {{0.8, 0}, {0.2, 2000000}}, {{
           0.6000000000000001, 0}, {0.1, 1.8160143018162046`*^6}, {
           0.30000000000000004`, 2000000}}, {{0.5, 0}, {0.1, 
           20301.42108772149}, {0.1, 40575.49038267275}, {0.1, 
           44366.314574934324`}, {0.1, 61107.431799254}, {0.1, 
           81351.47376818066}}, {{0.6000000000000001, 0}, {0.1, 
           92944.45834014856}, {0.1, 185300.08052954695`}, {0.1, 
           276325.3087682087}, {0.1, 369446.5951619379}}, {{0.2, 0}, {0.1, 
           44201.8130989996}, {0.1, 89964.11229620947}, {0.1, 
           135798.53787771935`}, {0.1, 176034.61425403086`}, {0.1, 
           221873.153512078}, {0.1, 267503.32829704334`}, {0.1, 
           308554.55338813417`}, {0.1, 352117.91575779696`}}, {{0.2, 0}, {0.1,
            22147.165840966634`}, {0.1, 61931.143328519975`}, {0.1, 
           84872.49971492356}, {0.1, 124635.11312291134`}, {0.1, 
           147219.79944561498`}, {0.1, 186499.13131479706`}, {0.1, 
           207174.4661098227}, {0.1, 269899.15055621194`}}, {{0.2, 0}, {0.1, 
           35876.66993171538}, {0.1, 53588.23746362205}, {0.1, 
           71509.57334996367}, {0.1, 88640.34497335763}, {0.1, 
           106526.08164253563`}, {0.1, 124358.35233306713`}, {0.1, 
           142287.32136090074`}, {0.1, 159808.151258976}}, {{0.2, 0}, {0.1, 
           415101.3807711569}, {0.1, 844727.8094152698}, {0.1, 
           1.2530873998267376`*^6}, {0.1, 1.683403548781305*^6}, {
           0.4, 2000000}}, {{0.6000000000000001, 0}, {0.1, 
           333073.710394004}, {0.1, 665384.0347828909}, {0.1, 
           1.0003590312557248`*^6}, {0.1, 1.3351213742227147`*^6}}, {{
           0.7000000000000001, 0}, {0.1, 83296.85732840073}, {0.1, 
           156326.8233050917}, {0.1, 239864.303681548}}, {{
           0.6000000000000001, 0}, {0.1, 29252.714401239948`}, {0.1, 
           44081.347848015896`}, {0.1, 58677.75047057372}, {0.1, 
           73625.84871360098}}}, $CellContext`a = 
        0, $CellContext`insurerValue[
          Pattern[$CellContext`dist, 
           Blank[]], 
          Pattern[$CellContext`\[ScriptL], 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`litcosts, 
           Blank[]]] := 
        With[{$CellContext`probs = 
           Map[First, $CellContext`dist], $CellContext`judgments = 
           Map[Last, $CellContext`dist]}, Dot[$CellContext`probs, 
            Map[
            Min[$CellContext`\[ScriptL], $CellContext`c #]& , \
$CellContext`judgments]] + 
          0 + $CellContext`litcosts], $CellContext`plaintiffValue[
          Pattern[$CellContext`dist, 
           Blank[]], 
          Pattern[$CellContext`\[ScriptL], 
           Blank[]], 
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`c, 
           Blank[]], 
          Pattern[$CellContext`litcosts, 
           Blank[]]] := 
        With[{$CellContext`probs = 
           Map[First, $CellContext`dist], $CellContext`judgments = 
           Map[Last, $CellContext`dist]}, $CellContext`c 
           Dot[$CellContext`probs, 
             Map[
             Min[$CellContext`\[ScriptL] + $CellContext`a, #]& , \
$CellContext`judgments]] + (1 - $CellContext`c) Dot[$CellContext`probs, 
             Map[
             Min[$CellContext`a, #]& , $CellContext`judgments]] - \
$CellContext`litcosts], 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`dashboard[
          Pattern[$CellContext`limit, 
           Blank[]], 
          Pattern[$CellContext`coverage, 
           Blank[]], 
          Pattern[$CellContext`plaintiffcosts, 
           Blank[]], 
          Pattern[$CellContext`defensecosts, 
           Blank[]], 
          Pattern[$CellContext`reasonableness, 
           Blank[]], 
          Pattern[$CellContext`punishment, 
           Blank[]]] := Text[
          Grid[
           
           Transpose[{{
             "policy limit", "coverage probability", 
              "plantiff litigation costs", "insurer litigation costs", 
              "determine reasonableness as if limits were ...", 
              "policy limit if reasonable settlement offer refused"}, \
{$CellContext`limit, $CellContext`coverage, $CellContext`plaintiffcosts, \
$CellContext`defensecosts, $CellContext`reasonableness, \
$CellContext`punishment}}], Dividers -> All, Background -> Append[
             ColorData[1][8], 0.5]]], $CellContext`dashboard[
          Pattern[$CellContext`limit, 
           Blank[]], 
          Pattern[$CellContext`coverage, 
           Blank[]], 
          Pattern[$CellContext`plaintiffcosts, 
           Blank[]], 
          Pattern[$CellContext`defensecosts, 
           Blank[]], 
          Pattern[$CellContext`reasonableness, 
           Blank[]], 
          Pattern[$CellContext`punishment, 
           Blank[]], 
          Pattern[$CellContext`discount, 
           Blank[]]] := Text[
          Grid[
           
           Transpose[{{
             "policy limit", "coverage probability", 
              "plantiff litigation costs", "insurer litigation costs", 
              "determine reasonableness as if limits were\[Ellipsis]", 
              "policy limit if reasonable settlement offer refused", 
              "discount for coverage issues"}, {$CellContext`limit, \
$CellContext`coverage, $CellContext`plaintiffcosts, \
$CellContext`defensecosts, $CellContext`reasonableness, \
$CellContext`punishment, $CellContext`discount}}], Alignment -> Left, 
           Dividers -> All, Background -> Append[
             ColorData[1][8], 0.5]]]}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{
         SeedRandom[41407], $CellContext`insurerValue[
            Pattern[$CellContext`dist, 
             Blank[]], 
            Pattern[$CellContext`\[ScriptL], 
             Blank[]], 
            Pattern[$CellContext`c, 
             Blank[]], 
            Pattern[$CellContext`litcosts, 
             Blank[]]] := 
          With[{$CellContext`probs = 
             Map[First, $CellContext`dist], $CellContext`judgments = 
             Map[Last, $CellContext`dist]}, Dot[$CellContext`probs, 
              Map[
              Min[$CellContext`\[ScriptL], $CellContext`c #]& , \
$CellContext`judgments]] + 0 + $CellContext`litcosts]; 
         Null, $CellContext`plaintiffValue[
            Pattern[$CellContext`dist, 
             Blank[]], 
            Pattern[$CellContext`\[ScriptL], 
             Blank[]], 
            Pattern[$CellContext`a, 
             Blank[]], 
            Pattern[$CellContext`c, 
             Blank[]], 
            Pattern[$CellContext`litcosts, 
             Blank[]]] := 
          With[{$CellContext`probs = 
             Map[First, $CellContext`dist], $CellContext`judgments = 
             Map[Last, $CellContext`dist]}, $CellContext`c 
             Dot[$CellContext`probs, 
               Map[
               Min[$CellContext`\[ScriptL] + $CellContext`a, #]& , \
$CellContext`judgments]] + (1 - $CellContext`c) Dot[$CellContext`probs, 
               Map[
               Min[$CellContext`a, #]& , $CellContext`judgments]] - \
$CellContext`litcosts]; 
         Null, $CellContext`dist = 
          Map[Sort[#, Part[#, 2] < Part[#2, 2]& ]& , 
            ReplaceAll[
             Map[Tally, 
              Take[
               DeleteCases[
                Table[
                 With[{$CellContext`rr = RandomReal[
                    ParetoDistribution[100, 0.4], 10]}, 
                  Map[With[{$CellContext`clipped = Clip[#, {0, 2000000}]}, 
                    
                    If[$CellContext`clipped < 20000, 
                    0, $CellContext`clipped]]& , 
                   Accumulate[$CellContext`rr - Mean[$CellContext`rr]]]], {
                 100}], {
                 Repeated[0]}], 20]], {
               Pattern[$CellContext`a, 
                Blank[]], 
               Pattern[$CellContext`b, 
                Blank[Integer]]} :> {$CellContext`b/10., $CellContext`a}]]; 
         Null, $CellContext`dashboard[
            Pattern[$CellContext`limit, 
             Blank[]], 
            Pattern[$CellContext`coverage, 
             Blank[]], 
            Pattern[$CellContext`plaintiffcosts, 
             Blank[]], 
            Pattern[$CellContext`defensecosts, 
             Blank[]], 
            Pattern[$CellContext`reasonableness, 
             Blank[]], 
            Pattern[$CellContext`punishment, 
             Blank[]], 
            Pattern[$CellContext`discount, 
             Blank[]]] := Text[
            Grid[
             
             Transpose[{{
               "policy limit", "coverage probability", 
                "plantiff litigation costs", "insurer litigation costs", 
                "determine reasonableness as if limits were\[Ellipsis]", 
                "policy limit if reasonable settlement offer refused", 
                "discount for coverage issues"}, {$CellContext`limit, \
$CellContext`coverage, $CellContext`plaintiffcosts, \
$CellContext`defensecosts, $CellContext`reasonableness, \
$CellContext`punishment, $CellContext`discount}}], Alignment -> Left, 
             Dividers -> All, Background -> Append[
               ColorData[1][8], 0.5]]]; 
         Null, $CellContext`veryworstcase = Max[
            Flatten[
             Map[Last, $CellContext`dist, {2}]]]; Null}]]),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], NotebookDefault,
 CellBracketOptions->{"Color"->RGBColor[0.269993, 0.308507, 0.6]},
 CellEditDuplicate->True,
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 TextClipboardType->"InputText",
 StripStyleOnPaste->True,
 PageBreakAbove->True,
 PageBreakWithin->False,
 GroupPageBreakWithin->False,
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellLabelMargins->{{12, Inherited}, {Inherited, Inherited}},
 DefaultFormatType->DefaultOutputFormatType,
 InputAutoReplacements->{
  "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> "\[LessEqual]", ">=" -> 
   "\[GreaterEqual]", "!=" -> "\[NotEqual]", "==" -> "\[Equal]", ParentList},
 CellChangeTimes->{3.387986621253098*^9},
 ShowAutoStyles->False,
 "TwoByteSyntaxCharacterAutoReplacement"->True,
 HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
 LineSpacing->{1.25, 0, 2},
 AutoItalicWords->{},
 LanguageCategory->None,
 ScriptMinSize->9,
 ShowStringCharacters->False,
 SingleLetterItalics->False,
 CounterIncrements->"Output",
 MenuPosition->1550,
 StyleMenuListing->None,
 FontFamily->"Courier",
 CellID->545105432]
},
ClosingAutoSave->True,
Editable->False,
WindowToolbars->{},
WindowSize->{Fit, Fit},
WindowMargins->{{227, Automatic}, {Automatic, 32}},
WindowFrame->"Palette",
WindowElements->{},
WindowFrameElements->{"CloseBox", "MinimizeBox"},
WindowClickSelect->False,
ScrollingOptions->{"PagewiseScrolling"->True,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
CellMargins->0,
Active->True,
Deployed->True,
CellOpen->True,
ShowCellLabel->False,
ShowCellTags->False,
ImageMargins->0,
Magnification->1.,
FrontEndVersion->"6.1 for Mac OS X x86 (32-bit) (July 30, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[569, 21, 22618, 472, 493, NotebookDefault,
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 PageBreakAbove->True,
 PageBreakWithin->False,
 CounterIncrements->"Output",
 CellID->545105432]
}
]
*)

(* End of internal cache information *)
