(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14768,        420]
NotebookOptionsPosition[     13664,        377]
NotebookOutlinePosition[     14285,        402]
CellTagsIndexPosition[     14242,        399]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Tree Bender", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"m1", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Reverse", "[", "pt1", "]"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}], " ", "pt1"}]}], "}"}]}], 
       ",", 
       RowBox[{"m2", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Reverse", "[", "pt2", "]"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}], " ", "pt2"}]}], "}"}]}]}],
       "}"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{
       RowBox[{"MapIndexed", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Thickness", "[", 
             RowBox[{"0.01", " ", 
              RowBox[{"th", "^", 
               RowBox[{"#2", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}], ",", 
            RowBox[{"Line", "[", "#", "]"}]}], "}"}], "&"}], ",", 
         RowBox[{"NestList", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Flatten", "[", 
             RowBox[{
              RowBox[{"Map", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "+", 
                    RowBox[{"m1", ".", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}]}], "}"}], ",",
                    "\[IndentingNewLine]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "+", 
                    RowBox[{"m2", ".", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "-", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}]}], "}"}]}], 
                  "}"}], "&"}], ",", "#"}], "]"}], ",", "1"}], "]"}], "&"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"-", "1"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}]}], "}"}], "}"}], ",", "gen"}], 
          "]"}]}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "3"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"500", ",", "400"}], "}"}]}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"gen", ",", "7", ",", "\"\<generations\>\""}], "}"}], ",", "3", 
     ",", "10", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"th", ",", "0.7", ",", "\"\<thickness ratio\>\""}], "}"}], ",", 
     "0.01", ",", "1.2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt1", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "0.25"}], ",", "0.75"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "2"}], "}"}], ",", "Locator"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt2", ",", 
       RowBox[{"{", 
        RowBox[{"0.25", ",", "0.75"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "2"}], "}"}], ",", "Locator"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.3544625573045*^9, 3.35446262331101*^9}, {
   3.3544626551197*^9, 3.35446293847158*^9}, {3.35446298714405*^9, 
   3.35446298744522*^9}, {3.35446315803496*^9, 3.35446334769437*^9}, {
   3.3646612061465*^9, 3.36466140713994*^9}, {3.36466146375408*^9, 
   3.36466147538483*^9}, {3.36466156937329*^9, 3.36466169687288*^9}, {
   3.3646617272467*^9, 3.36466172834674*^9}, {3.36466184362515*^9, 
   3.36466184379803*^9}, {3.36466288370924*^9, 3.36466290224061*^9}, {
   3.36466300846004*^9, 3.36466301291319*^9}, {3.36466864552737*^9, 
   3.36466868266823*^9}, {3.3727840762749643`*^9, 3.3727840764937253`*^9}, {
   3.3727841189802756`*^9, 3.37278413362165*^9}, {3.3816839907257266`*^9, 
   3.3816839908819766`*^9}, 3.3876326253722982`*^9, {3.388234604192292*^9, 
   3.388234610836833*^9}, {3.39193010324791*^9, 3.391930108604315*^9}, 
   3.391936919238243*^9},
 CellID->23568734],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`gen$$ = 7, $CellContext`pt1$$ = {-0.25, 
    0.75}, $CellContext`pt2$$ = {0.29000000000000004`, 
    0.5700000000000001}, $CellContext`th$$ = 0.7, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`gen$$], 7, "generations"}, 3, 10, 1}, {{
       Hold[$CellContext`th$$], 0.7, "thickness ratio"}, 0.01, 1.2}, {{
       Hold[$CellContext`pt1$$], {-0.25, 0.75}}, {-3, -1}, {3, 2}}, {{
       Hold[$CellContext`pt2$$], {0.25, 0.75}}, {-3, -1}, {3, 2}}}, 
    Typeset`size$$ = {500., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`gen$15472$$ = 0, $CellContext`th$15473$$ = 
    0, $CellContext`pt1$15474$$ = {0, 0}, $CellContext`pt2$15475$$ = {0, 0}}, 
    
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`gen$$ = 
        7, $CellContext`pt1$$ = {-0.25, 0.75}, $CellContext`pt2$$ = {0.25, 
         0.75}, $CellContext`th$$ = 0.7}, "ControllerVariables" :> {
        Hold[$CellContext`gen$$, $CellContext`gen$15472$$, 0], 
        Hold[$CellContext`th$$, $CellContext`th$15473$$, 0], 
        Hold[$CellContext`pt1$$, $CellContext`pt1$15474$$, {0, 0}], 
        Hold[$CellContext`pt2$$, $CellContext`pt2$15475$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Module[{$CellContext`m1$ = {
           
           Reverse[$CellContext`pt1$$], {-1, 
            1} $CellContext`pt1$$}, $CellContext`m2$ = {
           Reverse[$CellContext`pt2$$], {-1, 1} $CellContext`pt2$$}}, 
        Graphics[
         MapIndexed[{
           Thickness[0.01 $CellContext`th$$^Part[#2, 1]], 
           Line[#]}& , 
          NestList[Flatten[
            Map[{{
               Part[#, 2], Part[#, 2] + 
               Dot[$CellContext`m1$, Part[#, 2] - Part[#, 1]]}, {
               Part[#, 2], Part[#, 2] + 
               Dot[$CellContext`m2$, Part[#, 2] - Part[#, 1]]}}& , #], 
            1]& , {{{0, -1}, {0, 0}}}, $CellContext`gen$$]], 
         PlotRange -> {{-2, 2}, {-1, 3}}, ImageSize -> {500, 400}]], 
      "Specifications" :> {{{$CellContext`gen$$, 7, "generations"}, 3, 10, 
         1}, {{$CellContext`th$$, 0.7, "thickness ratio"}, 0.01, 
         1.2}, {{$CellContext`pt1$$, {-0.25, 0.75}}, {-3, -1}, {3, 2}, 
         ControlType -> 
         Locator}, {{$CellContext`pt2$$, {0.25, 0.75}}, {-3, -1}, {3, 2}, 
         ControlType -> Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{542., {254.875, 260.125}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.388234611565679*^9, {3.391930109212846*^9, 3.391930122577963*^9}}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Tree Bender",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TreeBender/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TreeBender/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TreeBender/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TreeBender/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/TreeBender/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Theodore Gray", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->1080383994],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TreeBender"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
ClosingSaveDialog->False,
Editable->True,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{6, Automatic}, {Automatic, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Tree Bender - Source",
DockedCells->{},
ShowCellBracket->False,
CellContext->Notebook,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 203, 4, 67, "Section"],
Cell[CellGroupData[{
Cell[818, 31, 5475, 149, 148, "Input",
 CellID->23568734],
Cell[6296, 182, 3351, 65, 533, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9693, 253, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10069, 264, 838, 24, 35, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10944, 293, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11284, 304, 205, 6, 18, "Text",
 CellID->1080383994],
Cell[11492, 312, 967, 27, 114, "Text"],
Cell[12462, 341, 1186, 33, 88, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
