(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15349,        393]
NotebookOptionsPosition[     14201,        349]
NotebookOutlinePosition[     14809,        373]
CellTagsIndexPosition[     14766,        370]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Voronoi Diagrams", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"ListDensityPlot", "[", 
    RowBox[{
     RowBox[{"Map", "[", 
      RowBox[{"Flatten", ",", 
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{"loc", ",", 
          RowBox[{"Range", "[", 
           RowBox[{"Length", "[", "loc", "]"}], "]"}]}], "}"}], "]"}]}], 
      "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "10"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"InterpolationOrder", "\[Rule]", "0"}], ",", 
     RowBox[{"Mesh", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{"mesh", ",", "All", ",", "None"}], "]"}]}], ",", 
     RowBox[{"ColorFunction", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"ColorData", "[", "colors", "]"}], "[", "#", "]"}], "&"}], 
       ")"}]}], ",", 
     RowBox[{"FrameTicks", "\[Rule]", "False"}]}], "]"}], ",", 
   RowBox[{"\"\<None\>\"", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"loc", ",", 
        RowBox[{"RandomReal", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "10"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"10", ",", "2"}], "}"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"10", ",", "10"}], "}"}], ",", "Locator", ",", 
      RowBox[{"LocatorAutoCreate", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"3", ",", "Infinity"}], "}"}]}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "colors", ",", "\"\<BeachColors\>\"", ",", "\"\<color scheme\>\""}], 
      "}"}], ",", 
     RowBox[{"ColorData", "[", "\"\<Gradients\>\"", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mesh", ",", "False", ",", "\"\<show borders\>\""}], "}"}], ",",
      
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3826681729937*^9, 3.382668190884554*^9}, {
   3.3826682336976023`*^9, 3.382668240838319*^9}, {3.3826683021672287`*^9, 
   3.382668308011053*^9}, {3.3826688641587973`*^9, 3.3826689025342884`*^9}, {
   3.384253604687661*^9, 3.3842536241842914`*^9}, {3.3842536601312037`*^9, 
   3.384253663146308*^9}, {3.3842758061699734`*^9, 3.3842758094422865`*^9}, {
   3.38901299801048*^9, 3.389013014655793*^9}, {3.389013044778275*^9, 
   3.389013045181892*^9}},
 CellID->42758464],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`colors$$ = 
    "BeachColors", $CellContext`loc$$ = {{0.5551868154967909, 
    4.270290918791179}, {0.9363371063847907, 1.3635783022768138`}, {
    7.201094494972491, 4.1109554027467965`}, {1.9309214649827702`, 
    7.344849269226373}, {5.0235573210736835`, 6.488698182211273}, {
    7.579206140373142, 5.801224099611833}, {5.679740743916815, 
    5.052333906357758}, {2.1225776334062463`, 4.157975966333048}, {
    5.1221556679034705`, 1.2119497637560137`}, {5.044629344990392, 
    2.785552697524862}}, $CellContext`mesh$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`loc$$], {{0.5551868154967909, 4.270290918791179}, {
       0.9363371063847907, 1.3635783022768138`}, {7.201094494972491, 
       4.1109554027467965`}, {1.9309214649827702`, 7.344849269226373}, {
       5.0235573210736835`, 6.488698182211273}, {7.579206140373142, 
       5.801224099611833}, {5.679740743916815, 5.052333906357758}, {
       2.1225776334062463`, 4.157975966333048}, {5.1221556679034705`, 
       1.2119497637560137`}, {5.044629344990392, 2.785552697524862}}}, {0, 
      0}, {10, 10}}, {{
       Hold[$CellContext`colors$$], "BeachColors", "color scheme"}, {
      "DarkRainbow", "Rainbow", "Pastel", "Aquamarine", "BrassTones", 
       "BrownCyanTones", "CherryTones", "CoffeeTones", "FuchsiaTones", 
       "GrayTones", "GrayYellowTones", "GreenPinkTones", "PigeonTones", 
       "RedBlueTones", "RustTones", "SiennaTones", "ValentineTones", 
       "AlpineColors", "ArmyColors", "AtlanticColors", "AuroraColors", 
       "AvocadoColors", "BeachColors", "CandyColors", "CMYKColors", 
       "DeepSeaColors", "FallColors", "FruitPunchColors", "IslandColors", 
       "LakeColors", "MintColors", "NeonColors", "PearlColors", "PlumColors", 
       "RoseColors", "SolarColors", "SouthwestColors", "StarryNightColors", 
       "SunsetColors", "ThermometerColors", "WatermelonColors", 
       "RedGreenSplit", "DarkTerrain", "GreenBrownTerrain", "LightTerrain", 
       "SandyTerrain", "BlueGreenYellow", "LightTemperatureMap", 
       "TemperatureMap", "BrightBands", "DarkBands"}}, {{
       Hold[$CellContext`mesh$$], False, "show borders"}, {True, False}}}, 
    Typeset`size$$ = {360., {178., 182.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`loc$181739$$ = 0, $CellContext`colors$181740$$ = 
    0, $CellContext`mesh$181741$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`colors$$ = 
        "BeachColors", $CellContext`loc$$ = {{0.5551868154967909, 
         4.270290918791179}, {0.9363371063847907, 1.3635783022768138`}, {
         7.201094494972491, 4.1109554027467965`}, {1.9309214649827702`, 
         7.344849269226373}, {5.0235573210736835`, 6.488698182211273}, {
         7.579206140373142, 5.801224099611833}, {5.679740743916815, 
         5.052333906357758}, {2.1225776334062463`, 4.157975966333048}, {
         5.1221556679034705`, 1.2119497637560137`}, {5.044629344990392, 
         2.785552697524862}}, $CellContext`mesh$$ = False}, 
      "ControllerVariables" :> {
        Hold[$CellContext`loc$$, $CellContext`loc$181739$$, 0], 
        Hold[$CellContext`colors$$, $CellContext`colors$181740$$, 0], 
        Hold[$CellContext`mesh$$, $CellContext`mesh$181741$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ListDensityPlot[
        Map[Flatten, 
         Transpose[{$CellContext`loc$$, 
           Range[
            Length[$CellContext`loc$$]]}]], PlotRange -> {{0, 10}, {0, 10}}, 
        InterpolationOrder -> 0, Mesh -> If[$CellContext`mesh$$, All, None], 
        ColorFunction -> (ColorData[$CellContext`colors$$][#]& ), FrameTicks -> 
        False], 
      "Specifications" :> {
       "None" -> {{$CellContext`loc$$, {{0.5551868154967909, 
           4.270290918791179}, {0.9363371063847907, 1.3635783022768138`}, {
           7.201094494972491, 4.1109554027467965`}, {1.9309214649827702`, 
           7.344849269226373}, {5.0235573210736835`, 6.488698182211273}, {
           7.579206140373142, 5.801224099611833}, {5.679740743916815, 
           5.052333906357758}, {2.1225776334062463`, 4.157975966333048}, {
           5.1221556679034705`, 1.2119497637560137`}, {5.044629344990392, 
           2.785552697524862}}}, {0, 0}, {10, 10}, ControlType -> Locator, 
          LocatorAutoCreate -> {3, 
            DirectedInfinity[1]}}, {{$CellContext`colors$$, "BeachColors", 
          "color scheme"}, {
         "DarkRainbow", "Rainbow", "Pastel", "Aquamarine", "BrassTones", 
          "BrownCyanTones", "CherryTones", "CoffeeTones", "FuchsiaTones", 
          "GrayTones", "GrayYellowTones", "GreenPinkTones", "PigeonTones", 
          "RedBlueTones", "RustTones", "SiennaTones", "ValentineTones", 
          "AlpineColors", "ArmyColors", "AtlanticColors", "AuroraColors", 
          "AvocadoColors", "BeachColors", "CandyColors", "CMYKColors", 
          "DeepSeaColors", "FallColors", "FruitPunchColors", "IslandColors", 
          "LakeColors", "MintColors", "NeonColors", "PearlColors", 
          "PlumColors", "RoseColors", "SolarColors", "SouthwestColors", 
          "StarryNightColors", "SunsetColors", "ThermometerColors", 
          "WatermelonColors", "RedGreenSplit", "DarkTerrain", 
          "GreenBrownTerrain", "LightTerrain", "SandyTerrain", 
          "BlueGreenYellow", "LightTemperatureMap", "TemperatureMap", 
          "BrightBands", "DarkBands"}}, {{$CellContext`mesh$$, False, 
          "show borders"}, {True, False}}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{402., {230.375, 235.625}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.3890130223689404`*^9, 3.3890130535152493`*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Voronoi Diagrams",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/VoronoiDiagrams/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/VoronoiDiagrams/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/VoronoiDiagrams/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/VoronoiDiagrams/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/VoronoiDiagrams/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell["Contributed by: Ed Pegg Jr and Jeff Bryant", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->270706411],

Cell["Updated by: Theodore W. Gray", "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->174287528],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit or run this notebook.\[IndentingNewLine](",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " runs only Demonstrations published on this site.)\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
VoronoiDiagrams"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
ClosingSaveDialog->False,
Editable->True,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Voronoi Diagrams - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (May 22, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 208, 4, 67, "Section"],
Cell[CellGroupData[{
Cell[823, 31, 2632, 71, 118, "Input",
 CellID->42758464],
Cell[3458, 104, 6473, 107, 484, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9977, 217, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[10353, 228, 868, 24, 34, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11258, 257, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[11598, 268, 217, 6, 18, "Text",
 CellID->270706411],
Cell[11818, 276, 203, 6, 18, "Text",
 CellID->174287528],
Cell[12024, 284, 967, 27, 114, "Text"],
Cell[12994, 313, 1191, 33, 88, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
