(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     43858,       1100]
NotebookOptionsPosition[     42764,       1059]
NotebookOutlinePosition[     43362,       1083]
CellTagsIndexPosition[     43319,       1080]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\:661f\:5f62\:53d1\:52a8\:673a", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 CellChangeTimes->{3.4192473552788334`*^9},
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\:66f2\:67c4", "[", "\[Mu]_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Theta]", "=", 
       RowBox[{"\[Pi]", " ", "\[Mu]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"GrayLevel", "[", ".3", "]"}], ",", 
       RowBox[{"Specularity", "[", 
        RowBox[{"Red", ",", "10"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Cylinder", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", "1.5"}], 
        "]"}], ",", 
       RowBox[{"(*", " ", "\:66f2\:67c4\:8f6e", " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"Cylinder", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", ".1"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "3", ",", "0"}], "}"}]}], "}"}], ",", ".3"}], 
        "]"}], ",", 
       RowBox[{"(*", " ", "\:66f2\:8f74", " ", "*)"}], "\[IndentingNewLine]", 
       
       RowBox[{"Cylinder", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Pi]"}], "]"}], ",", 
             RowBox[{"-", ".2"}], ",", 
             RowBox[{"Sin", "[", 
              RowBox[{"\[Theta]", "+", "\[Pi]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Pi]"}], "]"}], ",", "1.2", ",", 
             RowBox[{"Sin", "[", 
              RowBox[{"\[Theta]", "+", "\[Pi]"}], "]"}]}], "}"}]}], "}"}], 
         ",", ".3"}], "]"}], ",", 
       RowBox[{"(*", " ", "\:8f6e\:6bc2\:8f74\:5bf9\:9762", " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"GrayLevel", "[", ".2", "]"}], ",", 
       RowBox[{"Specularity", "[", 
        RowBox[{"LightBlue", ",", "10"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Cylinder", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
             RowBox[{"-", "1.5"}], ",", 
             RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", "1.2", ",", 
             RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}]}], "}"}], ",", 
         ".3"}], "]"}]}], " ", 
      RowBox[{"(*", " ", "\:8f6e\:6bc2\:8f74", " ", "*)"}], 
      "\[IndentingNewLine]", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\:4e3b\:6746z\:5750\:6807", "[", "\[Theta]_", "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      SqrtBox[
       RowBox[{"25", "-", 
        SuperscriptBox[
         RowBox[{"Cos", "[", "\[Theta]", "]"}], "2"]}]], ")"}], "+", 
     RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{"\:4e3b\:6746", " ", "z", " ", "\:5750\:6807"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\:4e3b\:6746\:89d2\:5ea6", "[", "\[Theta]_", "]"}], ":=", 
    RowBox[{"ArcSin", "[", 
     FractionBox[
      RowBox[{"Cos", "[", "\[Theta]", "]"}], "5."], "]"}]}], ";"}], " ", 
  RowBox[{
  "(*", " ", "\:4e3b\:6746\:89d2\:5ea6", " ", "*)"}]}], "\[IndentingNewLine]",
 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\:8f6e\:6bc2", "[", "\[Mu]_", "]"}], ":=", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Theta]", "=", 
        RowBox[{"\[Pi]", " ", "\[Mu]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"GrayLevel", "[", ".2", "]"}], ",", 
        RowBox[{"Specularity", "[", 
         RowBox[{"LightBlue", ",", "10"}], "]"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"Cylinder", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
              RowBox[{"-", ".6"}], ",", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
              RowBox[{"-", ".4"}], ",", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}]}], "}"}], ",", 
          "1.4"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Cylinder", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
              RowBox[{"-", "1.4"}], ",", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
              RowBox[{"-", "1.2"}], ",", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}]}], "}"}], ",", 
          "1.4"}], "]"}]}], "\[IndentingNewLine]", "}"}]}], "]"}]}], ";"}], 
  RowBox[{"(*", " ", "\:8f6e\:6bc2", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\:8fde\:6746\:8fde\:63a5\:4e2d\:5fc3", "[", 
     RowBox[{"\[Theta]_", ",", "k_", ",", "n_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"RotationTransform", "[", 
      RowBox[{
       RowBox[{
        FractionBox["\[Pi]", "2"], "+", 
        RowBox[{"\:4e3b\:6746\:89d2\:5ea6", "[", "\[Theta]", "]"}], "+", 
        FractionBox[
         RowBox[{"2", " ", "\[Pi]", " ", 
          RowBox[{"(", 
           RowBox[{"k", "-", "1"}], ")"}]}], "n"]}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", "0", ",", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}]}], "]"}], "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]", "]"}], "+", "1"}], ",", "0", ",", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}], "]"}]}], ";"}], 
  RowBox[{
  "(*", " ", "\:8fde\:6746\:8fde\:63a5\:4e2d\:5fc3", " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\:94f0\:63a5\:6746\:534f\:8c03\:56e0\:5b50", "[", 
     RowBox[{"\[Theta]_", ",", "k_", ",", "n_"}], "]"}], ":=", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Rho]", "=", 
        RowBox[{
         FractionBox[
          RowBox[{"2", " ", "\[Pi]", " ", 
           RowBox[{"(", 
            RowBox[{"k", "-", "1"}], ")"}]}], "n"], "+", 
         FractionBox["\[Pi]", "2"]}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Quiet", "@", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Norm", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"r", " ", 
                RowBox[{"Cos", "[", "\[Rho]", "]"}]}], ",", "0", ",", 
               RowBox[{"r", " ", 
                RowBox[{"Sin", "[", "\[Rho]", "]"}]}]}], "}"}], "-", 
             RowBox[{"\:8fde\:6746\:8fde\:63a5\:4e2d\:5fc3", "[", 
              RowBox[{"\[Theta]", ",", "k", ",", "n"}], "]"}]}], "]"}], 
           "\[Equal]", "4"}], ",", "r"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], 
  RowBox[{
  "(*", " ", "\:94f0\:63a5\:6746\:534f\:8c03\:56e0\:5b50", " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\:6c7d\:7f38", "[", 
    RowBox[{"\[Mu]_", ",", "n_", ",", "c_", ",", "l_"}], "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Theta]", "=", 
       RowBox[{"\[Pi]", " ", "\[Mu]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p", "=", 
             RowBox[{"\:8fde\:6746\:8fde\:63a5\:4e2d\:5fc3", "[", 
              RowBox[{"\[Theta]", ",", "i", ",", "n"}], "]"}]}], ",", 
            RowBox[{"q", "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{"2", " ", "\[Pi]", " ", 
                   RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}], "n"], "+", 
                 FractionBox["\[Pi]", "2"]}], "]"}], ",", "0", ",", 
               RowBox[{"Sin", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{"2", " ", "\[Pi]", " ", 
                   RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}], "n"], "+", 
                 FractionBox["\[Pi]", "2"]}], "]"}]}], "}"}]}], ",", 
            RowBox[{"r", "=", 
             RowBox[{"\:94f0\:63a5\:6746\:534f\:8c03\:56e0\:5b50", "[", 
              RowBox[{"\[Theta]", ",", "i", ",", "n"}], "]"}]}]}], "}"}], ",",
           "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"FaceForm", "[", 
             RowBox[{
              RowBox[{"Directive", "[", 
               RowBox[{"LightBlue", ",", 
                RowBox[{"Specularity", "[", 
                 RowBox[{"White", ",", "50"}], "]"}]}], "]"}], ",", "Black"}],
              "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"i", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Cylinder", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"p", "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1.3"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{"p", "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".5"}], ",", "0"}], "}"}]}]}], "}"}], ",", 
                  ".2"}], "]"}], " ", ",", "\[IndentingNewLine]", 
                RowBox[{"Cylinder", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
                    RowBox[{"-", ".9"}], ",", 
                    RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"r", " ", "q"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".9"}], ",", "0"}], "}"}]}]}], "}"}], ",", 
                  ".2"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Cylinder", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"p", "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1.5"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{"p", "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".3"}], ",", "0"}], "}"}]}]}], "}"}], ",", 
                  ".2"}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Cylinder", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"p", "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".9"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"r", " ", "q"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".9"}], ",", "0"}], "}"}]}]}], "}"}], ",", 
                  ".2"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", "]"}], ",",
             
            RowBox[{"(*", " ", "\:6bc2\:62f4\:548c\:8fde\:6746", " ", "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{"Cylinder", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"p", "+", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"-", ".9"}], ",", "0"}], "}"}]}], ",", 
                RowBox[{
                 RowBox[{"r", " ", "q"}], "+", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"-", ".9"}], ",", "0"}], "}"}]}]}], "}"}], ",", 
              ".2"}], "]"}], ",", 
            RowBox[{"(*", " ", "\:8fde\:6746", " ", "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{"Cylinder", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"r", " ", "q"}], "+", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"-", "1.9"}], ",", "0"}], "}"}]}], ",", 
                RowBox[{
                 RowBox[{"r", " ", "q"}], "+", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", ".1", ",", "0"}], "}"}]}]}], "}"}], ",", 
              ".2"}], "]"}], ",", 
            RowBox[{"(*", " ", "\:6d3b\:585e\:62f4", "*)"}], 
            "\[IndentingNewLine]", 
            RowBox[{"With", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"\[Nu]", "=", 
                RowBox[{"Mod", "[", 
                 RowBox[{
                  RowBox[{"\[Mu]", "+", ".5", "-", 
                   RowBox[{"4", 
                    RowBox[{
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Ceiling", "[", 
                    RowBox[{"n", "/", "2"}], "]"}], 
                    RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}]}], ",", "n"}], "]"}], "/", 
                    "n"}]}]}], ",", "4"}], "]"}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                  ".8", "\[LessEqual]", "\[Nu]", "\[LessEqual]", "1.2"}], ",",
                   "\[IndentingNewLine]", 
                  RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.13", ",", "0.25", ",", "0.35"}], "]"}], ",", 
                    RowBox[{"Specularity", "[", 
                    RowBox[{"Green", ",", "30"}], "]"}], ",", 
                    RowBox[{"Glow", "[", 
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    FractionBox["1", "2"], ",", "0", ",", "0"}], "]"}], 
                    "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.13", ",", "0.25", ",", "0.35"}], "]"}], ",", 
                    RowBox[{"Specularity", "[", 
                    RowBox[{"Green", ",", "30"}], "]"}]}], "]"}]}], 
                 "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"Cylinder", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "-", ".4"}], ")"}], "q"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".9"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r", "+", "1"}], ")"}], "q"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".9"}], ",", "0"}], "}"}]}]}], "}"}], ",", 
                  "1"}], "]"}], ",", 
                RowBox[{"(*", " ", "\:6d3b\:585e\:5934", " ", "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{"l", ",", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"0", "\[LessEqual]", "\[Nu]", "<", "1"}], ",", 
                    "Orange", ",", 
                    RowBox[{"1", "\[LessEqual]", "\[Nu]", "<", "2"}], ",", 
                    "Red", ",", 
                    RowBox[{"2", "\[LessEqual]", "\[Nu]", "<", "3"}], ",", 
                    "Blue", ",", 
                    RowBox[{"3", "\[LessEqual]", "\[Nu]", "<", "4"}], ",", 
                    "Yellow"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Sphere", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"7.5", "q"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".9"}], ",", "0"}], "}"}]}], ",", ".2"}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
                  RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", 
               "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{"c", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"ControlActive", "[", 
                 RowBox[{
                  RowBox[{"FaceForm", "[", "]"}], ",", 
                  RowBox[{"FaceForm", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", ".4", "]"}], ",", "White"}], 
                   "]"}]}], "]"}], ",", 
                RowBox[{"Cylinder", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"3.4", "q"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".9"}], ",", "0"}], "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"7.1", "q"}], "+", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", ".9"}], ",", "0"}], "}"}]}]}], "}"}], ",", 
                  "1.1"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", "}"}]}], "]"}]}], 
           RowBox[{"(*", " ", "\:6c7d\:7f38", " ", "*)"}], 
           "\[IndentingNewLine]", "}"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "n"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
      "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"is", "[", "col_", "]"}], ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"col", ",", 
       RowBox[{"EdgeForm", "[", "Black", "]"}], ",", 
       RowBox[{"Disk", "[", "]"}]}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "10"}], ",", 
     RowBox[{"BaselinePosition", "\[Rule]", "Bottom"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.41928099570925*^9, 3.41928102052175*^9}, 
   3.419281171849875*^9, {3.419281464678*^9, 3.41928149595925*^9}, {
   3.419330511972722*^9, 3.4193305296916986`*^9}, {3.419330563239003*^9, 
   3.4193305690047016`*^9}, {3.419330656833951*^9, 3.419330674287299*^9}, {
   3.419330707834604*^9, 3.4193307183659887`*^9}, 3.4193308985870457`*^9, 
   3.419331241919565*^9, 3.4193314250937843`*^9, {3.4193314823132668`*^9, 
   3.4193314857820616`*^9}, {3.4193315354701977`*^9, 
   3.4193316645187244`*^9}, {3.4193318032392497`*^9, 
   3.4193318673338203`*^9}, {3.4193319365378313`*^9, 
   3.4193319392253656`*^9}, {3.4193320453360987`*^9, 
   3.4193320459611063`*^9}, {3.4193330080046706`*^9, 3.419333010129698*^9}, {
   3.419333069411707*^9, 3.419333096412052*^9}, {3.41933320289779*^9, 
   3.4193332483514967`*^9}, {3.41934131214675*^9, 3.4193414071155*^9}, {
   3.41934283858425*^9, 3.41934284239675*^9}, {3.419343679849875*^9, 
   3.419343788943625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Graphics3D", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"EdgeForm", "[", 
            RowBox[{"Opacity", "[", ".3", "]"}], "]"}], ",", 
           RowBox[{"\:66f2\:67c4", "[", "\[Mu]", "]"}], ",", 
           RowBox[{"\:8f6e\:6bc2", "[", "\[Mu]", "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"\:6c7d\:7f38", "[", 
            RowBox[{"\[Mu]", ",", "n", ",", "c", ",", "l"}], "]"}]}], 
          "\[IndentingNewLine]", "}"}], ",", 
         RowBox[{"Lighting", "\[Rule]", "\"\<Neutral\>\""}], ",", 
         RowBox[{"Background", "\[Rule]", 
          RowBox[{"GrayLevel", "[", ".75", "]"}]}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"ViewAngle", "\[Rule]", "0.23281565895710432`"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"350", ",", "350"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{"l", ",", "\[IndentingNewLine]", 
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Grid", "[", 
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"is", "[", "Yellow", "]"}], ",", 
               "\"\<\:5438\:6c14 \>\"", ",", 
               RowBox[{"is", "[", "Orange", "]"}], ",", 
               "\"\<\:538b\:7f29 \>\"", ",", 
               RowBox[{"is", "[", "Red", "]"}], ",", "\"\<\:71c3\:70e7 \>\"", 
               ",", 
               RowBox[{"is", "[", "Blue", "]"}], ",", 
               "\"\<\:6392\:6c14 \>\""}], "}"}], "}"}], "]"}], ",", "10", ",",
            
           RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"Invisible", "@", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{"{", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"is", "[", "Yellow", "]"}], ",", 
                "\"\<\:5438\:6c14 \>\"", ",", 
                RowBox[{"is", "[", "Orange", "]"}], ",", 
                "\"\<\:538b\:7f29 \>\"", ",", 
                RowBox[{"is", "[", "Red", "]"}], ",", "\"\<\:71c3\:70e7 \>\"",
                 ",", 
                RowBox[{"is", "[", "Blue", "]"}], ",", 
                "\"\<\:6392\:6c14 \>\""}], "}"}], "}"}], "]"}], ",", "10", 
            ",", 
            RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], 
           "]"}]}]}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Alignment", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Center", ",", "Center"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", "0", ",", "\"\<\:52a8\:753b\>\""}], "}"}], ",", 
     "0", ",", "4", ",", ".05", ",", 
     RowBox[{"ControlType", "\[Rule]", "Animator"}], ",", 
     RowBox[{"AppearanceElements", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<PlayPauseButton\>\"", ",", "\"\<FasterSlowerButtons\>\""}], 
       "}"}]}], ",", 
     RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", "0", ",", "\"\<\:5faa\:73af\>\""}], "}"}], ",", 
     "0", ",", "4", ",", ".05", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "5", ",", "\"\<\:6c7d\:7f38\:6570\>\""}], "}"}], ",", 
     "3", ",", "9", ",", "2", ",", 
     RowBox[{"ControlType", "\[Rule]", "RadioButton"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "True", ",", "\"\<\:56fe\:793a\:6c7d\:7f38\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l", ",", "False", ",", "\"\<\:51b2\:7a0b\:6807\:793a\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Bottom"}]}], "}"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "4", ",", "5"}], "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.387162923640625*^9, 3.38716295946875*^9, {
   3.387163078453125*^9, 3.38716313296875*^9}, {3.387163169046875*^9, 
   3.387163169171875*^9}, {3.38716567253125*^9, 3.3871656729375*^9}, {
   3.387165969921875*^9, 3.3871660085625*^9}, {3.387167254625*^9, 
   3.38716725696875*^9}, {3.3871709413125*^9, 3.387170951828125*^9}, {
   3.387172682265625*^9, 3.387172689453125*^9}, {3.38717272646875*^9, 
   3.38717274840625*^9}, {3.3873045488417525`*^9, 3.387304557138734*^9}, {
   3.419247498466911*^9, 3.4192475035640182`*^9}, 3.4192475552773027`*^9, 
   3.4192476372556953`*^9, {3.419247714447254*^9, 3.4192477549963703`*^9}, {
   3.419248098998178*^9, 3.419248208022049*^9}, 3.4192482954039154`*^9, {
   3.419255842376176*^9, 3.419255844704301*^9}, {3.419256990376176*^9, 
   3.419256995704301*^9}, 3.419257702454301*^9, 3.419280551662375*^9, 
   3.41928069383425*^9, {3.41928075320925*^9, 3.41928079964675*^9}, 
   3.419281024303*^9, 3.419281190818625*^9, 3.4193330198798227`*^9, {
   3.41934320458425*^9, 3.41934325164675*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`c$$ = True, $CellContext`l$$ = 
    False, $CellContext`n$$ = 5, $CellContext`\[Mu]$$ = 0, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`\[Mu]$$], 0, "\:52a8\:753b"}, 0, 4, 0.05}, {{
       Hold[$CellContext`\[Mu]$$], 0, "\:5faa\:73af"}, 0, 4, 0.05}, {{
       Hold[$CellContext`n$$], 5, "\:6c7d\:7f38\:6570"}, 3, 9, 2}, {{
       Hold[$CellContext`c$$], True, "\:56fe\:793a\:6c7d\:7f38"}, {
      True, False}}, {{
       Hold[$CellContext`l$$], False, "\:51b2\:7a0b\:6807\:793a"}, {
      True, False}}}, Typeset`size$$ = {350., {181.5, 186.5}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`\[Mu]$4448$$ = 0, $CellContext`n$4449$$ = 
    0, $CellContext`c$4450$$ = False, $CellContext`l$4451$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`c$$ = True, $CellContext`l$$ = 
        False, $CellContext`n$$ = 5, $CellContext`\[Mu]$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`\[Mu]$$, $CellContext`\[Mu]$4448$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$4449$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$4450$$, False], 
        Hold[$CellContext`l$$, $CellContext`l$4451$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Graphics3D[{
           EdgeForm[
            Opacity[0.3]], 
           $CellContext`\:66f2\:67c4[$CellContext`\[Mu]$$], 
           $CellContext`\:8f6e\:6bc2[$CellContext`\[Mu]$$], 
           $CellContext`\:6c7d\:7f38[$CellContext`\[Mu]$$, $CellContext`n$$, \
$CellContext`c$$, $CellContext`l$$]}, Lighting -> "Neutral", Background -> 
          GrayLevel[0.75], Boxed -> False, 
          PlotRange -> {{-10, 10}, {-3, 3}, {-10, 10}}, ViewAngle -> 
          0.23281565895710432`, ImageSize -> {350, 350}], 
         If[$CellContext`l$$, 
          Style[
           Grid[{{
              $CellContext`is[Yellow], "\:5438\:6c14 ", 
              $CellContext`is[Orange], "\:538b\:7f29 ", 
              $CellContext`is[Red], "\:71c3\:70e7 ", 
              $CellContext`is[Blue], "\:6392\:6c14 "}}], 10, FontFamily -> 
           "Helvetica"], 
          Invisible[
           Style[
            Grid[{{
               $CellContext`is[Yellow], "\:5438\:6c14 ", 
               $CellContext`is[Orange], "\:538b\:7f29 ", 
               $CellContext`is[Red], "\:71c3\:70e7 ", 
               $CellContext`is[Blue], "\:6392\:6c14 "}}], 10, FontFamily -> 
            "Helvetica"]]]}, Alignment -> {Center, Center}], 
      "Specifications" :> {{{$CellContext`\[Mu]$$, 0, "\:52a8\:753b"}, 0, 4, 
         0.05, ControlType -> Animator, 
         AppearanceElements -> {"PlayPauseButton", "FasterSlowerButtons"}, 
         AnimationRunning -> 
         False}, {{$CellContext`\[Mu]$$, 0, "\:5faa\:73af"}, 0, 4, 0.05, 
         ImageSize -> Small}, {{$CellContext`n$$, 5, "\:6c7d\:7f38\:6570"}, 3,
          9, 2, ControlType -> RadioButton, ImageSize -> 
         Medium}, {{$CellContext`c$$, True, "\:56fe\:793a\:6c7d\:7f38"}, {
         True, False}}, {{$CellContext`l$$, False, 
          "\:51b2\:7a0b\:6807\:793a"}, {True, False}, ControlPlacement -> 
         Bottom}}, "Options" :> {AutorunSequencing -> {2, 3, 4, 5}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{396., {267., 272.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`\:66f2\:67c4[
         Pattern[$CellContext`\[Mu], 
          Blank[]]] := 
       With[{$CellContext`\[Theta] = Pi $CellContext`\[Mu]}, {
          GrayLevel[0.3], 
          Specularity[Red, 10], 
          Cylinder[{{0, 0, 0}, {0, 1, 0}}, 1.5], 
          Cylinder[{{0, -0.1, 0}, {0, 3, 0}}, 0.3], 
          Cylinder[{{
             Cos[$CellContext`\[Theta] + Pi], -0.2, 
             Sin[$CellContext`\[Theta] + Pi]}, {
             Cos[$CellContext`\[Theta] + Pi], 1.2, 
             Sin[$CellContext`\[Theta] + Pi]}}, 0.3], 
          GrayLevel[0.2], 
          Specularity[LightBlue, 10], 
          Cylinder[{{
             Cos[$CellContext`\[Theta]], -1.5, 
             Sin[$CellContext`\[Theta]]}, {
             Cos[$CellContext`\[Theta]], 1.2, 
             Sin[$CellContext`\[Theta]]}}, 0.3]}], $CellContext`\:8f6e\:6bc2[
         Pattern[$CellContext`\[Mu], 
          Blank[]]] := 
       With[{$CellContext`\[Theta] = Pi $CellContext`\[Mu]}, {
          GrayLevel[0.2], 
          Specularity[LightBlue, 10], 
          Cylinder[{{
             Cos[$CellContext`\[Theta]], -0.6, 
             Sin[$CellContext`\[Theta]]}, {
             Cos[$CellContext`\[Theta]], -0.4, 
             Sin[$CellContext`\[Theta]]}}, 1.4], 
          Cylinder[{{
             Cos[$CellContext`\[Theta]], -1.4, 
             Sin[$CellContext`\[Theta]]}, {
             Cos[$CellContext`\[Theta]], -1.2, 
             Sin[$CellContext`\[Theta]]}}, 1.4]}], $CellContext`\:6c7d\:7f38[
         Pattern[$CellContext`\[Mu], 
          Blank[]], 
         Pattern[$CellContext`n, 
          Blank[]], 
         Pattern[$CellContext`c, 
          Blank[]], 
         Pattern[$CellContext`l, 
          Blank[]]] := 
       With[{$CellContext`\[Theta] = Pi $CellContext`\[Mu]}, {
          Table[
           
           With[{$CellContext`p = $CellContext`\:8fde\:6746\:8fde\:63a5\:4e2d\
\:5fc3[$CellContext`\[Theta], $CellContext`i, $CellContext`n], $CellContext`q = \
{
               Cos[(2 Pi ($CellContext`i - 1))/$CellContext`n + Pi/2], 0, 
               
               Sin[(2 Pi ($CellContext`i - 1))/$CellContext`n + 
                Pi/2]}, $CellContext`r = \
$CellContext`\:94f0\:63a5\:6746\:534f\:8c03\:56e0\:5b50[$CellContext`\[Theta],\
 $CellContext`i, $CellContext`n]}, {
             FaceForm[
              Directive[LightBlue, 
               Specularity[White, 50]], Black], 
             If[$CellContext`i == 1, {
               
               Cylinder[{$CellContext`p + {0, -1.3, 0}, $CellContext`p + {
                  0, -0.5, 0}}, 0.2], 
               Cylinder[{{
                  Cos[$CellContext`\[Theta]], -0.9, 
                  
                  Sin[$CellContext`\[Theta]]}, $CellContext`r $CellContext`q + \
{0, -0.9, 0}}, 0.2]}, {
               
               Cylinder[{$CellContext`p + {0, -1.5, 0}, $CellContext`p + {
                  0, -0.3, 0}}, 0.2], 
               
               Cylinder[{$CellContext`p + {
                  0, -0.9, 0}, $CellContext`r $CellContext`q + {0, -0.9, 0}}, 
                0.2]}], 
             
             Cylinder[{$CellContext`p + {
                0, -0.9, 0}, $CellContext`r $CellContext`q + {0, -0.9, 0}}, 
              0.2], 
             
             Cylinder[{$CellContext`r $CellContext`q + {
                0, -1.9, 0}, $CellContext`r $CellContext`q + {0, 0.1, 0}}, 
              0.2], 
             
             With[{$CellContext`\[Nu] = 
               Mod[$CellContext`\[Mu] + 0.5 - 
                 4 (Mod[Ceiling[$CellContext`n/2] ($CellContext`i - 
                    1), $CellContext`n]/$CellContext`n), 4]}, {
               If[0.8 <= $CellContext`\[Nu] <= 1.2, 
                Directive[
                 RGBColor[0.13, 0.25, 0.35], 
                 Specularity[Green, 30], 
                 Glow[
                  RGBColor[1/2, 0, 0]]], 
                Directive[
                 RGBColor[0.13, 0.25, 0.35], 
                 Specularity[Green, 30]]], 
               
               Cylinder[{($CellContext`r - 0.4) $CellContext`q + {
                  0, -0.9, 0}, ($CellContext`r + 1) $CellContext`q + {
                  0, -0.9, 0}}, 1], 
               If[$CellContext`l, {
                 Which[
                  Inequality[0, LessEqual, $CellContext`\[Nu], Less, 1], 
                  Orange, 
                  Inequality[1, LessEqual, $CellContext`\[Nu], Less, 2], Red, 
                  
                  Inequality[2, LessEqual, $CellContext`\[Nu], Less, 3], Blue,
                   
                  Inequality[3, LessEqual, $CellContext`\[Nu], Less, 4], 
                  Yellow], 
                 Sphere[7.5 $CellContext`q + {0, -0.9, 0}, 0.2]}, {}]}], 
             If[$CellContext`c, {
               ControlActive[
                FaceForm[], 
                FaceForm[
                 Opacity[0.4], White]], 
               
               Cylinder[{
                3.4 $CellContext`q + {0, -0.9, 0}, 
                 7.1 $CellContext`q + {0, -0.9, 0}}, 
                1.1]}, {}]}], {$CellContext`i, $CellContext`n}]}], \
$CellContext`\:8fde\:6746\:8fde\:63a5\:4e2d\:5fc3[
         Pattern[$CellContext`\[Theta], 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]], 
         Pattern[$CellContext`n, 
          Blank[]]] := 
       RotationTransform[
        Pi/2 + $CellContext`\:4e3b\:6746\:89d2\:5ea6[$CellContext`\[Theta]] + \
(2 Pi ($CellContext`k - 1))/$CellContext`n, {0, -1, 0}, {
          Cos[$CellContext`\[Theta]], 0, 
          Sin[$CellContext`\[Theta]]}][{Cos[$CellContext`\[Theta]] + 1, 0, 
          Sin[$CellContext`\[Theta]]}], $CellContext`\:4e3b\:6746\:89d2\:5ea6[
        
         Pattern[$CellContext`\[Theta], 
          Blank[]]] := 
       ArcSin[Cos[$CellContext`\[Theta]]/
         5.], $CellContext`\:94f0\:63a5\:6746\:534f\:8c03\:56e0\:5b50[
         Pattern[$CellContext`\[Theta], 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]], 
         Pattern[$CellContext`n, 
          Blank[]]] := 
       With[{$CellContext`\[Rho] = (2 Pi ($CellContext`k - 1))/$CellContext`n + 
           Pi/2}, 
         Quiet[
          Part[
           Solve[
           Norm[{$CellContext`r Cos[$CellContext`\[Rho]], 0, $CellContext`r 
                Sin[$CellContext`\[Rho]]} - $CellContext`\:8fde\:6746\:8fde\
\:63a5\:4e2d\:5fc3[$CellContext`\[Theta], $CellContext`k, $CellContext`n]] == 
            4, $CellContext`r], 2, 1, 2]]], 
       Attributes[PlotRange] = {ReadProtected}, $CellContext`is[
         Pattern[$CellContext`col, 
          Blank[]]] := Graphics[{$CellContext`col, 
          EdgeForm[Black], 
          Disk[]}, ImageSize -> 10, BaselinePosition -> Bottom]}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.419343424553*^9, 3.4193478550162687`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Radial Engine",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RadialEngine/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/RadialEngine/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/RadialEngine/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/RadialEngine/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/RadialEngine/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Yu-Sung Chang",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Yu-Sung+Chang"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Yu-Sung+Chang"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
RadialEngine"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{1016, 734},
WindowMargins->{{29, Automatic}, {Automatic, 62}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Radial Engine - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 266, 5, 71, "Section"],
Cell[859, 30, 20684, 506, 1231, "Input"],
Cell[CellGroupData[{
Cell[21568, 540, 6136, 142, 362, "Input"],
Cell[27707, 684, 10930, 240, 556, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[38686, 930, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[39062, 941, 850, 24, 34, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39949, 970, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[40289, 981, 436, 14, 18, "Text"],
Cell[40728, 997, 829, 24, 99, "Text"],
Cell[41560, 1023, 1188, 33, 88, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
